<?php 
/***************************************************************
 WCMS - Web Content Management System (c) 2006 - Thomas Egtvedt
 
 Controls user access, config and language settings
****************************************************************/

/* Register_globals workaround */
foreach($_REQUEST as $key=>$value)
{
$$key=$value;
}

/* Includes sessions if set in login.php or by selector */
session_start();

/* Includes the DB variables */
@require("../../config/conf_access.php");
@require("../../config/wcms_constants.php");

/* Opens the DB connection */
$DBConn = @mysql_connect($DBHost, $DBUser, $DBPswd);

if (!$DBConn) {
    die(mysql_errno() . ": Could not connect to your MySQL database");
}

if (!@mysql_select_db($DBName, $DBConn)) {
    die(mysql_errno($DBConn) . ": " . mysql_error($DBConn). "<br />\n");
}

/* Includes the access class */
require ("../../classes/access.class.php");

/* Verifies that the cookies are set */
if (empty($_COOKIE['wcms_sha1_user']) && empty($_COOKIE['wcms_sha1_data']))
{
	header("Location: ".$wcms_login_url);
	exit;
}

$user = $_COOKIE['wcms_sha1_user'];
$username = base64_decode($user);
$password = $_COOKIE['wcms_sha1_data'];
$Access = new access();
$check = $Access->page_check($username, $password);

/* Verifies that the values from the cookies ran through page_check() finds a valid user */
if ($check == false)
{
	header("Location: ".$wcms_login_url);
	exit;
}

/* Verifies that the db user details corresponds with the cookies */
if ($check['username'] != $username && $check['password'] != $password && $check['level'] >= 3)
{
	header("Location: ".$wcms_login_url);
	exit;
}

/* Includes user specific config and language files */
if (!isset($_SESSION['language']))
{
$conf_check1 = "../../config/conf_".$wcms_def_lang.".php";
$conf_check2 = "../../language/".$wcms_def_lang."/wcms.lang.php";
$conf_check3 = "../../language/".$wcms_def_lang."/access.lang.php";
$session_link = $wcms_def_lang;
	if (file_exists($conf_check1) && file_exists($conf_check2) && file_exists($conf_check3)) 
	{
		@include ("../../config/conf_".$wcms_def_lang.".php");
		@include ("../../language/".$wcms_def_lang."/wcms.lang.php");
		@include ("../../language/".$wcms_def_lang."/access.lang.php");
	}
	else
	{
		@include ("../../language/eng/wcms.lang.php");
		echo $Language["no_def_lang"]." ".$Language["check_readme"];
		exit;
	}
}
else
{
$conf_check1 = "../../config/conf_".$check['team'].".php";
$conf_check2 = "../../language/".$_SESSION['language']."/wcms.lang.php";
$conf_check3 = "../../language/".$wcms_def_lang."/access.lang.php";
	if (file_exists($conf_check1) && file_exists($conf_check2) && file_exists($conf_check3)) 
	{
		@include ("../../config/conf_".$check['team'].".php");
		@include ("../../language/".$_SESSION['language']."/wcms.lang.php");
		@include ("../../language/".$_SESSION['language']."/access.lang.php");
		$session_link = $_SESSION['language'];
	}
	else
	{
		@include ("../../language/eng/wcms.lang.php");
		echo $Language["no_xtra_lang"].$Language["check_readme"];
		$session_link = $wcms_def_lang;
		exit;
	}
}
?>