<?php 
/***************************************************************
 WCMS - Web Content Management System (c) 2006 - Thomas Egtvedt
 
 File: access/module_access/manage_team.php
****************************************************************/

/* Includes access, config and language settings */
require ("../head_admin_access.php");
$ADMMOD = "teams";

# Check if we have instantiated $action and $act variable
# If yes, get the value from previous posting
# If not, set values to null or ""
$listusers = mysql_query("SELECT * from wcms_users");

if (isset($_POST['action'])) 
{
	$action = $_POST['action'];
	$act = "";
	$teamname = $_POST['teamname'];
	$teamlead = $_POST['teamlead'];
	$status = $_POST['status'];
}
elseif (isset($_GET['act']))
{
	$act = $_GET['act'];
	$action = "";
}else{
	$action = "";
	$act = "";
	$teamname = "";
	$teamlead = "";
	$status = "";
}

$message = "";

# Add new team
if ($action == "Add") {
	$situation = $Access->add_team($teamname, $teamlead, $status);
	
	if ($situation == "blank team name") {
		$message = "The team name can not be blank...";
		$action = "";
	}
	elseif ($situation == "group exists") {
		$message = "This team already exists!";
		$action = "";
	}
	elseif ($situation == 1) {
		$message = "The team was added successfully!";
	}else{
		$message = "";
	}
}

# Delete team
if ($action == "Delete") {
	$delete = $Access->delete_team($teamname);
	
	if ($delete) {
		$message = $delete;
		$action = "";
	}else{
		$teamname = "";
		$teamlead = "";
		$status = "active";
		$message = "Team deleted successfully.";
	}
}

# Modify team
if ($action == "Modify") {

	if ($teamname == "") {
		$message = "Team name cannot be blank.";
		$action = "";
	}
	elseif ($teamlead == "") {
		$message = "Team lead cannot be blank.";
		$action = "";
	}else{
		$update = $Access->modify_team($teamname, $teamlead, $status);
	}
	
	if ($update == 1) {
		$message = "Team detail updated successfully.";
	}
	elseif ($update == "This team cannot be inactivated.") {
		$message = $update;
		$action = "";
	}else{
		$message = "";
	}
}

# Edit team (accessed from clicking on username links)
if ($act == "edit") 
{
    $teamname = $_GET['teamname'];
    $teamlead = $_GET['teamlead'];
    $status = $_GET['status'];
    $message = $admin_authgroup9;
}

# Clear fields
if ($action == "Reset") 
{
	$teamname = "";
	$teamlead = "";
	$status = "active";
	$message = "Enter the new team details";
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $Language["wcms_charset"]; ?>" />
<meta name="author" content="<?php echo WCMS_AUTHOR; ?>" />
<meta name="copyright" content="<?php echo WCMS_COPYRIGHT." - ".WCMS_AUTHOR; ?>" />
<meta name="date" content="<?php echo date("d M Y") ?>" />
<meta name="language" content="<?php echo $Language["wcms_language"]; ?>" />
<meta name="publisher" content="<?php echo WCMS_PUBLISHER; ?>" />
<meta name="version" content="<?php echo WCMS_VERSION; ?>" />
<link rel="shortcut icon" href="<?php echo $wcms_root_url; ?>access/wcms_access_graphic/wcms_favicon.gif" type="image/gif" />
<link href="<?php echo $wcms_root_url; ?>access/wcms_access_style/wcms_access_general.css" rel="stylesheet" type="text/css" />
<title><?php echo $Language["wcms_sitename"]." - Controlpanel - ".WCMS_VERSION; ?></title>
<script type="text/javascript">
<!-- Begin
function go2(url) {
window.location=url
}
function focusit() {
document.getElementById('teamname').focus();
}
//  End -->
</script>

</head>
<body>

<?php 
@include("../header_admin.php");
?>			

<div>
<h2><?php echo $admLanguage["admpagetitle_manteam"]; ?></h2>			
<p class="note"><?php echo $admLanguage["helpindex1"]; ?></p>
<br />
<table width="100%" align="center" cellpadding="0" cellspacing="0" border="0"><tr valign="top"><td style="width:36%;">

<form name="addteam" id="addteam" method="post" action="manage_team.php">
<fieldset>
<legend>Team details</legend>
<?php 
if ($message) 
{ 
	echo '<p><label class="message">'.$message.'</label></p>'; 
}
?><p><label>Team name:<br />
<?php   
if ($action == "Modify" || $action=="Add" || $act=="edit") 
{
	$strNoEdit = " disabled=\"disabled\" />\n<input type=\"hidden\" name=\"teamname\" value=\"".$teamname."\"";
}else{	
	$strNoEdit = "";
}
?>
<input type="text" id="teamname" tabindex="1" name="teamname" size="20" maxlength="25" value="<?php echo $teamname; ?>"<?php echo $strNoEdit; ?> /></label></p>
<p><label>Team lead:<br />
<select name="teamlead" id="teamlead" tabindex="2"> 
<?php
# Show the members
$row = mysql_fetch_array($listusers);
while ($row) {
$memberlist = $row["username"];
    if ($teamlead == $memberlist) 
	{
	echo "<option value=\"".$memberlist."\" selected=\"selected\">" . $row["username"] . "</option>";
	}else{
	echo "<option value=\"".$memberlist."\">" . $row["username"] . "</option>";
	}
	$row = mysql_fetch_array($listusers);
}
?>
  </select> <a href="manage_user.php">Add user</a></label></p>
<p><label>Team status:<br />
<select name="status" id="status" tabindex="3">
<?php
if ($status == "inactive") 
{
echo "<option value=\"active\">Active</option>";
echo "<option value=\"inactive\" selected>Inactive</option>";
}else{
echo "<option value=\"active\" selected>Active</option>";
echo "<option value=\"inactive\">Inactive</option>";
}
?>
  </select></label></p>
<p><label>
<?php
if ($action == "Modify" || $act == "edit" || $action == "Add") 
{
echo "<input type=\"submit\" name=\"action\" value=\"Modify\" tabindex=\"4\" /> ";
echo "<input type=\"submit\" name=\"action\" value=\"Delete\" tabindex=\"5\" /> ";
}else{
echo "<input type=\"submit\" name=\"action\" value=\"Add\" tabindex=\"4\" /> ";
}
?>
  <input type="submit" name="action" value="Reset" /></label></p>
</fieldset>
</form>

</td><td style="width:4%;">&nbsp;</td><td style="width:60%;">

<fieldset>
<legend>Team list</legend>
<table width="100%" align="center" cellspacing="0" cellpadding="5" border="0"> 
 <tr> 
  <th style="width:5%;">ID</th>
  <th style="width:40%;">Team name</th>
  <th style="width:40%;">Team lead</th>
  <th style="width:15%;">Status</th>
 </tr>
<?php
# Show all users
$query = "SELECT * FROM wcms_teams ORDER BY id";
$result = mysql_query($query);
$row = mysql_fetch_array($result);
$i = 0;
while ($row) {  		
		$i++;
		$x = ($i/2);
		if (is_int($x))
		{
			echo " <tr class=\"even\">\n";
		}else{
			echo " <tr class=\"odd\">\n";
		}
        echo "  <td class=\"tab_div\">".($row["id"])."</td>";
        echo "  <td class=\"tab_div\"><a href=\"manage_team.php?act=edit&amp;teamname=".$row["teamname"]."&amp;teamlead=".$row["teamlead"]."&amp;status=".$row["status"]."\"><strong>".$row["teamname"]."</strong></a></td>";
        echo "  <td class=\"tab_div\">".$row["teamlead"]."</td>";
        echo "  <td class=\"tab_div\" style=\"text-align:center;\">".($row["status"])."</td>";
        echo " </tr>";		
		$row = mysql_fetch_array($result);
	}
?>
</table>
</fieldset>

</td></tr></table>

</div>

<?php
include("../footer.php");
?>

</body>
</html>
