<?php
/***************************************************************
 WCMS - Web Content Management System (c) 2006 - Thomas Egtvedt
 
 Mailinglist admin page
****************************************************************/
$WCMSMOD = "mailinglist";

/* Includes access, config and language settings */
require("../head_user_access.php");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $Language["wcms_charset"]; ?>" />
<meta name="author" content="<?php echo WCMS_AUTHOR; ?>" />
<meta name="copyright" content="<?php echo WCMS_COPYRIGHT." - ".WCMS_AUTHOR; ?>" />
<meta name="date" content="<?php echo date("d M Y") ?>" />
<meta name="language" content="<?php echo $Language["wcms_language"]; ?>" />
<meta name="publisher" content="<?php echo WCMS_PUBLISHER; ?>" />
<meta name="version" content="<?php echo WCMS_VERSION; ?>" />
<link rel="shortcut icon" href="<?php echo $wcms_root_url; ?>access/wcms_access_graphic/wcms_favicon.gif" type="image/gif" />
<link href="<?php echo $wcms_root_url; ?>access/wcms_access_style/wcms_access_general.css" rel="stylesheet" type="text/css" />
<title><?php echo $Language["wcms_sitename"]." - Controlpanel - ".WCMS_VERSION; ?></title>

<script type="text/javascript">
function doimport()
{
	window.open("import.php", "importer", 'toolbar=0,scrollbars=1,location=0,statusbar=1,menubar=0,resizable=1,width=625,height=400,left=390,top=262');
}

function besure()
{
	return confirm('You are about to permanently delete the selected subscribers. Are you SURE you want to continue?');
}

function CheckALL(ALL_checkbox)
{

// This function iterates through all checkboxes in a form and if the checkbox named 'allbox' is checked,
// then it will check each individual checkbox. Otherwise if 'allbox' is unchecked, then it will uncheck
// each indivudual checkbox.

   for (i=0; i < document.myform.elements.length; i++)
   {
      var form_element = document.myform.elements[i];
      
      if ((form_element.name != 'allbox') && (form_element.type == 'checkbox'))
      {
         if (ALL_checkbox != 1) // If the ALL checkbox is OFF, set all checkboxes to OFF (and vice-versa)
            form_element.checked = document.myform.allbox.checked;
      }
   }
}

function CheckboxCheck()
{

// This function iterates through all checkboxes in a form and counts up the total number of checkboxes,
// and the total number of those checkboxes that are checked (not including the 'allbox'). If they are equal,
// then the checkbox named 'allbox' is then checked, otherwise 'allbox' is unchecked.

   var total_checkboxes = 0;
   var checked_checkboxes = 0;
   
   for (i=0; i < document.myform.elements.length; i++)
   {
      var form_element = document.myform.elements[i];
      if ((form_element.name != 'allbox') && (form_element.type == 'checkbox'))
      {
         total_checkboxes++; // If the form element is a checkbox and it's not the 'ALL' checkbox, increment the total_checkboxes counter
         if (form_element.checked)
            checked_checkboxes++; // If the checkbox we're on is checked, add it to the checked_checkboxes total
      }
   }
   
   // If the total number of checkboxes checked equals the total number of checkboxes, put a check
   // in the ALL checkbox. Otherwise don't put a check in the ALL checkbox
   
   document.myform.allbox.checked = (checked_checkboxes == total_checkboxes) ? true : false;
}

var url = "search.php?q="; // The server-side script

function handleHttpResponse()
{
	if (http.readyState == 4)
	{
		results = http.responseText.split(",");	// Split the comma delimited response into an array

		mystring = '<input type="submit" value="Remove Member(s)" name="submit" onclick="return besure();"><br />';
		for(var cnt=0; cnt<results.length-1; cnt++)
		{
			mystring = mystring + '<input type="checkbox" name="delete[]" value="' + results[cnt] + '">' + results[cnt] + '<br />\n';
		}

		document.getElementById('foo').innerHTML = mystring;

		//document.getElementById('addy').value = results[0];
	}
}

function lookitup()
{
	var addyValue = document.getElementById("addy").value;
	http.open("GET", url + escape(addyValue), true);
	http.onreadystatechange = handleHttpResponse;
	http.send(null);
}

function getHTTPObject()
{
	var xmlhttp;
	/*@cc_on
	@if (@_jscript_version >= 5)
	try
	{
		xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
	}
	catch (e)
	{
		try
		{
        		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		}
		catch (E)
		{
			xmlhttp = false;
		}
	}
	@else
	xmlhttp = false;
	@end @*/
	if (!xmlhttp && typeof XMLHttpRequest != 'undefined')
	{
		try
		{
			xmlhttp = new XMLHttpRequest();
		}
		catch (e)
		{
			xmlhttp = false;
		}
	}
	return xmlhttp;
}

var http = getHTTPObject(); // We create the HTTP Object

</script>
</head>
<body>

<?php
@include("../header.php");
?>

<div>
  <p><a href="export.php">Export Addresses to CSV</a> | 
  <a href="javascript:doimport();">Import Email Addresses</a></p>		
  <p>The 'All Members' table lists everyone that has signed up for your list, 
  including those people that have not confirmed (shown in red). 
  It's one way to remove members from your list. 
  The 'Confirmed Members' table displays an easy to read list of all of your confirmed members. 
  Use the search feature below to look for or remove members.</p>
  
<?php
if($check_bounces)
{
	$mbox = imap_open("{localhost:143}", $bounce_mailbox, $bounce_password);

	$headers = imap_sort($mbox,SORTDATE,1);

	while (list ($key, $val) = each ($headers))
	{
		$body = imap_body ($mbox, $val);
		preg_match("/[A-z0-9][\w.-]*@[A-z0-9][\w\-\.]+\.[A-z0-9]{2,6}/i",$body,$matches);

		$bounce_query = "UPDATE ".$wcms_db_prefix."_mailinglist_subscribers SET bounce_count = bounce_count + 1 WHERE address = '$matches[0]'";
		$bounce_result = mysql_query($bounce_query) or die("Query failed : " . mysql_error());

		imap_delete($mbox,$val);
	}

	imap_expunge($mbox);
	imap_close($mbox);
}

if ($_POST)
{
	if($_POST[delete])
	{
		echo "<p>&nbsp;</p><p><b><font color=Green>The following addresses have been removed from the database:</font></b><br /> \n";

		foreach($_POST[delete] as $addy)
		{
			$query = "DELETE FROM ".$wcms_db_prefix."_mailinglist_subscribers WHERE address = '$addy'";
			$result = mysql_query($query) or die("Query failed : " . mysql_error());
			echo "--&gt; <em>$addy</em><br />";
		}
		
		echo "</p>\n";
	}
	if($_POST[remove_bounce])
	{
		echo "Remove addresses with $_POST[bounce] or more bounces.";
		$query = "DELETE FROM ".$wcms_db_prefix."_mailinglist_subscribers WHERE bounce_count >= '$_POST[bounce]'";
		$result = mysql_query($query) or die("Query failed : " . mysql_error());
	}
}

$query = "SELECT * FROM ".$wcms_db_prefix."_mailinglist_subscribers ORDER BY confirmed ASC, address ASC";
$result = mysql_query($query) or die("Query failed : " . mysql_error());
$num_rows = mysql_num_rows($result); 

$confirmed_query = "SELECT COUNT(*) FROM ".$wcms_db_prefix."_mailinglist_subscribers WHERE confirmed = '1'";
$confirmed_result = mysql_query($confirmed_query) or die("Query failed : " . mysql_error());
$num_rows_confirmed = mysql_fetch_row($confirmed_result);
?>

<p>&nbsp;</p>
<form method="post" action="members.php" name="searchform">
<table width="100%" align="center" border="0" cellpadding="5" cellspacing="0">
 <tr>
  <th colspan="2">Search for an email address <input type="text" id="addy" name="q" size="80" autocomplete="off" onkeyup="lookitup();" /></th>
 </tr>
 <tr>
  <td class="tab_div" style="width:24%;">Possible matches:</td>
  <td class="tab_div" style="width:76%;"><div style="font-family: tahoma,verdana; font-size: 8pt; max-height: 400px; overflow: auto;" id="foo"></div></td>
 </tr>
</table>
</form>
<p>&nbsp;</p>
<form method="post" action="members.php" name="myform">
<table width="100%" align="center" border="0" cellpadding="5" cellspacing="0">
 <tr>
  <th>All Members (<?php echo $num_rows; ?>)</th>
  <th colspan="4">Confirmed Members (<?php echo $num_rows_confirmed[0]; ?>)</th>
 </tr>
 <tr>
  <td class="tab_div" style="width:24%;">Unconfirmed members in <font color="Red">red (days unconfirmed)</font></td>
  <td class="tab_div" style="width:19%;text-align:center;"><b>A-F</b></td>
  <td class="tab_div" style="width:19%;text-align:center;"><b>G-L</b></td>
  <td class="tab_div" style="width:19%;text-align:center;"><b>M-Q</b></td>
  <td class="tab_div" style="width:19%;text-align:center;"><b>R-Z</b></td>
 </tr>
 <tr valign="top">
  <td class="tab_div"><div style="padding: 0; height: 350px; overflow: auto;">
<table border="0" cellpadding="0" cellspacing="0">

<?php
$counter = 0;
while ($row = mysql_fetch_assoc($result))
{
	$time_diff = floor((time() - $row[last_sub_req_date])/86400);
	
	echo "<tr><td width=\"100%\"><label for=\"$row[address]\"><input type=\"checkbox\" name=\"delete[]\" value=\"$row[address]\" id=\"$row[address]\" onclick=\"CheckboxCheck()\" />";
	if($row[confirmed] == 1)
	{
		echo "$row[address]</label></td></tr>\n";
	}
	else
	{
		echo "<font color=Red>$row[address] ($time_diff)</font></label></td></tr>\n";
	}

	$counter++;
}
?>
</table></div>
  </td>
  <td class="tab_div"><div style="padding: 0; height: 350px; overflow: auto;">
<?php
$query = "SELECT * FROM ".$wcms_db_prefix."_mailinglist_subscribers WHERE confirmed = '1' And address <= 'g%' ORDER BY address ASC";
$result = mysql_query($query) or die("Query failed : " . mysql_error());
while ($row = mysql_fetch_assoc($result))
{
	echo "$row[address]";
	if ($row[bounce_count] > 0 And $check_bounces) echo " ($row[bounce_count])";
	echo "<br />\n";
}
?>
  </div></td>
  <td class="tab_div"><div style="padding: 0; height: 350px; overflow: auto;">
<?php
$query = "SELECT * FROM ".$wcms_db_prefix."_mailinglist_subscribers WHERE confirmed = '1' And address BETWEEN 'g%' AND 'm%' ORDER BY address ASC";
$result = mysql_query($query) or die("Query failed : " . mysql_error());
while ($row = mysql_fetch_assoc($result))
{
	echo "$row[address]";
	if ($row[bounce_count] > 0 And $check_bounces) echo " ($row[bounce_count])";
	echo "<br />\n";
}
?>
  </div></td>
  <td class="tab_div"><div style="padding: 0; height: 350px; overflow: auto;">
<?php
$query = "SELECT * FROM ".$wcms_db_prefix."_mailinglist_subscribers WHERE confirmed = '1' And address BETWEEN 'm%' AND 'r%' ORDER BY address ASC";
$result = mysql_query($query) or die("Query failed : " . mysql_error());
while ($row = mysql_fetch_assoc($result))
{
	echo "$row[address]";
	if ($row[bounce_count] > 0 And $check_bounces) echo " ($row[bounce_count])";
	echo "<br />\n";
}
?>
  </div></td>
  <td class="tab_div"><div style="padding: 0; height: 350px; overflow: auto;">
<?php
$query = "SELECT * FROM ".$wcms_db_prefix."_mailinglist_subscribers WHERE confirmed = '1' And address >= 'r%' ORDER BY address ASC";
$result = mysql_query($query) or die("Query failed : " . mysql_error());
while ($row = mysql_fetch_assoc($result))
{
	echo "$row[address]";
	if ($row[bounce_count] > 0 And $check_bounces) echo " ($row[bounce_count])";
	echo "<br />\n";
}
?>
  </div></td>
 </tr>
 <tr>
  <td><input type="checkbox" name="allbox" value="ON" onclick="CheckALL(this)" /> Select All 
  <input type="submit" value="Remove Member(s)" name="submit" onclick="return besure();" />
	</td>
	<td colspan="4" align="center">
<?php
if ($check_bounces)
{
	echo "<form action=\"\" method=\"\">Bounces shown next to address. Remove members with ";
	echo "<select size=\"1\" name=\"bounce\"><option>1</option><option>2</option><option>3</option>";
	echo "<option>4</option><option>5</option><option>6</option><option>7</option><option>8</option>";
	echo "<option>9</option><option>10</option></select> or more bounces.";
	echo "<input type=\"submit\" name=\"remove_bounce\" value=\"Remove Member(s)\" onclick=\"return besure();\"></form>\n";
}
?>
	</td>
</tr>
</table>
</form>
</div>

<?php
include("../footer.php");
?>

</body>
</html>