<?php
/***************************************************************
 WCMS - Web Content Management System (c) 2006 - Thomas Egtvedt
 
 Photo help page
****************************************************************/
$WCMSMOD = "photo";
/* Includes access, config and language settings */
require("../head_user_access.php");
require("../../classes/accessartsec.class.php");
$WCMSaccess = new accessartsec($DBName);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $Language["wcms_charset"]; ?>" />
<meta name="author" content="<?php echo WCMS_AUTHOR; ?>" />
<meta name="copyright" content="<?php echo WCMS_COPYRIGHT." - ".WCMS_AUTHOR; ?>" />
<meta name="date" content="<?php echo date("d M Y") ?>" />
<meta name="language" content="<?php echo $Language["wcms_language"]; ?>" />
<meta name="publisher" content="<?php echo WCMS_PUBLISHER; ?>" />
<meta name="version" content="<?php echo WCMS_VERSION; ?>" />
<link rel="shortcut icon" href="<?php echo $wcms_root_url; ?>access/wcms_access_graphic/wcms_favicon.gif" type="image/gif" />
<link href="<?php echo $wcms_root_url; ?>access/wcms_access_style/wcms_access_general.css" rel="stylesheet" type="text/css" />
<title><?php echo $Language["wcms_sitename"]." - Controlpanel - ".WCMS_VERSION; ?></title>

</head>
<body>

<?php 
@include("../header.php");
?>

<div>
<h1>Viewing / rearranging photos</h1>
<ul>
<li>The number next to the photo title refers to the order in which it will be displayed on the pages.</li>
<li>Deleting a photo will remove the original and the thumbnail from the server.</li>
</ul>

<h1>Uploading photos</h1>
<ul>
<li>The title you provide will be displayed in the ALT image text and in the header when viewing the popup originals.</li>
<li>The photos should be either GIF, JPG or PNG files.</li>
<li>Filenames with special characters will not be recognized.</li>
</ul>
</div>

<?php
include("../footer.php");
?>

</body>
</html>