<?php
/***************************************************************
 WCMS - Web Content Management System (c) 2006 - Thomas Egtvedt
 
 Section help page
****************************************************************/
$WCMSMOD = "section";
/* Includes access, config and language settings */
require("../head_user_access.php");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $Language["wcms_charset"]; ?>" />
<meta name="author" content="<?php echo WCMS_AUTHOR; ?>" />
<meta name="copyright" content="<?php echo WCMS_COPYRIGHT." - ".WCMS_AUTHOR; ?>" />
<meta name="date" content="<?php echo date("d M Y") ?>" />
<meta name="language" content="<?php echo $Language["wcms_language"]; ?>" />
<meta name="publisher" content="<?php echo WCMS_PUBLISHER; ?>" />
<meta name="version" content="<?php echo WCMS_VERSION; ?>" />
<link rel="shortcut icon" href="<?php echo $wcms_root_url; ?>access/wcms_access_graphic/wcms_favicon.gif" type="image/gif" />
<link href="<?php echo $wcms_root_url; ?>access/wcms_access_style/wcms_access_general.css" rel="stylesheet" type="text/css" />
<title><?php echo $Language["wcms_sitename"]." - Controlpanel - ".WCMS_VERSION; ?></title>

</head>
<body>

<?php 
@include("../header.php");
?>

<div>
<h1>List of sections</h1>
<ul>
<li>From the table you may choose which operations you wish to perform.
<ul><li>You can add/delete photos.</li>
<li>Add/edit/delete articles.</li>
<li>Edit/delete the section itself.</li></ul>
</li>
</ul>

<h1>Add or delete photos</h1>
<ul>
<li>Add a photo by providing a title and select a photo to upload from your computer.</li>
<li>Delete a photo simply by clicking "delete".</li>
</ul>

<h1>Add, edit or delete articles</h1>
<ul>
<li>You will be taken to the article listing, only showing articles from selected section.</li>
<li>Add by filling in the fields, should be self-explanatory.</li>
<li>Edit by altering the fields, should be self-explanatory.</li>
<li>Delete an article simply by clicking "delete".</li>
</ul>

<h1>Create a new section</h1>
<ul>
<li>Simply fill in the fields, should be self-explanatory.</li>
</ul>

<h1>Edit a section</h1>
<ul>
<li>Simply alter the desired fields, should be self-explanatory.</li>
</ul>

<p>A tutorial will be posted in time...</p>

</div>

<?php
include("../footer.php");
?>

</body>
</html>