<?php
/***************************************************************
 WCMS - Web Content Management System (c) 2006 - Thomas Egtvedt
 
 Sitepost admin page
****************************************************************/
$WCMSMOD = "sitepost";
/* Includes access, config and language settings */
require("../head_user_access.php");
require("../../classes/accessartsec.class.php");
$WCMSaccess = new accessartsec($DBName);

if (empty($page))
{
$page = 0;
}
# Set the number of articles listed per page
$intRec = $wcms_def_list_no;
if (empty($record))
{
$record = $intRec;
} else {
$record = 10000000;
}

if ($action == "delete" && !empty($message_id)) 
{
	$WCMSaccess->deleteSitepost($message_id);
	# Reload the initial page to avoid refresh issues
	header("location: ".$wcms_access_url."module_sitepost/");
	exit;
}

$arraySitepost = $WCMSaccess->getSitepost($page,$record); 
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $Language["wcms_charset"]; ?>" />
<meta name="author" content="<?php echo WCMS_AUTHOR; ?>" />
<meta name="copyright" content="<?php echo WCMS_COPYRIGHT." - ".WCMS_AUTHOR; ?>" />
<meta name="date" content="<?php echo date("d M Y") ?>" />
<meta name="language" content="<?php echo $Language["wcms_language"]; ?>" />
<meta name="publisher" content="<?php echo WCMS_PUBLISHER; ?>" />
<meta name="version" content="<?php echo WCMS_VERSION; ?>" />
<link rel="shortcut icon" href="<?php echo $wcms_root_url; ?>access/wcms_access_graphic/wcms_favicon.gif" type="image/gif" />
<link href="<?php echo $wcms_root_url; ?>access/wcms_access_style/wcms_access_general.css" rel="stylesheet" type="text/css" />
<title><?php echo $Language["wcms_sitename"]." - Controlpanel - ".WCMS_VERSION; ?></title>

<script type="text/javascript">
<!--
function handleClick(id) {
	var obj = "";	
		// Check browser compatibility
		if(document.getElementById)
			obj = document.getElementById(id);
		else if(document.all)
			obj = document.all[id];
		else if(document.layers)
			obj = document.layers[id];
		else
			return 1;

		if (!obj) {
			return 1;
		}
		else if (obj.style) 
		{			
			obj.style.display = ( obj.style.display != "none" ) ? "none" : "";
		}
		else 
		{ 
			obj.visibility = "show"; 
		}
}
//-->
</script>

</head>
<body>

<?php 
@include("../header.php");
?>
<div>
<table align="center" width="100%" border="0" cellspacing="0" cellpadding="5">
 <tr> 
  <th style="width:10%;"><strong>Message ID</strong></th>
  <th style="width:40%;"><strong>Date &amp; Subject</strong></th>
  <th style="width:30%;"><strong>From</strong></th>                
  <th style="width:20%;" colspan="2"><strong>Operations</strong></th>
 </tr>
<?php
if (!empty($arraySitepost)) {
	while ( list($key,$val)=each($arraySitepost) ) 
	{
	$message_id	= stripslashes($val["message_id"]);
	$time 		= stripslashes($val["time"]);
	$ip 		= stripslashes($val["ip"]);
	$title 		= stripslashes($val["title"]);
	$firstname 	= stripslashes($val["firstname"]);
	$lastname 	= stripslashes($val["lastname"]);
	$email 		= stripslashes($val["email"]);
	$phone 		= stripslashes($val["phone"]);
	$mobile 	= stripslashes($val["mobile"]);
	$address 	= stripslashes($val["address"]);
	$town 		= stripslashes($val["town"]);
	$zip 		= stripslashes($val["zip"]);
	$country 	= stripslashes($val["country"]);
	$topic 		= stripslashes($val["topic"]);
	$foundus 	= stripslashes($val["foundus"]);
	$message 	= stripslashes($val["message"]);
	$replyby 	= stripslashes($val["replyby"]);
?>
 <tr class="list" style="border-bottom:1px solid #ccc;">
  <td class="tab_div"><?php echo $message_id; ?></td>
  <td class="tab_div"><?php echo date("d-m-Y \| H:i", $time) ?> - <?php echo $topic; ?></td>
  <td class="tab_div"><a href="mailto:<?php echo $email; ?>"><?php echo $title." ".$firstname." ".$lastname; ?></a></td> 
  <td class="tab_div"><a href="javascript:handleClick('message<?php echo $message_id; ?>');">Read</a></td>
  <td class="tab_div"><a href="<?php echo $wcms_access_url; ?>module_sitepost/index.php?action=delete&amp;message_id=<?php echo $message_id; ?>" onclick="return window.confirm('Are you absolutely sure? - This operation is irreversible!\n\nAll contact information within this message will be lost.\n\nDon\'t come around later saying I didn\'t warn you...\n\n');">Delete</a></td>
 </tr>
 <tr id="message<?php echo $message_id; ?>" style="display:none;">
   <td colspan="5"><pre>
Email    : <?php echo $email; ?><br />
Phone    : <?php echo $phone; ?><br />
Mobile   : <?php echo $mobile; ?><br />
Address  : <?php echo $address; ?><br />
Town	 : <?php echo $town; ?><br />
Zip      : <?php echo $zip; ?><br />
Country  : <?php echo $country; ?><br />
From IP  : <?php echo $ip; ?><br />
Found us : <?php echo $foundus; ?><br />
Reply by : <?php echo $replyby; ?><br />
Message  :<br /> 
<?php echo wordwrap($message, 100); ?>
   </pre></td> 
 </tr>
<?php
	}
}
?>                       
 <tr>
  <td style="text-align:right;" colspan="5">
<?php
$pagenext = $page+1;
$arraySitepost1 = $WCMSaccess->getSitepost($pagenext,$record);
		if ($page!=0)
		{
		$pagepre = $page-1;		
		echo "  <a href=\"index.php?page=$pagepre\">&laquo; Back</a>&nbsp;&nbsp;&nbsp;";
		}
		if (!empty($arraySitepost1))
		{
		echo "  <a href=\"index.php?page=$pagenext\">Next &raquo;</a>";
		}
?>
  </td>
 </tr>
</table>            
</div>
<?php
include("../footer.php");
?>

</body>
</html>