<?php
/***************************************************************
 WCMS - Web Content Management System (c) 2006 - Thomas Egtvedt
 
 The section class containing most functions for the sections
****************************************************************/

// Checks if there are photo(s) linked with this section/article
if ($choice == "section" || $choice == "article")
{
	if (!empty($article_id) && $choice == "article")
	{
	$query = "SELECT * FROM ".$wcms_db_prefix."_shared_photos WHERE module_name='$choice' AND module_id='$article_id' ORDER BY photo_position";
	}
	elseif (!empty($section_id) && $choice == "section")
	{
	$query = "SELECT * FROM ".$wcms_db_prefix."_shared_photos WHERE module_name='$choice' AND module_id='$section_id' ORDER BY photo_position";
	}
	$result = mysql_query($query) or die("Query failed: " . mysql_error());
	$x = 0;
	// Prepares the field values for the photo(s)
	$arrayPhotos = array();
	while ($row = mysql_fetch_array($result)) 
	{
	$arrayPhotos[$x] = $row;
	$x++;
	}
	// If found - Lists all the details for the photo(s) 
	if (count($arrayPhotos) > 0) 
	{
	$y = 0;
		while ($y < count($arrayPhotos)) 
		{ 
		$photo_title = $arrayPhotos[$y]["photo_title"];
		$photo_orig = $arrayPhotos[$y]["photo_orig"];
		$height_orig = $arrayPhotos[$y]["height_orig"];;
		$width_orig = $arrayPhotos[$y]["width_orig"];
		$photo_thumb = $arrayPhotos[$y]["photo_thumb"];
		$height_thumb = $arrayPhotos[$y]["height_thumb"];
		$width_thumb = $arrayPhotos[$y]["width_thumb"];
		$photo_id = $arrayPhotos[$y]["photo_id"];
		$tR[$y] = "<a href=\"javascript:showbig(".$photo_id.",".$width_orig.",".$height_orig.")\"><img class=\"alignright\" src=\"".$wcms_photopath."thumbs/".$photo_thumb."\" width=\"".$width_thumb."\" height=\"".$height_thumb."\" alt=\"".$photo_title."\" /></a>";
		$tL[$y] = "<a href=\"javascript:showbig(".$photo_id.",".$width_orig.",".$height_orig.")\"><img class=\"alignleft\" src=\"".$wcms_photopath."thumbs/".$photo_thumb."\" width=\"".$width_thumb."\" height=\"".$height_thumb."\" alt=\"".$photo_title."\" /></a>";
		$oR[$y] = "<img class=\"alignright\" src=\"".$wcms_photopath.$photo_orig."\" width=\"".$width_orig."\" height=\"".$height_orig."\" alt=\"".$photo_title."\" />";
		$oL[$y] = "<img class=\"alignleft\" src=\"".$wcms_photopath.$photo_orig."\" width=\"".$width_orig."\" height=\"".$height_orig."\" alt=\"".$photo_title."\" />";
		$y++;
		}
	}
}

class articlesection extends wcms
{

// Calls the functions in wcms.class.php
   function articlesection($DBName = "")
   {
      $this->wcms($DBName);
   }

// Function to display the head title
    function headTitle($intRefSectionId) 
    {
		global $wcms_db_prefix,$Language;
		// Finds all parent sections
		if ($intRefSectionId > 0)
		{
			while($intRefSectionId) 
			{ 
			$query = "SELECT section_id,section_name,parent_section_id FROM ".$wcms_db_prefix."_sections WHERE section_id='$intRefSectionId'"; 
			$result = mysql_query($query) or die("Query failed: " . mysql_error()); 
			$row = mysql_fetch_array($result);
			$path[] = array('section_name'=>$row['section_name'], 'section_id'=>$row['section_id']);
			$intRefSectionId = $row['parent_section_id'];
			} 
			$arrayPath = array_reverse($path);
		}
		$z = 0;
		$strHeadPath  = $Language["wcms_sitename"];
			while ($z < count($arrayPath))
			{	      
			$strPathname    = $arrayPath[$z]["section_name"];
			$strHeadPath  .= " - ".$strPathname;
			$z++;
			}	
		return $strHeadPath;
	}

// Function to get upone link
    function upOne($intRefSectionId) 
    {
		global $wcms_db_prefix,$wcms_urlrewrite,$wcms_root_url,$choice,$wcms_imagepath,$session_link,$Language;
		if ($intRefSectionId != 0)
		{
		$query = "SELECT section_url FROM ".$wcms_db_prefix."_sections WHERE section_id='$intRefSectionId'"; 
		$result = mysql_query($query) or die("Query failed: " . mysql_error()); 
		$field = mysql_fetch_array($result);
		$intRefSectionUrl = $field['section_url'];
			if ($wcms_urlrewrite)
			{
			$link = $wcms_root_url."".$intRefSectionUrl."/s".$intRefSectionId.".html";
			}else{
			$link = $wcms_root_url."?choice=section&amp;section_id=".$intRefSectionId."&amp;pagetitle=".$intRefSectionUrl;
			}
			$intParentSectionId = "<li><a href=\"".$link."\" \n";
			$intParentSectionId .= "onmouseover=\"window.status='".$intRefSectionUrl."'; return true;\" \n";
			$intParentSectionId .= "onmouseout=\"window.status='';\"><img class=\"related\" src=\"".$wcms_imagepath."/section_up.gif\" \n";
			$intParentSectionId .= "alt=\"".$Language["upone"]."\" title=\"".$Language["upone"]."\" /> ".$Language["upone"]."</a></li>\n";
		}else{
		$intParentSectionId = "<li><a href=\"".$wcms_root_url."\" \n";
		$intParentSectionId .= "onmouseover=\"window.status='".$Language["pagetitle_homepage"]."'; return true;\" \n";
		$intParentSectionId .= "onmouseout=\"window.status='';\"><img class=\"related\" src=\"".$wcms_imagepath."/section_up.gif\" \n";
		$intParentSectionId .= "alt=\"".$Language["upone"]."\" title=\"".$Language["upone"]."\" /> ".$Language["upone"]."</a></li>\n";
		}
		return $intParentSectionId;
	}

// Function to get top parent $section_id value
    function topSection($intRefSectionId) 
    {
		global $wcms_db_prefix;
		if ($intRefSectionId > 0)
		{
			while($intRefSectionId) 
			{ 
			$query = "SELECT section_id,parent_section_id FROM ".$wcms_db_prefix."_sections WHERE section_id='$intRefSectionId'"; 
			$result = mysql_query($query) or die("Query failed: " . mysql_error()); 
			$row = mysql_fetch_array($result);
			$intRefSectionId = $row['parent_section_id']; 
				if ($intRefSectionId == 0)
				{
				$getId = $row['section_id'];
				}
			}
		$intToParentSectionId = $getId;
		}
		//echo $intToParentSectionId;
		return $intToParentSectionId;
	}

// Function to display all sections relative to section x
    function getSections($section_id,$intRefSectionId) 
    { 
		global $wcms_db_prefix,$wcms_root_url,$wcms_imagepath,$wcms_urlrewrite;
		if ($intRefSectionId >= 0 && $section_id != 1)
		{
		$query = "SELECT section_id,section_name,section_url FROM ".$wcms_db_prefix."_sections WHERE parent_section_id='$intRefSectionId' ORDER BY section_id";
		$result = mysql_query($query) or die("Query failed: " . mysql_error());
		$strSections = "";
			while ($arraySections = mysql_fetch_array($result))
			{
			$strSectionName = $arraySections["section_name"];
			$strSectionUrl = $arraySections["section_url"];
			$intSectionId = $arraySections["section_id"];
				if ($section_id == $intSectionId) 
				{
				$style = "class=\"active\" ";
				$active = true;
				} else {
				$active = false;
				}
				if ($wcms_urlrewrite) 
				{
				$link = $wcms_root_url.$strSectionUrl."/s".$intSectionId.".html";
				} else {
				$link = $wcms_root_url."?choice=section&amp;section_id=".$intSectionId."&amp;pagetitle=".strSectionUrl;
				}

				if ($active)
				{
				$strSections .= "<li><a ".$style."href=\"".$link."\" \n";
				$strSections .= "onmouseover=\"window.status='".$strSectionName."'; return true;\" \n";
				$strSections .= "onmouseout=\"window.status='';\"><img class=\"related\" src=\"".$wcms_imagepath."/section_sub.gif\" \n";
				$strSections .= "alt=\"".$strSectionName."\" title=\"".$strSectionName."\" /> ".$strSectionName."</a></li>\n";
				$strSections .= $this->getSubSections($section_id);
				
				$strSections .= $this->getArticles(0,"listall",$section_id);
				
				}else{
				$strSections .= "<li><a href=\"".$link."\" \n";
				$strSections .= "onmouseover=\"window.status='".$strSectionName."'; return true;\" \n";
				$strSections .= "onmouseout=\"window.status='';\"><img class=\"related\" src=\"".$wcms_imagepath."/section.gif\" \n";
				$strSections .= "alt=\"".$strSectionName."\" title=\"".$strSectionName."\" /> ".$strSectionName."</a></li>\n";
				}
			}
		}
		return $strSections;
	}
	
// Function to display all subsections relative to section x
    function getSubSections($section_id) 
    { 
		global $wcms_db_prefix,$wcms_root_url,$wcms_imagepath,$wcms_urlrewrite;
		$query = "SELECT section_id,section_name,section_url FROM ".$wcms_db_prefix."_sections WHERE parent_section_id='$section_id' ORDER BY section_id";
		$result = mysql_query($query) or die("Query failed: " . mysql_error());
		$strSubSections = "";
			while ($arraySubSections = mysql_fetch_array($result))
			{
			$strSubSectionName = $arraySubSections["section_name"];
			$strSubSectionUrl = $arraySubSections["section_url"];
			$intSubSectionId = $arraySubSections["section_id"];
				if ($section_id == $intSubSectionId) 
				{
				$style = "active_sub_menu";
				} else {
				$style = "sub_menu";
				}
				if ($wcms_urlrewrite) 
				{
				$link = $wcms_root_url.$strSubSectionUrl."/s".$intSubSectionId.".html";
				} else {
				$link = $wcms_root_url."?choice=section&amp;section_id=".$intSubSectionId."&amp;pagetitle=".strSubSectionUrl;
				}
			$strSubSections .= "<li><a class=\"".$style."\" href=\"".$link."\" \n";
			$strSubSections .= "onmouseover=\"window.status='".$strSubSectionName."'; return true;\" \n";
			$strSubSections .= "onmouseout=\"window.status='';\"><img class=\"related\" src=\"".$wcms_imagepath."/section.gif\" \n";
			$strSubSections .= "alt=\"".$strSectionName."\" title=\"".$strSectionName."\" /> <strong>".$strSubSectionName."</strong></a></li>\n";
			}
		return $strSubSections;
	}

// Function to display the breadcrumb
    function breadcrumb($intRefSectionId) 
    {
		global $wcms_db_prefix,$wcms_root_url,$wcms_urlrewrite;
		if ($intRefSectionId > 0)
		{
			while($intRefSectionId) 
			{ 
			$query = "SELECT section_id,section_name,section_url,parent_section_id FROM ".$wcms_db_prefix."_sections WHERE section_id='$intRefSectionId'"; 
			$result = mysql_query($query) or die("Query failed: " . mysql_error()); 
			$row = mysql_fetch_array($result);
			$path[] = array('section_name'=>$row['section_name'], 'section_url'=>$row['section_url'], 'section_id'=>$row['section_id']);
			$intRefSectionId = $row['parent_section_id']; 
			} 
			$arrayPath = array_reverse($path);
		}
		$z = 0;
		$strBreadPath = ""; 
		while ($z < count($arrayPath))
		{	      
		$strPathName    = $arrayPath[$z]["section_name"];
		$strPathUrl     = $arrayPath[$z]["section_url"];
		$intPathId      = $arrayPath[$z]["section_id"];
			if ($wcms_urlrewrite) 
			{
			$strLink = $wcms_root_url.$strPathUrl."/s".$intPathId.".html";
			} else {
			$strLink = $wcms_root_url."?choice=section&amp;section_id=".$intPathId."&amp;pagetitle=".strPathUrl;
			}
		$strBreadPath .= "&gt; <a href=\"".$strLink."\" onmouseover=\"window.status='".$strPathName."'; return true;\" onmouseout=\"window.status='';\">".$strPathName."</a>\n";
		$z++;
		}
		return $strBreadPath;
	}

// Function to display articles in a section (all, featured, mostread, popular)
    function getArticles($intFullStory,$strListType,$section_id) 
    { 
		global $wcms_db_prefix,$wcms_front_featnews,$wcms_section_featnews,$wcms_section_mostread,$wcms_section_mostpop,$wcms_section_votes,$wcms_root_url,$wcms_imagepath,$wcms_urlrewrite,$accessLevel;
		
		#echo $accessLevel." ".$intLevel;
		#exit;
		
		// Selects which query to run
		if ($section_id != "1" && $strListType == "featured")
		{
		$query = "SELECT * FROM ".$wcms_db_prefix."_articles WHERE level>='$accessLevel' AND featured=1 AND displayed=1 AND section_id='$section_id' ORDER BY updated DESC LIMIT 0,$wcms_section_featnews";
		}
		elseif ($section_id == "1" && $strListType == "featured")
		{
		$query = "SELECT * FROM ".$wcms_db_prefix."_articles WHERE level>='$accessLevel' AND featured=1 AND displayed=1 ORDER BY updated DESC LIMIT 0,$wcms_front_featnews";
		}
		elseif ($section_id != "1" && $strListType == "mostread")
		{
		$query = "SELECT * FROM ".$wcms_db_prefix."_articles WHERE level>='$accessLevel' AND displayed=1 AND section_id='$section_id' ORDER BY counter DESC LIMIT 0,$wcms_section_mostread";
		}
		elseif ($section_id == "1" && $strListType == "mostread")
		{
		$query = "SELECT * FROM ".$wcms_db_prefix."_articles WHERE level>='$accessLevel' AND displayed=1 ORDER BY counter DESC LIMIT 0,$wcms_section_mostread";
		}
		elseif ($section_id != "1" && $strListType == "popular")
		{
		$query = "SELECT * FROM $".$wcms_db_prefix."_articles WHERE level>='$accessLevel' AND displayed=1 AND ratenum>='$wcms_section_votes' AND section_id='$section_id' ORDER BY rating DESC LIMIT 0,$wcms_section_mostpop";
		}
		elseif ($section_id == "1" && $strListType == "popular")
		{
		$query = "SELECT * FROM ".$wcms_db_prefix."_articles WHERE level>='$accessLevel' AND displayed=1 AND ratenum>='$wcms_section_votes' ORDER BY rating DESC LIMIT 0,$wcms_section_mostpop";
		}
		elseif ($section_id != "1" && $strListType == "listall")
		{
		$query = "SELECT * FROM ".$wcms_db_prefix."_articles WHERE level>='$accessLevel' AND displayed=1 AND section_id='$section_id' ORDER BY article_title ASC";
		} else {
		$query = "SELECT * FROM ".$wcms_db_prefix."_articles WHERE level>='$accessLevel' AND displayed=1 AND section_id=2 ORDER BY updated DESC";
		}		
		$result = mysql_query($query) or die("Query failed: " . mysql_error());
		$x = 0;
		// Prepares the field values for the articles
		$arrayArticles = array();
			while ($row = mysql_fetch_array($result)) 
			{
			$arrayArticles[$x] = $row;
			$x++;
			}
		// If found - Lists all the details for the articles
			if (count($arrayArticles) > 0) 
			{
			$y=0;
			$strArticles = "";
				while($y < count($arrayArticles)) 
				{ 
				$article_id    	= $arrayArticles[$y]['article_id'];
				$article_title 	= $arrayArticles[$y]['article_title'];
				$article_url   	= $arrayArticles[$y]['article_url'];
				$counter        = $arrayArticles[$y]['counter'];
				#$intro   		= $arrayArticles[$y]['intro'];
				$intro       	= $this->phpinclude($arrayArticles[$y]['intro']);
				eval("\$intro = \"$intro\";");
				$intro			= strip_tags($intro);
				$rating 	 	= number_format($arrayArticles[$y]['rating'], 2);
				$updated 		= $arrayArticles[$y]['updated'];
				$updated 		= date('d/m/Y - H:i', $updated);
					if ($intFullStory) 
					{
						if ($strListType == "featured")
						{
						$fullstory = "<strong>".$article_title."</strong><br /><em>".$updated."</em><br />".$intro;
						} 
						elseif ($strListType == "mostread")
						{
						$fullstory = "<strong>".$article_title."</strong> (".$counter.")<br />".$intro;
						} else {
						$fullstory = "(".$rating."/6) <strong>".$article_title."</strong><br />".$intro;
						}
					} else {
						if ($strListType == "mostread")
						{
						$fullstory = "<strong>".$article_title."</strong>(".$counter.")";
						} 
						elseif ($strListType == "popular")
						{
						$fullstory = "(".$rating."/6) <strong>".$article_title."</strong>";
						} else {
						$fullstory = "<strong>".$article_title."</strong>";
						}
					}	
					if ($wcms_urlrewrite) 
					{
					$strArticles .= "<li><a class=\"art_list\" href=\"".$wcms_root_url.$article_url."/a".$article_id.".html\" \n";
					$strArticles .= "onmouseover=\"window.status='".$article_title."'; return true;\" \n";
					$strArticles .= "onmouseout=\"window.status='';\"><img class=\"related\" src=\"".$wcms_imagepath."/article.gif\" \n";
					$strArticles .= "alt=\"".$article_title."\" /> ".$fullstory."</a></li>\n";
					} else {
					$strArticles .= "<li><a class=\"art_list\" href=\"".$wcms_root_url."?choice=article&amp;article_id=".$article_id."&amp;pagetitle=".$article_url."\" \n";
					$strArticles .= "onmouseover=\"window.status='".$article_title."'; return true;\" \n";
					$strArticles .= "onmouseout=\"window.status='';\"><img class=\"related\" src=\"".$wcms_imagepath."/article.gif\" \n";
					$strArticles .= "alt=\"".$article_title."\" /> ".$fullstory."</a></li>\n";
					}
				$y++;
				}
			}
		return $strArticles;
	}
	
	// Function to set the page ratings
	function setRating($article_id,$Rating)
	{
	  global $wcms_db_prefix;
	  $query = "SELECT rating,ratenum FROM ".$wcms_db_prefix."_articles WHERE article_id='$article_id'";
	  //$result = $this->select($sql);
	  $result = mysql_query($query) or die("Query failed: " . mysql_error());
	  $PageRate = mysql_fetch_array($result);
	  $OldR = $PageRate["rating"];
	  $OldN = $PageRate["ratenum"];
	  $NewN = $OldN+1;
	  $NewR = ($OldR*$OldN+$Rating)/$NewN;
	  $query = "UPDATE ".$wcms_db_prefix."_articles SET rating='$NewR',ratenum='$NewN' WHERE article_id='$article_id'";
	  $result = mysql_query($query) or die("Query failed: " . mysql_error());
	  return $result;
	}
	
	// Function to add a new page comment
	function addComment($module_id,$module_name,$author,$email,$website,$comment)
	{
	  global $wcms_db_prefix,$Language;
	  $added = date("U");
	  $query = "SELECT added FROM ".$wcms_db_prefix."_comments WHERE module_id = '$module_id' AND module_name = '$module_name' ORDER BY added DESC";
	  $result = mysql_query($query) or die("Query failed: " . mysql_error());
	  $lastCom = mysql_fetch_array($result);
	  $nodouble = $lastCom["added"]+60;
	  if (!empty($result) && $nodouble <= $added)
	  {
	  $query = "INSERT INTO ".$wcms_db_prefix."_comments (module_id,module_name,author,email,website,comment,added) VALUES ('$module_id','$module_name','$author','$email','$website','$comment','$added')";      
	  $result = mysql_query($query) or die("Query failed: " . mysql_error());
	  } else {
	  $result = 0;
	  }
	  return $result;
	}
	
	// Function list comments
	function listComments($module_id,$module_name)
	{
	  global $wcms_db_prefix;
	  $query = "SELECT author,website,comment,added FROM ".$wcms_db_prefix."_comments WHERE module_id = '$module_id' AND module_name = '$module_name' ORDER BY added ASC";
	  $result = mysql_query($query) or die("Query failed: " . mysql_error());
	  return $result;
	}
	
	// Count comments
	function countComments($module_id,$module_name)
	{
	  global $wcms_db_prefix;
	  $query = "SELECT COUNT(*) FROM ".$wcms_db_prefix."_comments WHERE module_id = '$module_id' AND module_name = '$module_name'";
	  $result = mysql_query($query) or die("Query failed : " . mysql_error());
      $comments = mysql_fetch_row($result);
      $count = $comments[0];
	  return $count;
	}

// End class articlesection
}
?>