<?php
/******************************* WCMS SYSTEM FUNCTIONS START *************************************/

// Some globals that may come in handy...
   exec('cat /proc/cpuinfo', $cpuinfo);
   exec('cat /proc/loadavg', $loadavg);
   exec('cat /proc/uptime',  $uptime);

function getValue($str)
   {
        return substr($str,strrpos($str,":")+1,strlen($str)-strrpos($str,":")+1);
   }

function getSimple($str)
   {
           $start = strpos($str, "(");
           $end   = strpos($str, ")");

        return substr($str,0,$start-1).substr($str,$end+1,strlen($str)-$end+1);
   }

// Server Processor (CPU) properties...
$cpu_info = getSimple(getValue($cpuinfo[4])) . ' ' . round(getValue($cpuinfo[6]),0) . ' Mhz';

/* Server harddrive properties...268435456 */
function disk_info()
{
    $free_space = floor(disk_free_space(".") / 1073741824);
    $max_space = floor(disk_total_space(".") / 1073741824);
	return 'Total: '.$max_space.' GB ('.$free_space.' GB free)';
}

// Displays visitors IP and ISP (host)...
function ip_isp_info()
{
	if (getenv(HTTP_X_FORWARDED_FOR)){
	$ip=getenv(HTTP_X_FORWARDED_FOR);
	}
	else {
	$ip=getenv(REMOTE_ADDR);
	}
	$client = gethostbyaddr($_SERVER['REMOTE_ADDR']);
	$str = preg_split("/\./", $client);
	$i = count($str);
	$x = $i - 1;
	$n = $i - 2;
	$isp = $str[$n] . "." . $str[$x];
//  return $ip.' @ '.$isp;
	return $isp;
}

// Display size of mySQL database...
function getdbsize() 
{
global $DBName, $DBHost, $DBUser, $DBPswd;
$db = mysql_connect($DBHost, $DBUser, $DBPswd) or die ("Error connecting to MySQL Server!\n");
mysql_select_db($DBName, $db);

$sql_result = "SHOW TABLE STATUS FROM " . $DBName;
$result = mysql_query($sql_result);
mysql_close($db);

if($result) {
	$size = 0;
	while ($data = mysql_fetch_array($result)) {
		$size = $size + $data["Data_length"] + $data["Index_length"];
		}
		if( $size >= 1048576 )
		{
		return sprintf("%.2f MB", ( $size / 1048576 ));
		}
		else if( $size >= 1024 )
		{
		return sprintf("%.2f KB", ( $size / 1024 ));
		}
		else
		{
		return sprintf("%.2f Bytes", $size);
		}
	}
	else {
		return FALSE;
	}
}

// Displays current Apache version...
function apache_v()
{
	$ver = $_SERVER['SERVER_SOFTWARE'];
	return substr($ver,strpos($ver,'/')+1,strpos($ver,' ')-strpos($ver,'/')-1);
}

// Displays current mySQL version...
function mysql_v()
{
global $DBHost, $DBUser, $DBPswd;
	if(@mysql_connect($DBHost,$DBUser,$DBPswd))
		return mysql_get_server_info();
	else
		return "Not running";
}

// Display server uptime...
function uptime()
{
	$uptime_array = explode(" ", exec("cat /proc/uptime"));
	$seconds = round($uptime_array[0], 0);
	$minutes = $seconds / 60;
	$hours = $minutes / 60;
	$days = floor($hours / 24);
	$hours = floor($hours - ($days * 24));
	$minutes = floor($minutes - ($days * 24 * 60) - ($hours * 60));
	$seconds = floor($seconds - ($days * 24 * 60 * 60) - ($hours * 60 * 60) - ($minutes * 60));
	$uptime_array = array($days, $hours, $minutes, $seconds);

	if ($uptime_array[0] == 0) {
		if ($uptime_array[1] == 0) {
			if ($uptime_array[2] == 0) {
				$uptime = $uptime_array[3] . " seconds";
			}
			else
			{
				$uptime = $uptime_array[2] . " minutes";
			}
		}
		else
		{
			$uptime = $uptime_array[1] . " hours";
		}
	}
	else
	 {
		$uptime = $uptime_array[0] . " days";
	}
return $uptime;
}

// Average server load (1min, 5min and 15min)...
function serverload()
{
	$loadavg_array = explode(" ", exec("cat /proc/loadavg"));
	$a = $loadavg_array[0];
	$b = $loadavg_array[1];
	$c = $loadavg_array[2];
	return $a.' '.$b.' '.$c;
}

/******************************* WCMS SYSTEM FUNCTIONS END *************************************/
?>