<?php
/***************************************************************
 WCMS - Web Content Management System (c) 2006 - Thomas Egtvedt
 
 The general index page
****************************************************************/

/* Compress output during transmission */
ob_start("ob_gzhandler");

/* Start page loading time */
function getmicrotime()
{
    list($usec, $sec) = explode(" ",microtime());
    return ((float)$usec + (float)$sec);
}
$time_start = getmicrotime();

/* Register_globals workaround */
foreach($_GET as $key=>$value)
{
$$key=$value;
}

/* Set $section_id=1 as default */
if (!isset($choice)) 
{
$choice = "section";
$section_id = "1";
$pagetitle = "main";
}

/* Includes sessions if set in login.php or by selector */
session_start();

/* Checks Captcha Image value */
if ($_POST["code"] != $_SESSION['confirmid'] || empty($_POST["code"]))
{
	$strCaptcha = false;
} else {
	$strCaptcha = true;
}

/* Includes the DB variables */
@require("config/conf_access.php");
@require("config/wcms_constants.php");

/* Opens the DB connection */
$DBConn = @mysql_connect($DBHost, $DBUser, $DBPswd);

if (!$DBConn) {
    die(mysql_errno() . ": Could not connect to your MySQL database");
}

if (!@mysql_select_db($DBName, $DBConn)) {
    die(mysql_errno($DBConn) . ": " . mysql_error($DBConn). "<br />\n");
}

/* Switch language */
if(isset($_POST['switchLanguage']) && $_POST['switchLanguage'] != "" && $_POST['switchLanguage'] != $Language['switch_language'])
{
	if (isset($_SESSION['language']))
	{
	unset ($_SESSION['language']);
	}
	$_SESSION['language'] = $_POST["switchLanguage"];
}

/* Switch theme */
if(isset($_POST['switchTheme']) && $_POST['switchTheme'] != "" && $_POST['switchTheme'] != $Language['switch_theme'])
{
	if (isset($_SESSION['theme']))
	{
	unset ($_SESSION['theme']);
	}
	$_SESSION['theme'] = $_POST["switchTheme"];
}

/* Start counting DB queries */
$start = mysql_query("SHOW STATUS LIKE 'Questions%'");
$row = mysql_fetch_assoc($start);
$intDBQstart = array_sum($row);

/* Set the URl request rewrite link */
if ($choice == "section")
{
$amrwRequest = $wcms_root_url.$pagetitle."/s".$section_id.".html";
} 
elseif ($choice == "article")
{
$amrwRequest = $wcms_root_url.$pagetitle."/a".$article_id.".html";
} 
elseif ($choice == "tellafriend")
{
$amrwRequest = $wcms_root_url.$action."/".$choice."/".$pagetitle.".html";
} 
elseif ($action != "")
{
$amrwRequest = $wcms_root_url.$action."/".$choice.".html";
} else {
$amrwRequest = $wcms_root_url.$choice.".html";
}

/* Includes config, themes, java and language files */
if (!isset($_SESSION['language']))
{
$conf_check1 = "config/conf_".$wcms_def_lang.".php";
$conf_check2 = "language/".$wcms_def_lang."/wcms.lang.php";
$session_link = $wcms_def_lang;
	if (file_exists($conf_check1) && file_exists($conf_check2)) 
	{
		@include ("config/conf_".$wcms_def_lang.".php");
		@include ("language/".$wcms_def_lang."/wcms.lang.php");
	}
	else
	{
		@include ("language/eng/wcms.lang.php");
		echo $Language["no_def_lang"]." ".$Language["check_readme"];
		exit;
	}
}
else
{
$conf_check1 = "config/conf_".$_SESSION['language'].".php";
$conf_check2 = "language/".$_SESSION['language']."/wcms.lang.php";
	if (file_exists($conf_check1) && file_exists($conf_check2)) 
	{
		@include ("config/conf_".$_SESSION['language'].".php");
		@include ("language/".$_SESSION['language']."/wcms.lang.php");
		$session_link = $_SESSION['language'];
	}
	else
	{
		@include ("language/eng/wcms.lang.php");
		echo $Language["no_xtra_lang"]." | <strong>".$_SESSION['language']."</strong> | ".$Language["check_readme"];
		$session_link = $wcms_def_lang;
		exit;
	}
}

/* Sniplet to check page privileges when browsing the site */
#if ($choice == "article" || $choice == "section")
#{
/* Includes the access class */
@require ("classes/access.class.php");

$user = $_COOKIE['wcms_sha1_user'];
$username = base64_decode($user);
$password = $_COOKIE['wcms_sha1_data'];
$Access = new access();
$check = $Access->page_check($username, $password);
/* Checks if the values from the cookies ran through page_check() finds 
   a valid user. If not provide/set guest details for this session */
	if ($check == false)
	{
		$accessLevel = 9;
	} else {
		$accessLevel = $check['level'];
	}
#}

/* Includes the global functions */
@require ("classes/wcms.class.php");

/* Includes the title generator and page verifier */
@require ("config/wcms_verifier.php");

/* Includes the mod_rewrite links */
@require ("config/wcms_mod_rewrite.php");

/* XML version and encoding, not supported in IE6 */
//echo "<?xml version=\"1.0\" encoding=\"".$Language["wcms_charset"]."\" ?".">\n"; 

/* Verifies that the guest has access to the selected module */
if ($choice == "article" || $choice == "section")
{
	if ($accessLevel >= $intLevel)
	{
		header("Location: ".$amrw403);
		exit;
	}
}

/* Sets the theme */
$check_theme_dir = "theme/".$wcms_set_theme;
if (isset($_SESSION['theme']) && file_exists($check_theme_dir))
{
$wcms_set_theme = $_SESSION['theme'];
}

@include ("theme/".$wcms_set_theme."/includes/general/head.php");
@include ("theme/".$wcms_set_theme."/includes/general/body.top.php");

$IncludeDir    = "theme/".$wcms_set_theme."/includes";
$MainPage	   = "theme/".$wcms_set_theme."/includes/section.inc.php";
$ErrorPage	   = "theme/".$wcms_set_theme."/includes/no-dice.inc.php";
$FileExtension = ".inc.php";
$ErrorEn       = ereg("\.\./", $choice);
$ErrorTo       = ereg("/", $choice);
$GetPage       = $IncludeDir . "/" . $choice . $FileExtension;

if (!empty($choice)) {
$choice  = stripslashes(strip_tags($choice));
	if ($ErrorEn || $ErrorTo)
	{
	@include("$ErrorPage");
	} 
	else 
	{
		if (@fopen("$GetPage", "r"))
		{
		@include ("$GetPage");
		}
		elseif (!(@fopen("$GetPage", "r")))
		{
		@include ("$ErrorPage");
		}
	}
} 
else 
{
@include("$MainPage");
}

$rightfile = "theme/".$wcms_set_theme."/includes/general/rightnav.php";
	if (file_exists($rightfile)) 
	{
		@include ("theme/".$wcms_set_theme."/includes/general/rightnav.php");
	}

@include("theme/".$wcms_set_theme."/includes/general/navitems.php");
@include("theme/".$wcms_set_theme."/includes/general/body.foot.php"); 
?>