<?php
// Send correct type:
header('Content-Type: text/css; charset='.$Language["wcms_charset"].'');
include_once('../../config/conf_access.php');
?>

/* CSS design by Thomas Egtvedt */
body {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
	color: #000;
	background: #fff url(<?php echo $wcms_root_url; ?>theme/en/graphics/bg/bg_body.gif) repeat-y top center;
	margin: 0;
	padding: 0;
}

/* Basic divs positioning */
div#container {
    margin: 0 auto 10px auto;
	padding: 0;
	width: 760px;
	}
div#quicklinks {
	background-color: inherit;
	color: #690;
	padding: 0;
	margin: 0;
	width: 760px;
	}
div#headphoto { 
	background-image: url(<?php echo $wcms_root_url; ?>theme/en/graphics/bg/header.jpg); 
	background-position: right top;
	height: 100px; 
	margin: 0; 
	padding: 0; 
	width: 760px; 
	}
div#topmenu { 
	background: #fff url(<?php echo $wcms_root_url; ?>theme/en/graphics/bg/bg_top_menu.gif) no-repeat right 2px; 
	height: 50px; 
	margin: 0; 
	padding: 0; 
	width: 760px; 
	}
div#breadcrumb {
	color: #333;
    background: #fff url(<?php echo $wcms_root_url; ?>theme/en/graphics/bg/bg_bread.gif)  no-repeat bottom left;
	font-size: 10px;
	margin: 0;
	padding: 0 0 10px 0;
	width: 760px;
	}
div#date {
    display: block;
	float: right;
	margin: 0;
	text-align: right;
	width: 150px;
	}
div#twocolumns {
	background-image: url(<?php echo $wcms_root_url; ?>theme/en/graphics/bg/twocolumns_bg.gif);
	background-repeat: repeat-y; 
	clear: both;
	margin: 0; 
	padding: 0;	
	}
div#content {
	float: right;
	margin: 0;
	padding: 0;
	width: 550px;
	}
div#pagetitle, div#maintext {
	margin: 10px;
	padding: 0;
	}
div.sep {
	background-image: url(<?php echo $wcms_root_url; ?>theme/en/graphics/bg/sep_bg.gif);
	background-repeat: repeat-x;
	height: 1px;
	margin: 5px 0; 
	padding: 0;	
	width: 100%;
	}
div#navigation {
	float: left;
	margin: 0;
	padding: 0;
	width: 204px;
	}
div#navlist {
	padding: 0;
	margin: 0 3px 0 2px;
	}
div#closer {
	background: #fff url(<?php echo $wcms_root_url; ?>theme/en/graphics/bg/closer.gif);
	background-repeat: repeat-x;
	background-position: bottom;
	color: #333;
	float: none;
	font-size: 11px;
	height: 60px;
	margin: 0;
	padding: 0;
	width: 760px;
	}
div#loading {
	float: right;
	text-align: right;
	width: 250px;
	}
div#stats {
	margin: 0;
	padding: 0;
	}
	
/* Links and Text */
div#quicklinks p {
	padding: 10px 2px 5px 0;
	margin: 0;
	text-align: right;
	}

div#topmenu ul { 
	float: left; 
	height: 40px;
	margin: 0; 
	list-style: none; 
	padding: 2px 5px;
	} 
div#topmenu li {
	height: 40px;
	float: left;
	margin: 0;
	padding: 0; 
	}
div#topmenu li a.top_menu, div#topmenu li a.top_menu:visited {
	background-color: inherit;
	color: #fff;
	display: block;
	font: 12px Geneva, Arial, Helvetica, sans-serif;
	font-weight: bold;
	line-height: 40px;
	text-decoration: none;
	padding: 0 10px; 
	margin: 0;
	}
div#topmenu li a.top_menu:hover, div#topmenu li a.top_menu:active {
	background: #fff url(<?php echo $wcms_root_url; ?>theme/en/graphics/bg/top_menu_h.gif) no-repeat left top;
	color: #333;
	line-height: 40px;
	padding: 0 10px;
	text-decoration: underline;
	}
div#topmenu li a.stop_menu, div#topmenu li a.stop_menu:visited, div#topmenu li a.stop_menu:hover, div#topmenu li a.stop_menu:active {
	background: #fff url(<?php echo $wcms_root_url; ?>theme/en/graphics/bg/top_menu_h.gif) no-repeat left top;
	color: #333; 
	display: block;
	font: 12px Geneva, Arial, Helvetica, sans-serif;
	font-weight: bold;
	line-height: 40px;
	margin: 0;
	padding: 0 10px; 
	text-decoration: none;
	}
	
div#breadcrumb p {
    margin: 0;
	padding: 0;
	}
div#breadcrumb a, div#breadcrumb a:visited  {
	background-color: inherit;
	color: #363;
	text-decoration: none;
	}
div#breadcrumb a:hover, div#breadcrumb a:active {
	text-decoration: underline;
	}

div#navlist h3 {
	background: #c00 url(<?php echo $wcms_root_url; ?>theme/en/graphics/bg/top_menu_a.gif); 
	color: #fff;
	font: 14px Arial, Helvetica, sans-serif;
	font-weight: bolder;
	height: 23px;
	line-height: 180%;
	margin: 20px 4px 0 6px;
	padding: 0;
	text-align: center;
    }
div#navlist form {
	margin: 0;
	}
div#navlist p {
    background-color: #fff;
	color: #333;
	margin: 0 4px 0 6px;
	padding: 3px;
	}
/* start navitems menu */
div#navlist ul {
	font: 11px Arial, Helvetica, sans-serif;
	list-style: none;
	margin: 0 0 0 6px;
	padding: 0;
	position: relative;
	width: 188px; /* Width of Menu Items */
	}

div#navlist ul li a {
	background-color: #fff;
	border-top: 1px solid #ccc;
	border-right: none;
	border-bottom: 1px solid #ddd;
	border-left: none;
	color: #000;
	display: block;
	margin: 0;
	padding: 3px 3px 3px 6px;
	text-decoration: none;
	}
div#navlist ul li a:hover { 
    background-color: #ddd;
	color: #333;
	font-weight: bold;
	} 
div#navlist ul li a.active, div#navlist ul li a.active:hover {
	background-color: #666;
	color: #fff; 
	display: block;
	font-weight: bold;
	text-decoration: none;
	}
div#navlist ul li a.sub_menu, div#navlist ul li a.art_list {
	background-color: #eee;
	color: #333;
	display: block;
	padding-left: 10px;
	text-decoration: none;
	}
div#navlist ul li a.sub_menu:hover, div#navlist ul li a.art_list:hover { 
    background-color: #fff;
	color: #000;
	font-weight: normal;
	}
	
div#maintext  {
	font: 12px Verdana, Arial, Helvetica, sans-serif;
	line-height: 150%;
	}
div#maintext a, div#maintext a:visited  {
	color: #369;
	background-color: inherit;
	text-decoration: none;
	}
div#maintext a:hover, div#maintext a:active {
	color: #933;
	background-color: inherit;
	}
div#maintext div.small {
    font-size: 10px;
	}
div#maintext ul {
    list-style-type: square;
	}
div#maintext ul.art_list {
    list-style-type: none;
	margin: 0;
	padding: 0;
	}
div#maintext ul li a.art_list, div#maintext ul li a.art_list:visited {
    color: #000;
	background: #fff url(<?php echo $wcms_root_url; ?>theme/en/graphics/bg/sep_bg.gif) bottom repeat-x;
	display: block;
	padding: 5px;
	}
div#maintext ul li a.art_list:hover, div#maintext ul li a.art_list:active {
    color: #fff;
	background: #69c url(<?php echo $wcms_root_url; ?>theme/en/graphics/bg/bg_li.gif) top left no-repeat;
	display: block;
	padding: 5px;
	}
div#maintext  ul li a li {
    margin: 0;
	padding: 0;
	width: 100%;
	}
div#maintext p {
    padding: 0;
	margin: 10px 0;
	}
div#maintext p.email {
	padding: 10px 0 5px 15px;
	margin: 0;
	}
div#maintext p.email2 {
	font: 12px "Courier New", Courier, mono, sans-serif;
	padding: 5px;
	margin: 0;
	}
div#maintext p.sitemap {
	padding: 0;
	margin: 0;
	}
div#maintext .emailhead {
    color: #fff;
	background: #eee url(<?php echo $wcms_root_url; ?>theme/en/graphics/bg/bg_top_menu.gif) no-repeat top left;
	}
div#maintext .emailbg {
    color: #333;
	background-color: #eee;
	}
div#maintext .emailfoot {
    background-color: #fff;
	color: #333;
	}
div#maintext input.emailinput {
    border: 1px solid #666;
	font: 12px "Courier New", Courier, mono, sans-serif;
	padding: 3px;
	vertical-align: middle;
	}
div#maintext select.emailinput {
    border: 1px solid #666;
	font: 12px "Courier New", Courier, mono, sans-serif;
	padding: 2px;
	vertical-align: middle;
	}
div#maintext textarea.emailarea {
    font: 12px "Courier New", Courier, mono, sans-serif;
	border: 1px solid #666;
	padding: 2px;
	width: 446px;
	}
div#maintext input.emailbutton {
    color: #fff; 
	background: #c00 url(<?php echo $wcms_root_url; ?>theme/en/graphics/bg/top_menu_a.gif); 
	font: 11px verdana, arial, sans-serif; 
	font-weight: bold;
	border: 4px double;
	height: 36px;
    width: 120px;

    }
div#maintext input.newscomment {
    font-size: 10px;
	width: 90%;
	vertical-align: middle;
	border: 1px solid #999;
	padding: 3px;
	}
div#maintext input.newscomment_button {
    vertical-align: middle;
	border: 1px solid #999;
	padding: 2px;
	margin-right: 30px;
	}
div#maintext textarea.newscomment {
    font: 12px "Courier New", Courier, mono, sans-serif;
	border: 1px solid #999;
	width: 99%;
	}
div#maintext div.search, div#maintext p.search {
	padding: 0 0 0 5px;
	}
	
div#closer p {
	margin: 0;
	padding: 20px 50px;
	text-align: right;
	}
div#closer a, div#closer a:visited  {
	color: #333;
	background-color: inherit;
	text-decoration: none;
	padding-right: 5px;
	}
div#closer a:hover, div#closer a:active {
	text-decoration: underline;
	}	
		
div#stats p {
	background-color: inherit;
	color: #666;
	font-size: 10px;
	margin: 0;
	padding: 15px 0;
	text-align: center;
	}

/* Hide some stuff */
div#printinfo, div#legal { 
    display:none;
	}