<?php
// Send correct type:
header('Content-Type: text/css; charset='.$Language["wcms_charset"].'');
include_once('../../config/conf_access.php');
?>

/* CSS design by Thomas Egtvedt */
body {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
	color: #000;
	background-color: #333; 
	margin: 0;
	padding: 0;
}

/* Basic divs positioning */
div#container {
    background: #fff url(<?php echo $wcms_root_url; ?>theme/no/graphics/bg/twocolumns_bg.gif);
	background-repeat: repeat-y;
	color: #000;
    margin: 0 auto 0 auto;
	padding: 0;
	width: 955px;
	}
div#quicklinks {
	background-color: inherit;
	color: #690;
	padding: 0;
	margin: 0;
	width: 955px;
	}
div#headphoto { 
	background-image: url(<?php echo $wcms_root_url; ?>theme/no/graphics/bg/header.jpg); 
	background-position: right top;
	height: 300px; 
	margin: 0; 
	padding: 0; 
	width: 955px; 
	}
div#topmenu { 
	background-color: #000;
	height: 40px; 
	margin: 0; 
	padding: 0; 
	width: 955px; 
	}
div#breadcrumb {
	background-color: #666;
	color: #fff;
	font-size: 10px;
	margin: 0;
	padding: 0;
	width: 955px;
	}
div#date {
    display: block;
	float: right;
	margin: 5px 18px 0 0;
	text-align: right;
	width: 150px;
	}
div#twocolumns {
	clear: both;
	margin: 0; 
	padding: 0;	
	}
div#content {
    float: right;
	margin: 0;
	padding: 0;
	width: 540px;
	}
div#rightnav {
    display: block;
    float: right;
	margin: 0;
	padding: 0;
	width: 204px;
	}
div#pagetitle, div#maintext {
	margin: 10px;
	padding: 0;
	}
div.sep {
	background-image: url(<?php echo $wcms_root_url; ?>theme/no/graphics/bg/sep_bg.gif);
	background-repeat: repeat-x;
	height: 1px;
	margin: 5px 0; 
	padding: 0;	
	width: 100%;
	}
div#navigation {
	float: left;
	margin: 0;
	padding: 0;
	width: 204px;
	}
div#navlist {
	padding: 0;
	margin: 0 3px 0 2px;
	}
div#closer {
	float: none;
	font-size: 11px;
	height: 60px;
	margin: 0;
	padding: 0;
	width: 955px;
	}
div#loading {
	float: right;
	text-align: right;
	width: 250px;
	}
div#stats {
	margin: 0;
	padding: 0;
	}
	
/* Links and Text */
div#quicklinks p {
	padding: 10px 2px 5px 0;
	margin: 0;
	text-align: right;
	}

div#topmenu ul { 
	float: left; 
	margin: 0; 
	list-style: none; 
	padding: 5px 15px;
	} 
div#topmenu li {
	float: left;
	margin: 0 5px 0 0;
	padding: 0; 
	}
div#topmenu li a.top_menu, div#topmenu li a.top_menu:visited {
	background-color: inherit;
	color: #fff;
	display: block;
	font: 12px Geneva, Arial, Helvetica, sans-serif;
	font-weight: bold;
	text-decoration: none;
	padding: 5px; 
	margin: 0;
	}
div#topmenu li a.top_menu:hover, div#topmenu li a.top_menu:active {
	background-color: #fff;
	color: #333;
	text-decoration: underline;
	}
div#topmenu li a.stop_menu, div#topmenu li a.stop_menu:visited, div#topmenu li a.stop_menu:hover, div#topmenu li a.stop_menu:active {
	background-color: #fff;
	color: #333; 
	display: block;
	font: 12px Geneva, Arial, Helvetica, sans-serif;
	font-weight: bold;
	margin: 0;
	padding: 5px; 
	text-decoration: none;
	}
	
div#breadcrumb p {
    margin: 0;
	padding: 5px 18px;
	}
div#breadcrumb a, div#breadcrumb a:visited  {
	background-color: inherit;
	color: #fff;
	text-decoration: underline;
	}
div#breadcrumb a:hover, div#breadcrumb a:active {
	border-bottom: 1px dotted #fff;
	text-decoration: none;
	}

div#navlist h3, div#rightnav h3 {
	border-bottom: 1px solid #f63; 
	color: #f63;
	font: 14px Arial, Helvetica, sans-serif;
	font-weight: bolder;
	font-variant: small-caps;
	height: 23px;
	line-height: 180%;
	margin: 20px 0 3px 1px;
	padding: 0;
    }
div#rightnav h3 {
	width: 192px;
    }
div#navlist form {
	margin: 0;
	}
div#navlist p {
    background-color: inherit;
	color: #f63;
	margin: 0 0 0 1px;
	padding: 5px;
	}
/* start navitems menu */
div#navlist ul {
	font: 11px Arial, Helvetica, sans-serif;
	list-style: none;
	margin: 0 1px;
	padding: 0;
	position: relative;
	width: 198px; /* Width of Menu Items */
	}
div#rightnav ul {
	font: 11px Arial, Helvetica, sans-serif;
	list-style: none;
	margin: 0 1px;
	padding: 0;
	position: relative;
	width: 192px; /* Width of Menu Items */
	}

div#navlist ul li a, div#rightnav ul li a {
	background-color: inherit;
	border-bottom: 1px solid #f63;
	color: #f63;
	display: block;
	margin: 0;
	padding: 3px 3px 3px 6px;
	text-decoration: none;
	}
div#navlist ul li a:hover, div#rightnav ul li a:hover { 
    background-color: #f63;
	color: #fff;
	font-weight: bold;
	} 
div#navlist ul li a.active, div#navlist ul li a.active:hover, div#rightnav ul li a.active, div#rightnav ul li a.active:hover {
	background-color: #f63;
	color: #fff; 
	display: block;
	font-weight: bold;
	text-decoration: none;
	}
div#navlist ul li a.sub_menu, div#navlist ul li a.art_list, div#rightnav ul li a.sub_menu, div#rightnav ul li a.art_list {
	background-color: inherit;
	color: #f63;
	display: block;
	padding-left: 10px;
	text-decoration: none;
	}
div#navlist ul li a.sub_menu:hover, div#navlist ul li a.art_list:hover, div#rightnav ul li a.sub_menu:hover, div#rightnav ul li a.art_list:hover { 
    background-color: #fff;
	color: #333;
	font-weight: normal;
	}

div#maintext a, div#maintext a:visited  {
	color: #933;
	background-color: inherit;
	text-decoration: none;
	}
div#maintext a:hover, div#maintext a:active {
	text-decoration: underline;
	}
div#maintext div.small {
    font-size: 10px;
	}
div#maintext ul {
    list-style-type: decimal;
	}
div#maintext p {
    padding: 0;
	margin: 10px 0;
	}
div#maintext p.email {
	padding: 10px 0 5px 15px;
	margin: 0;
	}
div#maintext p.email2 {
	font: 12px "Courier New", Courier, mono, sans-serif;
	padding: 5px;
	margin: 0;
	}
div#maintext p.sitemap {
	padding: 0;
	margin: 0;
	}
div#maintext .emailhead {
    color: #666;
	background: #fff url(<?php echo $wcms_root_url; ?>theme/no/graphics/bg/contact_top_bg.gif);
	background-position: top left;
	background-repeat: repeat-y;
	}
div#maintext .emailbg {
    color: #666;
	background-color: #fff;
	}
div#maintext .emailfoot {
    background: #fff url(<?php echo $wcms_root_url; ?>theme/no/graphics/bg/contact_foot_bg.gif);
	background-position: top left;
	background-repeat: repeat-y;
	color: #666;
	}
div#maintext input.emailinput {
    border: 1px solid #666;
	font: 12px "Courier New", Courier, mono, sans-serif;
	padding: 3px;
	vertical-align: middle;
	}
div#maintext select.emailinput {
    border: 1px solid #666;
	font: 12px "Courier New", Courier, mono, sans-serif;
	padding: 2px;
	vertical-align: middle;
	}
div#maintext textarea.emailarea {
    font: 12px "Courier New", Courier, mono, sans-serif;
	border: 1px solid #666;
	padding: 2px;
	width: 446px;
	}
div#maintext input.emailbutton { 
    color: #fff; 
	background-color: #666; 
	font-size: 12px;
	vertical-align: middle;
	width: 120px;
	border: 1px solid #333;
	padding: 2px;
    }
div#maintext input.newscomment {
    font-size: 10px;
	width: 90%;
	vertical-align: middle;
	border: 1px solid #999;
	padding: 3px;
	}
div#maintext input.newscomment_button {
    vertical-align: middle;
	border: 1px solid #999;
	padding: 2px;
	margin-right: 30px;
	}
div#maintext textarea.newscomment {
    font: 12px "Courier New", Courier, mono, sans-serif;
	border: 1px solid #999;
	width: 99%;
	}
div#maintext div.search, div#maintext p.search {
	padding: 0 0 0 5px;
	}
	
div#closer p {
	margin: 0;
	padding: 20px 50px;
	text-align: right;
	}
div#closer a, div#closer a:visited  {
	color: #333;
	background-color: inherit;
	text-decoration: none;
	padding-right: 10px;
	}
div#closer a:hover, div#closer a:active {
	text-decoration: underline;
	}	
		
div#stats p {
	background-color: inherit;
	color: #ccc;
	font-size: 9px;
	margin: 0;
	padding: 15px 0 15px 18px;
	}

/* Hide some stuff */
div#printinfo, div#legal { 
    display:none;
	}