-- phpMyAdmin SQL Dump
-- version 2.10.1
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Generation Time: Apr 27, 2007 at 01:04 PM
-- Server version: 5.0.37
-- PHP Version: 5.2.1

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

-- 
-- Database: `wcms_rc1`
-- 

-- --------------------------------------------------------

-- 
-- Table structure for table `eng_articles`
-- 

DROP TABLE IF EXISTS `eng_articles`;
CREATE TABLE `eng_articles` (
  `article_id` mediumint(8) NOT NULL auto_increment,
  `section_id` mediumint(8) NOT NULL default '0',
  `article_title` varchar(255) NOT NULL,
  `article_url` varchar(255) default NULL,
  `intro` text,
  `content` text,
  `published` int(11) NOT NULL default '0',
  `nick1` varchar(32) default NULL,
  `updated` int(11) NOT NULL default '0',
  `nick2` varchar(32) default NULL,
  `rating` float default NULL,
  `ratenum` int(11) NOT NULL default '0',
  `counter` int(11) NOT NULL default '0',
  `meta_description` varchar(255) default NULL,
  `meta_keyword` varchar(255) default NULL,
  `displayed` tinyint(1) NOT NULL default '0',
  `featured` tinyint(1) NOT NULL default '0',
  `comments` tinyint(1) NOT NULL default '0',
  `level` tinyint(1) NOT NULL default '9',
  PRIMARY KEY  (`article_id`),
  KEY `section_id` (`section_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=9 ;

-- 
-- Dumping data for table `eng_articles`
-- 

INSERT INTO `eng_articles` (`article_id`, `section_id`, `article_title`, `article_url`, `intro`, `content`, `published`, `nick1`, `updated`, `nick2`, `rating`, `ratenum`, `counter`, `meta_description`, `meta_keyword`, `displayed`, `featured`, `comments`, `level`) VALUES 
(1, 1, 'Terms and Conditions', 'terms-and-conditions', '<h2>Intro</h2>', '<h3>Massive text</h3>\r\n\r\n{$tR[0]}\r\n\r\n{$tLpic[0]}\r\n\r\n{$oRpic[0]}\r\n\r\n{$oLpic[0]}\r\n\r\n{$tRpic[0]}\r\n\r\n{$eng_imagepath}\r\n\r\n{$oR[1]}', 1119996000, 'Thomas', 1166531659, 'max', 5.35, 8, 2, 'Legal and Privacy', 'Legal, Privacy', 1, 0, 0, 9),
(2, 2, 'Breaking News 1', 'breaking-news-one', '<p>Intro 1</p>', '<p>The story</p>', 1119996000, 'Fritz', 1166531740, 'max', 4.8837, 43, 2, 'Breaking News 1', 'News', 1, 1, 0, 9),
(3, 2, 'Breaking News 2', 'breaking-news-two', '<p>The intro</p>', '<p>The story</p>', 1119996000, '', 1166531800, 'max', 4.88093, 42, 4, 'Breaking News 2', 'News', 1, 1, 0, 9),
(4, 4, 'Looking for pictures', 'nada-2-show', '<p>Coming soon I promise...</p>', '<p>In the meanwhile... wait...</p>', 1151532000, 'wcms', 1166532161, 'max', 6, 0, 1, 'Looking for pictures', 'photos, coming, soon', 1, 0, 0, 9),
(5, 3, 'Redesign', 'redesign', '<p><strong>We do redesign fast and to affordable prices.</strong></p>', '<p>Contact us for examples and further details.</p>', 1152741600, 'wcms', 1166531965, 'max', 6, 1, 110, 'Redesign cheap and fast', 'redesign, affordable, cheap, fast, professional', 1, 1, 1, 9),
(6, 5, 'Coders', 'coders', '<h2>Well there&#039;s only one...</h2>', '<p>...and that&#039;s me!</p>', 1152741600, 'wcms', 1166532229, 'max', 6, 0, 57, 'Coders', 'code, programming, php, html, css', 1, 0, 0, 9),
(7, 2, 'Latest news', 'latest', '<h2>The intro</h2>', '<h3>The story&#039;s header</h3>\r\n\r\n<p>The story</p>', 1152828000, 'wcms', 1166531843, 'max', 6, 0, 2, 'Latest news', 'News', 1, 0, 0, 9),
(8, 2, 'Rss No Way', 'rss', '<h2>Yes way!</h2>', '<p>You can now subscribe to these pages and get informed whenever we update something...</p>', 1152828000, 'wcms', 1166532068, 'max', 6, 0, 5, '', '', 1, 1, 0, 9);

-- --------------------------------------------------------

-- 
-- Table structure for table `eng_comments`
-- 

DROP TABLE IF EXISTS `eng_comments`;
CREATE TABLE `eng_comments` (
  `comment_id` mediumint(8) NOT NULL auto_increment,
  `module_name` varchar(20) default NULL,
  `module_id` mediumint(8) NOT NULL default '0',
  `author` varchar(150) default NULL,
  `email` varchar(150) default NULL,
  `website` varchar(150) default NULL,
  `comment` text,
  `added` int(11) NOT NULL default '0',
  PRIMARY KEY  (`comment_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `eng_comments`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `eng_contact`
-- 

DROP TABLE IF EXISTS `eng_contact`;
CREATE TABLE `eng_contact` (
  `message_id` int(11) NOT NULL auto_increment,
  `time` int(11) NOT NULL default '0',
  `ip` varchar(32) default NULL,
  `title` varchar(32) default NULL,
  `firstname` varchar(64) default NULL,
  `lastname` varchar(64) default NULL,
  `email` varchar(255) default NULL,
  `phone` varchar(32) default '0',
  `mobile` varchar(32) default '0',
  `address` varchar(255) default NULL,
  `town` varchar(255) default NULL,
  `zip` varchar(20) default NULL,
  `country` varchar(64) default NULL,
  `topic` varchar(255) default NULL,
  `foundus` varchar(255) default NULL,
  `message` text,
  `replyby` varchar(64) default NULL,
  PRIMARY KEY  (`message_id`),
  KEY `time` (`time`),
  KEY `lastname` (`lastname`),
  KEY `email` (`email`),
  KEY `firstname` (`firstname`),
  KEY `country` (`country`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `eng_contact`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `eng_counter_tellafriend`
-- 

DROP TABLE IF EXISTS `eng_counter_tellafriend`;
CREATE TABLE `eng_counter_tellafriend` (
  `taf_id` int(11) NOT NULL auto_increment,
  `pagetitle` varchar(255) default NULL,
  `pageurl` varchar(255) default NULL,
  `counter` int(11) NOT NULL default '0',
  PRIMARY KEY  (`taf_id`),
  KEY `counter` (`counter`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `eng_counter_tellafriend`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `eng_counter_wcms`
-- 

DROP TABLE IF EXISTS `eng_counter_wcms`;
CREATE TABLE `eng_counter_wcms` (
  `id` int(11) NOT NULL auto_increment,
  `pagetitle` varchar(255) default NULL,
  `original_url` varchar(255) default NULL,
  `rewrite_url` varchar(255) default NULL,
  `module_name` varchar(20) default NULL,
  `module_id` mediumint(8) NOT NULL default '0',
  `counter` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `counter` (`counter`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `eng_counter_wcms`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `eng_dloads_files`
-- 

DROP TABLE IF EXISTS `eng_dloads_files`;
CREATE TABLE `eng_dloads_files` (
  `file_id` mediumint(8) NOT NULL auto_increment,
  `dload_id` mediumint(8) NOT NULL default '0',
  `file_title` varchar(255) default NULL,
  `file_desc` text,
  `file_demo` varchar(150) default NULL,
  `file_support` varchar(150) default NULL,
  `rating` float default NULL,
  `ratenum` int(11) NOT NULL default '0',
  `filename` varchar(255) NOT NULL,
  `filesize` int(11) NOT NULL default '0',
  `file_counter` int(11) NOT NULL default '0',
  `published` int(11) NOT NULL default '0',
  `updated` int(11) NOT NULL default '0',
  `activated` tinyint(1) NOT NULL default '0',
  `sponsored` tinyint(1) NOT NULL default '0',
  `level` tinyint(1) NOT NULL default '9',
  PRIMARY KEY  (`file_id`),
  KEY `activated` (`activated`),
  KEY `sponsored` (`sponsored`),
  KEY `published` (`published`),
  KEY `updated` (`updated`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `eng_dloads_files`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `eng_dloads_sections`
-- 

DROP TABLE IF EXISTS `eng_dloads_sections`;
CREATE TABLE `eng_dloads_sections` (
  `dload_id` mediumint(8) NOT NULL auto_increment,
  `section_name` varchar(255) default NULL,
  `section_desc` text,
  `parent_dload_id` mediumint(8) NOT NULL default '0',
  `level` tinyint(1) NOT NULL default '9',
  PRIMARY KEY  (`dload_id`),
  KEY `section_name` (`section_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `eng_dloads_sections`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `eng_mailinglist_blacklist`
-- 

DROP TABLE IF EXISTS `eng_mailinglist_blacklist`;
CREATE TABLE `eng_mailinglist_blacklist` (
  `rule` varchar(50) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Dumping data for table `eng_mailinglist_blacklist`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `eng_mailinglist_messages`
-- 

DROP TABLE IF EXISTS `eng_mailinglist_messages`;
CREATE TABLE `eng_mailinglist_messages` (
  `id` int(11) NOT NULL auto_increment,
  `subject` varchar(100) default NULL,
  `message` text NOT NULL,
  `created` varchar(10) NOT NULL default '',
  `queued` varchar(10) default NULL,
  `count` int(11) NOT NULL default '0',
  `format` varchar(4) NOT NULL default 'text',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=9 ;

-- 
-- Dumping data for table `eng_mailinglist_messages`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `eng_mailinglist_queue`
-- 

DROP TABLE IF EXISTS `eng_mailinglist_queue`;
CREATE TABLE `eng_mailinglist_queue` (
  `message_id` int(11) NOT NULL default '0',
  `address` varchar(100) NOT NULL default '',
  `send_after` varchar(10) NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Dumping data for table `eng_mailinglist_queue`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `eng_mailinglist_subscribers`
-- 

DROP TABLE IF EXISTS `eng_mailinglist_subscribers`;
CREATE TABLE `eng_mailinglist_subscribers` (
  `address` varchar(100) NOT NULL default '',
  `userkey` varchar(32) NOT NULL default '',
  `confirmed` tinyint(1) NOT NULL default '0',
  `last_sub_req_date` varchar(10) NOT NULL default '',
  `bounce_count` smallint(6) default '0',
  PRIMARY KEY  (`address`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Dumping data for table `eng_mailinglist_subscribers`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `eng_polls`
-- 

DROP TABLE IF EXISTS `eng_polls`;
CREATE TABLE `eng_polls` (
  `poll_id` mediumint(8) NOT NULL auto_increment,
  `question` varchar(255) default NULL,
  `poll1` varchar(255) default NULL,
  `poll2` varchar(255) default NULL,
  `poll3` varchar(255) default NULL,
  `poll4` varchar(255) default NULL,
  `poll5` varchar(255) default NULL,
  `result1` mediumint(6) NOT NULL default '0',
  `result2` mediumint(6) NOT NULL default '0',
  `result3` mediumint(6) NOT NULL default '0',
  `result4` mediumint(6) NOT NULL default '0',
  `result5` mediumint(6) NOT NULL default '0',
  PRIMARY KEY  (`poll_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `eng_polls`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `eng_poll_ip`
-- 

DROP TABLE IF EXISTS `eng_poll_ip`;
CREATE TABLE `eng_poll_ip` (
  `id` int(11) NOT NULL auto_increment,
  `ip` varchar(32) default NULL,
  `date` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `eng_poll_ip`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `eng_sections`
-- 

DROP TABLE IF EXISTS `eng_sections`;
CREATE TABLE `eng_sections` (
  `section_id` mediumint(8) NOT NULL auto_increment,
  `section_name` varchar(255) default NULL,
  `section_url` varchar(64) default NULL,
  `section_desc` text,
  `parent_section_id` mediumint(8) NOT NULL default '0',
  `level` tinyint(1) NOT NULL default '9',
  PRIMARY KEY  (`section_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=43 ;

-- 
-- Dumping data for table `eng_sections`
-- 

INSERT INTO `eng_sections` (`section_id`, `section_name`, `section_url`, `section_desc`, `parent_section_id`, `level`) VALUES 
(1, 'Frontpage', 'main', '<p>This is the frontpage of the new WCMS.</p>', 0, 9),
(40, 'Sub 2', 'sub-two', '<p>This is a sub sub section.</p>', 41, 9),
(41, 'Sub 1', 'sub-one', '<p>This is just a sub section.</p>', 2, 9),
(42, 'Sub 3', 'sub-three', '<p>This is a sub sub sub section.</p>', 40, 9),
(2, 'News', 'news', '<p>This is where we will post all news related to the WCMS development.</p>', 0, 9),
(3, 'Services', 'services', '<p>Here you can find more info about customized templates etc.</p>', 0, 9),
(4, 'Screenshots', 'gallery', '<p>Screen shots from the backend will be displayed here.</p>', 0, 9),
(5, 'About', 'about', '<p>Info about the development team will be posted here.</p>', 0, 9);

-- --------------------------------------------------------

-- 
-- Table structure for table `eng_shared_photos`
-- 

DROP TABLE IF EXISTS `eng_shared_photos`;
CREATE TABLE `eng_shared_photos` (
  `photo_id` mediumint(8) NOT NULL auto_increment,
  `module_name` varchar(20) default NULL,
  `module_id` mediumint(8) NOT NULL default '0',
  `photo_title` varchar(255) default NULL,
  `photo_orig` varchar(255) default NULL,
  `photo_thumb` varchar(255) default NULL,
  `photo_position` mediumint(8) NOT NULL default '0',
  `width_orig` mediumint(8) NOT NULL default '0',
  `height_orig` mediumint(8) NOT NULL default '0',
  `width_thumb` mediumint(8) NOT NULL default '0',
  `height_thumb` mediumint(8) NOT NULL default '0',
  PRIMARY KEY  (`photo_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `eng_shared_photos`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `eng_xmod_form`
-- 

DROP TABLE IF EXISTS `eng_xmod_form`;
CREATE TABLE `eng_xmod_form` (
  `client_id` mediumint(8) NOT NULL auto_increment,
  `xlisting_id` mediumint(8) NOT NULL default '0',
  `xsection_id` mediumint(8) NOT NULL default '0',
  `list_title` varchar(64) default NULL,
  `price` mediumint(8) NOT NULL default '0',
  `paid_dep` tinyint(1) NOT NULL default '0',
  `paid_full` tinyint(1) NOT NULL default '0',
  `arrival` int(11) NOT NULL default '0',
  `departure` int(11) NOT NULL default '0',
  `ordered` int(11) NOT NULL default '0',
  `ordered_ip` varchar(32) default NULL,
  `title` varchar(32) default NULL,
  `firstname` varchar(64) default NULL,
  `lastname` varchar(64) default NULL,
  `email` varchar(255) default NULL,
  `phone` varchar(32) default NULL,
  `mobile` varchar(32) default NULL,
  `telefax` varchar(32) default NULL,
  `address` varchar(255) default NULL,
  `town` varchar(255) default NULL,
  `zip` varchar(20) default NULL,
  `country` varchar(64) default NULL,
  `rentacar` tinyint(1) NOT NULL default '0',
  `restaurant` varchar(255) default NULL,
  `adults` smallint(4) NOT NULL default '0',
  `teens` smallint(4) NOT NULL default '0',
  `children` smallint(4) NOT NULL default '0',
  `infants` smallint(4) NOT NULL default '0',
  `requests` text,
  `foundus` varchar(255) default NULL,
  `replyby` varchar(64) default NULL,
  PRIMARY KEY  (`client_id`),
  KEY `arrival` (`arrival`,`departure`),
  KEY `departure` (`departure`),
  KEY `lastname` (`lastname`),
  KEY `ordered` (`ordered`),
  KEY `paid_dep` (`paid_dep`),
  KEY `paid_full` (`paid_full`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `eng_xmod_form`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `eng_xmod_listings`
-- 

DROP TABLE IF EXISTS `eng_xmod_listings`;
CREATE TABLE `eng_xmod_listings` (
  `xlisting_id` mediumint(8) NOT NULL auto_increment,
  `xsection_id` mediumint(8) NOT NULL default '0',
  `title` varchar(255) default NULL,
  `intro` text,
  `description` text,
  `ap_type` varchar(64) default NULL,
  `bedrooms` smallint(4) NOT NULL default '0',
  `sleeps` smallint(4) NOT NULL default '0',
  `bathrooms` smallint(4) NOT NULL default '0',
  `price_high` mediumint(8) NOT NULL default '0',
  `price_mid` mediumint(8) NOT NULL default '0',
  `price_low` mediumint(8) NOT NULL default '0',
  `check_in` varchar(64) default NULL,
  `check_out` varchar(64) default NULL,
  `airport` varchar(255) default NULL,
  `transport` varchar(255) default NULL,
  `beach` varchar(255) default NULL,
  `pool` varchar(255) default NULL,
  `activities` text,
  `room_facilities` text,
  `onsite_facilities` text,
  `area_facilities` text,
  `counter` int(11) NOT NULL default '0',
  `published` int(11) NOT NULL default '0',
  `updated` int(11) NOT NULL default '0',
  `displayed` tinyint(1) NOT NULL default '0',
  `featured` tinyint(1) NOT NULL default '0',
  `level` tinyint(1) NOT NULL default '9',
  PRIMARY KEY  (`xlisting_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `eng_xmod_listings`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `eng_xmod_sections`
-- 

DROP TABLE IF EXISTS `eng_xmod_sections`;
CREATE TABLE `eng_xmod_sections` (
  `xsection_id` bigint(32) NOT NULL auto_increment,
  `section_name` varchar(255) default NULL,
  `section_desc` text,
  `parent_xsection_id` bigint(32) NOT NULL default '0',
  `level` tinyint(1) NOT NULL default '9',
  PRIMARY KEY  (`xsection_id`),
  KEY `section_name` (`section_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `eng_xmod_sections`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `nor_articles`
-- 

DROP TABLE IF EXISTS `nor_articles`;
CREATE TABLE `nor_articles` (
  `article_id` mediumint(8) NOT NULL auto_increment,
  `section_id` mediumint(8) NOT NULL default '0',
  `article_title` varchar(255) NOT NULL,
  `article_url` varchar(255) default NULL,
  `intro` text,
  `content` text,
  `published` int(11) NOT NULL default '0',
  `nick1` varchar(32) default NULL,
  `updated` int(11) NOT NULL default '0',
  `nick2` varchar(32) default NULL,
  `rating` float default NULL,
  `ratenum` int(11) NOT NULL default '0',
  `counter` int(11) NOT NULL default '0',
  `meta_description` varchar(255) default NULL,
  `meta_keyword` varchar(255) default NULL,
  `displayed` tinyint(1) NOT NULL default '0',
  `featured` tinyint(1) NOT NULL default '0',
  `comments` tinyint(1) NOT NULL default '0',
  `level` tinyint(1) NOT NULL default '9',
  PRIMARY KEY  (`article_id`),
  KEY `section_id` (`section_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=9 ;

-- 
-- Dumping data for table `nor_articles`
-- 

INSERT INTO `nor_articles` (`article_id`, `section_id`, `article_title`, `article_url`, `intro`, `content`, `published`, `nick1`, `updated`, `nick2`, `rating`, `ratenum`, `counter`, `meta_description`, `meta_keyword`, `displayed`, `featured`, `comments`, `level`) VALUES 
(1, 1, 'Betingelser og Vilk&aring;r', 'bov', '<h2>Intro</h2>', '<h3>Massiv tekst</h3>\r\n\r\n{$tR[0]}\r\n\r\n{$tLpic[0]}\r\n\r\n{$oRpic[0]}\r\n\r\n{$oLpic[0]}\r\n\r\n{$tRpic[0]}\r\n\r\n{$nor_imagepath}\r\n\r\n{$oR[1]}', 1119996000, 'Thomas', 1166531659, 'max', 5.68571, 7, 3, 'Legal and Privacy', 'Legal, Privacy', 1, 0, 0, 9),
(2, 2, 'Siste Nytt 1', 'siste-nytt-en', '<p>Intro 1</p>', '<p>Her kommer resten av artikkelen ganske snart, antagelig...</p>', 1119996000, 'Fritz', 1166531740, 'max', 4.8837, 43, 4, 'Siste nytt 1', 'News', 1, 1, 0, 9),
(3, 2, 'Siste Nytt 2', 'siste-nytt-to', '<p>Intro</p>', '<p>Hele historien</p>', 1119996000, '', 1166531800, 'max', 4.88093, 42, 30, 'Siste Nytt 2', 'News', 1, 1, 0, 9),
(4, 4, 'Jeg vil se bilder', 'nada-2-show', '<p>Kommer snart, jeg lover...</p>', '<p>I mellomtiden... vent...</p>', 1151532000, 'wcms', 1166532161, 'max', 6, 0, 1, 'Looking for pictures', 'photos, coming, soon', 1, 0, 0, 9),
(5, 3, 'Redesign', 'redesign', '<p><strong>Vi utf&oslash;rer redesign billig og raskt.</strong></p>', '<p>Kontakt oss for ytterligere informasjon.</p>', 1152741600, 'wcms', 1166531965, 'max', 6, 2, 27, 'Redesign cheap and fast', 'redesign, affordable, cheap, fast, professional', 1, 1, 1, 9),
(6, 5, 'Coders', 'coders', '<h2>Well there&#039;s only one...</h2>', '<p>...and that&#039;s me!</p>', 1152741600, 'wcms', 1166532229, 'max', 6, 0, 57, 'Coders', 'code, programming, php, html, css', 1, 0, 0, 9),
(7, 2, 'Siste Nytt', 'siste-nytt', '<h2>Intro</h2>', '<h3>Overskriften</h3>\r\n\r\n<p>Her kommer hele artikkelen</p>', 1152828000, 'wcms', 1166531843, 'max', 6, 0, 14, 'Siste Nytt', 'News', 1, 0, 0, 9),
(8, 2, 'Rss No Way', 'rss', '<h2>Yes way!</h2>', '<p>Ved &aring; bokmerke RSS feeden vil du hele tiden holdes oppdatert om hva som skjer p&aring; disse sidene...</p>', 1152828000, 'wcms', 1166532068, 'max', 6, 0, 8, '', '', 1, 1, 0, 9);

-- --------------------------------------------------------

-- 
-- Table structure for table `nor_comments`
-- 

DROP TABLE IF EXISTS `nor_comments`;
CREATE TABLE `nor_comments` (
  `comment_id` mediumint(8) NOT NULL auto_increment,
  `module_name` varchar(20) default NULL,
  `module_id` mediumint(8) NOT NULL default '0',
  `author` varchar(150) default NULL,
  `email` varchar(150) default NULL,
  `website` varchar(150) default NULL,
  `comment` text,
  `added` int(11) NOT NULL default '0',
  PRIMARY KEY  (`comment_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `nor_comments`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `nor_contact`
-- 

DROP TABLE IF EXISTS `nor_contact`;
CREATE TABLE `nor_contact` (
  `message_id` int(11) NOT NULL auto_increment,
  `time` int(11) NOT NULL default '0',
  `ip` varchar(32) default NULL,
  `title` varchar(32) default NULL,
  `firstname` varchar(64) default NULL,
  `lastname` varchar(64) default NULL,
  `email` varchar(255) default NULL,
  `phone` varchar(32) default '0',
  `mobile` varchar(32) default '0',
  `address` varchar(255) default NULL,
  `town` varchar(255) default NULL,
  `zip` varchar(20) default NULL,
  `country` varchar(64) default NULL,
  `topic` varchar(255) default NULL,
  `foundus` varchar(255) default NULL,
  `message` text,
  `replyby` varchar(64) default NULL,
  PRIMARY KEY  (`message_id`),
  KEY `time` (`time`),
  KEY `lastname` (`lastname`),
  KEY `email` (`email`),
  KEY `firstname` (`firstname`),
  KEY `country` (`country`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `nor_contact`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `nor_counter_tellafriend`
-- 

DROP TABLE IF EXISTS `nor_counter_tellafriend`;
CREATE TABLE `nor_counter_tellafriend` (
  `taf_id` int(11) NOT NULL auto_increment,
  `pagetitle` varchar(255) default NULL,
  `pageurl` varchar(255) default NULL,
  `counter` int(11) NOT NULL default '0',
  PRIMARY KEY  (`taf_id`),
  KEY `counter` (`counter`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `nor_counter_tellafriend`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `nor_counter_wcms`
-- 

DROP TABLE IF EXISTS `nor_counter_wcms`;
CREATE TABLE `nor_counter_wcms` (
  `id` int(11) NOT NULL auto_increment,
  `pagetitle` varchar(255) default NULL,
  `original_url` varchar(255) default NULL,
  `rewrite_url` varchar(255) default NULL,
  `module_name` varchar(20) default NULL,
  `module_id` mediumint(8) NOT NULL default '0',
  `counter` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `counter` (`counter`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `nor_counter_wcms`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `nor_dloads_files`
-- 

DROP TABLE IF EXISTS `nor_dloads_files`;
CREATE TABLE `nor_dloads_files` (
  `file_id` mediumint(8) NOT NULL auto_increment,
  `dload_id` mediumint(8) NOT NULL default '0',
  `file_title` varchar(255) default NULL,
  `file_desc` text,
  `file_demo` varchar(150) default NULL,
  `file_support` varchar(150) default NULL,
  `rating` float default NULL,
  `ratenum` int(11) NOT NULL default '0',
  `filename` varchar(255) NOT NULL,
  `filesize` int(11) NOT NULL default '0',
  `file_counter` int(11) NOT NULL default '0',
  `published` int(11) NOT NULL default '0',
  `updated` int(11) NOT NULL default '0',
  `activated` tinyint(1) NOT NULL default '0',
  `sponsored` tinyint(1) NOT NULL default '0',
  `level` tinyint(1) NOT NULL default '9',
  PRIMARY KEY  (`file_id`),
  KEY `activated` (`activated`),
  KEY `sponsored` (`sponsored`),
  KEY `published` (`published`),
  KEY `updated` (`updated`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `nor_dloads_files`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `nor_dloads_sections`
-- 

DROP TABLE IF EXISTS `nor_dloads_sections`;
CREATE TABLE `nor_dloads_sections` (
  `dload_id` mediumint(8) NOT NULL auto_increment,
  `section_name` varchar(255) default NULL,
  `section_desc` text,
  `parent_dload_id` mediumint(8) NOT NULL default '0',
  `level` tinyint(1) NOT NULL default '9',
  PRIMARY KEY  (`dload_id`),
  KEY `section_name` (`section_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `nor_dloads_sections`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `nor_mailinglist_blacklist`
-- 

DROP TABLE IF EXISTS `nor_mailinglist_blacklist`;
CREATE TABLE `nor_mailinglist_blacklist` (
  `rule` varchar(50) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Dumping data for table `nor_mailinglist_blacklist`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `nor_mailinglist_messages`
-- 

DROP TABLE IF EXISTS `nor_mailinglist_messages`;
CREATE TABLE `nor_mailinglist_messages` (
  `id` int(11) NOT NULL auto_increment,
  `subject` varchar(100) default NULL,
  `message` text NOT NULL,
  `created` varchar(10) NOT NULL default '',
  `queued` varchar(10) default NULL,
  `count` int(11) NOT NULL default '0',
  `format` varchar(4) NOT NULL default 'text',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `nor_mailinglist_messages`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `nor_mailinglist_queue`
-- 

DROP TABLE IF EXISTS `nor_mailinglist_queue`;
CREATE TABLE `nor_mailinglist_queue` (
  `message_id` int(11) NOT NULL default '0',
  `address` varchar(100) NOT NULL default '',
  `send_after` varchar(10) NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Dumping data for table `nor_mailinglist_queue`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `nor_mailinglist_subscribers`
-- 

DROP TABLE IF EXISTS `nor_mailinglist_subscribers`;
CREATE TABLE `nor_mailinglist_subscribers` (
  `address` varchar(100) NOT NULL default '',
  `userkey` varchar(32) NOT NULL default '',
  `confirmed` tinyint(1) NOT NULL default '0',
  `last_sub_req_date` varchar(10) NOT NULL default '',
  `bounce_count` smallint(6) default '0',
  PRIMARY KEY  (`address`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Dumping data for table `nor_mailinglist_subscribers`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `nor_polls`
-- 

DROP TABLE IF EXISTS `nor_polls`;
CREATE TABLE `nor_polls` (
  `poll_id` mediumint(8) NOT NULL auto_increment,
  `question` varchar(255) default NULL,
  `poll1` varchar(255) default NULL,
  `poll2` varchar(255) default NULL,
  `poll3` varchar(255) default NULL,
  `poll4` varchar(255) default NULL,
  `poll5` varchar(255) default NULL,
  `result1` mediumint(6) NOT NULL default '0',
  `result2` mediumint(6) NOT NULL default '0',
  `result3` mediumint(6) NOT NULL default '0',
  `result4` mediumint(6) NOT NULL default '0',
  `result5` mediumint(6) NOT NULL default '0',
  PRIMARY KEY  (`poll_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `nor_polls`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `nor_poll_ip`
-- 

DROP TABLE IF EXISTS `nor_poll_ip`;
CREATE TABLE `nor_poll_ip` (
  `id` int(11) NOT NULL auto_increment,
  `ip` varchar(32) default NULL,
  `date` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `nor_poll_ip`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `nor_sections`
-- 

DROP TABLE IF EXISTS `nor_sections`;
CREATE TABLE `nor_sections` (
  `section_id` mediumint(8) NOT NULL auto_increment,
  `section_name` varchar(255) default NULL,
  `section_url` varchar(64) default NULL,
  `section_desc` text,
  `parent_section_id` mediumint(8) NOT NULL default '0',
  `level` tinyint(1) NOT NULL default '9',
  PRIMARY KEY  (`section_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=43 ;

-- 
-- Dumping data for table `nor_sections`
-- 

INSERT INTO `nor_sections` (`section_id`, `section_name`, `section_url`, `section_desc`, `parent_section_id`, `level`) VALUES 
(1, 'Forsiden', 'main', '<p>Dette er forsiden i det nye WCMS.</p>', 0, 9),
(40, 'Sub 2', 'sub-to', '<p>Dette er en sub sub seksjon.</p>', 41, 9),
(41, 'Sub 1', 'sub-en', '<p>dette er en sub seksjon.</p>', 2, 9),
(42, 'Sub 3', 'sub-tre', '<p>Dette er en sub sub sub seksjon.</p>', 40, 9),
(2, 'Nyheter', 'nyheter', '<p>Her publiseres siste nytt relatert til utviklingen av WCMS.</p>', 0, 9),
(3, 'Tjenester', 'tjenester', '<p>Her finner du mer info om skreddersydde templates osv.</p>', 0, 9),
(4, 'Screenshots', 'galleri', '<p>Screen shots fra admin delen finner du her.</p>', 0, 9),
(5, 'Om oss', 'om-oss', '<p>Info om utviklerene finner du her.</p>', 0, 9);

-- --------------------------------------------------------

-- 
-- Table structure for table `nor_shared_photos`
-- 

DROP TABLE IF EXISTS `nor_shared_photos`;
CREATE TABLE `nor_shared_photos` (
  `photo_id` mediumint(8) NOT NULL auto_increment,
  `module_name` varchar(20) default NULL,
  `module_id` mediumint(8) NOT NULL default '0',
  `photo_title` varchar(255) default NULL,
  `photo_orig` varchar(255) default NULL,
  `photo_thumb` varchar(255) default NULL,
  `photo_position` mediumint(8) NOT NULL default '0',
  `width_orig` mediumint(8) NOT NULL default '0',
  `height_orig` mediumint(8) NOT NULL default '0',
  `width_thumb` mediumint(8) NOT NULL default '0',
  `height_thumb` mediumint(8) NOT NULL default '0',
  PRIMARY KEY  (`photo_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `nor_shared_photos`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `nor_xmod_form`
-- 

DROP TABLE IF EXISTS `nor_xmod_form`;
CREATE TABLE `nor_xmod_form` (
  `client_id` mediumint(8) NOT NULL auto_increment,
  `xlisting_id` mediumint(8) NOT NULL default '0',
  `xsection_id` mediumint(8) NOT NULL default '0',
  `list_title` varchar(64) default NULL,
  `price` mediumint(8) NOT NULL default '0',
  `paid_dep` tinyint(1) NOT NULL default '0',
  `paid_full` tinyint(1) NOT NULL default '0',
  `arrival` int(11) NOT NULL default '0',
  `departure` int(11) NOT NULL default '0',
  `ordered` int(11) NOT NULL default '0',
  `ordered_ip` varchar(32) default NULL,
  `title` varchar(32) default NULL,
  `firstname` varchar(64) default NULL,
  `lastname` varchar(64) default NULL,
  `email` varchar(255) default NULL,
  `phone` varchar(32) default NULL,
  `mobile` varchar(32) default NULL,
  `telefax` varchar(32) default NULL,
  `address` varchar(255) default NULL,
  `town` varchar(255) default NULL,
  `zip` varchar(20) default NULL,
  `country` varchar(64) default NULL,
  `rentacar` tinyint(1) NOT NULL default '0',
  `restaurant` varchar(255) default NULL,
  `adults` smallint(4) NOT NULL default '0',
  `teens` smallint(4) NOT NULL default '0',
  `children` smallint(4) NOT NULL default '0',
  `infants` smallint(4) NOT NULL default '0',
  `requests` text,
  `foundus` varchar(255) default NULL,
  `replyby` varchar(64) default NULL,
  PRIMARY KEY  (`client_id`),
  KEY `arrival` (`arrival`,`departure`),
  KEY `departure` (`departure`),
  KEY `lastname` (`lastname`),
  KEY `ordered` (`ordered`),
  KEY `paid_dep` (`paid_dep`),
  KEY `paid_full` (`paid_full`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `nor_xmod_form`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `nor_xmod_listings`
-- 

DROP TABLE IF EXISTS `nor_xmod_listings`;
CREATE TABLE `nor_xmod_listings` (
  `xlisting_id` mediumint(8) NOT NULL auto_increment,
  `xsection_id` mediumint(8) NOT NULL default '0',
  `title` varchar(255) default NULL,
  `intro` text,
  `description` text,
  `ap_type` varchar(64) default NULL,
  `bedrooms` smallint(4) NOT NULL default '0',
  `sleeps` smallint(4) NOT NULL default '0',
  `bathrooms` smallint(4) NOT NULL default '0',
  `price_high` mediumint(8) NOT NULL default '0',
  `price_mid` mediumint(8) NOT NULL default '0',
  `price_low` mediumint(8) NOT NULL default '0',
  `check_in` varchar(64) default NULL,
  `check_out` varchar(64) default NULL,
  `airport` varchar(255) default NULL,
  `transport` varchar(255) default NULL,
  `beach` varchar(255) default NULL,
  `pool` varchar(255) default NULL,
  `activities` text,
  `room_facilities` text,
  `onsite_facilities` text,
  `area_facilities` text,
  `counter` int(11) NOT NULL default '0',
  `published` int(11) NOT NULL default '0',
  `updated` int(11) NOT NULL default '0',
  `displayed` tinyint(1) NOT NULL default '0',
  `featured` tinyint(1) NOT NULL default '0',
  `level` tinyint(1) NOT NULL default '9',
  PRIMARY KEY  (`xlisting_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `nor_xmod_listings`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `nor_xmod_sections`
-- 

DROP TABLE IF EXISTS `nor_xmod_sections`;
CREATE TABLE `nor_xmod_sections` (
  `xsection_id` bigint(32) NOT NULL auto_increment,
  `section_name` varchar(255) default NULL,
  `section_desc` text,
  `parent_xsection_id` bigint(32) NOT NULL default '0',
  `level` tinyint(1) NOT NULL default '9',
  PRIMARY KEY  (`xsection_id`),
  KEY `section_name` (`section_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `nor_xmod_sections`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `wcms_teams`
-- 

DROP TABLE IF EXISTS `wcms_teams`;
CREATE TABLE `wcms_teams` (
  `id` int(4) NOT NULL auto_increment,
  `teamname` varchar(25) NOT NULL default '',
  `teamlead` varchar(25) NOT NULL default '',
  `status` varchar(10) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `teamname` (`teamname`),
  KEY `teamlead` (`teamlead`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

-- 
-- Dumping data for table `wcms_teams`
-- 

INSERT INTO `wcms_teams` (`id`, `teamname`, `teamlead`, `status`) VALUES 
(1, 'Admin', 'admin', 'active'),
(2, 'Ungrouped', 'nouser', 'active'),
(3, 'Temporary', 'admin', 'active'),
(4, 'eng', 'noway', 'active'),
(5, 'nor', 'noway', 'active');

-- --------------------------------------------------------

-- 
-- Table structure for table `wcms_users`
-- 

DROP TABLE IF EXISTS `wcms_users`;
CREATE TABLE `wcms_users` (
  `user_id` mediumint(8) NOT NULL auto_increment,
  `firstname` varchar(30) default NULL,
  `lastname` varchar(30) default NULL,
  `username` varchar(25) NOT NULL,
  `password` varchar(40) NOT NULL,
  `nickname` varchar(25) default NULL,
  `useremail` varchar(128) default NULL,
  `address` varchar(64) default NULL,
  `city` varchar(30) default NULL,
  `country` varchar(30) default NULL,
  `team` varchar(25) NOT NULL,
  `level` tinyint(1) NOT NULL default '9',
  `status` varchar(10) NOT NULL,
  `wcmskey` varchar(40) NOT NULL,
  `lastlogin` int(11) NOT NULL default '0',
  `logincount` mediumint(8) NOT NULL default '0',
  `online` tinyint(1) NOT NULL default '0',
  `limited` varchar(15) default NULL,
  `contract_start` varchar(11) default NULL,
  `contract_end` varchar(11) default NULL,
  PRIMARY KEY  (`user_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

-- 
-- Dumping data for table `wcms_users`
-- 

INSERT INTO `wcms_users` (`user_id`, `firstname`, `lastname`, `username`, `password`, `nickname`, `useremail`, `address`, `city`, `country`, `team`, `level`, `status`, `wcmskey`, `lastlogin`, `logincount`, `online`, `limited`, `contract_start`, `contract_end`) VALUES 
(1, NULL, NULL, 'admin', '38c7e50719ab12a7362dfd7b46952011ecc5eeaa', 'Admin', 'thomas@evaria.com', NULL, NULL, NULL, 'Admin', 1, 'active', '', 1177671133, 0, 0, NULL, NULL, NULL),
(2, NULL, NULL, 'nouser', '38c7e50719ab12a7362dfd7b46952011ecc5eeaa', 'Noname', NULL, NULL, NULL, NULL, 'Ungrouped', 9, 'active', '', 1177671133, 0, 0, NULL, NULL, NULL),
(3, NULL, NULL, 'nor', '38c7e50719ab12a7362dfd7b46952011ecc5eeaa', 'Thomas', 'nor@evaria.com', NULL, NULL, NULL, 'nor', 2, 'active', '', 1177671133, 0, 0, NULL, NULL, NULL),
(4, NULL, NULL, 'eng', '38c7e50719ab12a7362dfd7b46952011ecc5eeaa', 'Bean', 'eng@evaria.com', NULL, NULL, NULL, 'eng', 2, 'active', '', 1177665286, 0, 0, NULL, NULL, NULL);
