<?php
/***************************************************************
 WCMS - Web Content Management System (c) 2006 - Thomas Egtvedt
 
 Main user access pages
****************************************************************/

/* Includes the DB variables */
@require("config/conf_access.php");
@require("config/wcms_constants.php");

/* Opens the DB connection */
$DBConn = @mysql_connect($DBHost, $DBUser, $DBPswd);

if (!$DBConn) {
    die(mysql_errno() . ": Could not connect to your MySQL database");
}

if (!@mysql_select_db($DBName, $DBConn)) {
    die(mysql_errno($DBConn) . ": " . mysql_error($DBConn). "<br />\n");
}

/* Includes functions related to various security tasks */
require ("classes/access.class.php");

foreach($_GET as $key=>$value)
{
    $$key=$value;
}

session_start();

/* Includes config, themes, java and language files */
if (!isset($_SESSION['language']))
{
$conf_check1 = "config/conf_".$wcms_def_lang.".php";
$conf_check2 = "language/".$wcms_def_lang."/wcms.lang.php";
$session_link = $wcms_def_lang;
	if (file_exists($conf_check1) && file_exists($conf_check2)) 
	{
		@include ("config/conf_".$wcms_def_lang.".php");
		@include ("language/".$wcms_def_lang."/access.lang.php");
		@include ("language/".$wcms_def_lang."/wcms.lang.php");
	}
	else
	{
		@include ("language/en/wcms.lang.php");
		echo $Language["no_def_lang"]." ".$Language["check_readme"];
		exit;
	}
}
else
{
$conf_check1 = "config/conf_".$_SESSION['language'].".php";
$conf_check2 = "language/".$_SESSION['language']."/wcms.lang.php";
	if (file_exists($conf_check1) && file_exists($conf_check2)) 
	{
		@include ("config/conf_".$_SESSION['language'].".php");
		@include ("language/".$_SESSION['language']."/access.lang.php");
		@include ("language/".$_SESSION['language']."/wcms.lang.php");
		$session_link = $_SESSION['language'];
	}
	else
	{
		@include ("language/en/wcms.lang.php");
		echo $Language["no_xtra_lang"].$Language["check_readme"];
		$session_link = $wcms_def_lang;
		exit;
	}
}

/************************************************************************/
if ($action == "usercheck")
{
$username = $_POST['username'];
$cookieUser = base64_encode($username);
$password = $_POST['password'];
$cookiePswd = sha1($password);
/* Add (... , $wcms_root_url) when online */
setcookie("wcms_sha1_user", $cookieUser , time()+3600);
setcookie("wcms_sha1_data", $cookiePswd , time()+3600);

$Access = new access();
$detail = $Access->authenticate($username, $password);
	if (!$detail)
	{
		header("Location: ".$wcms_failed_url);
		exit;
	}
	elseif ($detail['level'] == 1 && $detail['username'] == "admin") 
	{
		header("Location: ".$wcms_admdirect_url);
		exit;
	}else{
 		header("Location: ".$wcms_redirect_url);
		exit;
	}
}
/************************************************************************/
elseif ($action == "redirect")
{
	if (isset($_COOKIE['wcms_sha1_user']) && isset($_COOKIE['wcms_sha1_data']))
	{
		$user = $_COOKIE['wcms_sha1_user'];
		$username = base64_decode($user);
		$password = $_COOKIE['wcms_sha1_data'];
		$Access = new access();
		$check = $Access->page_check($username, $password);
	}else{
		$check = false;
	}
	if (!$check)
	{
		header("Location: ".$wcms_failed_url);
		exit;
	}
	if(!empty($check['team']) && $check['team'] != "Admin" && $check['team'] != "Ungrouped" && $check['team'] != "Temporary") 
	{
		$_SESSION['language'] = $check['team'];
		header("Location: ".$wcms_access_url);
		exit;
	}else{
		header("Location: ".$wcms_root_url);
		exit;
	}
}
/************************************************************************/
elseif ($action == "logout" || $action == "login" || $action == "failed")
{
	if ($action == "logout")
	{
		$user = $_COOKIE['wcms_sha1_user'];
		$username = base64_decode($user);
		$password = $_COOKIE['wcms_sha1_data'];
		$Access = new access();
		$notOnline = $Access->logout($username, $password);
		setcookie ("wcms_sha1_user", "" , time()-3600);
		setcookie ("wcms_sha1_data", "" , time()-3600);
		$_SESSION = array();
		if (isset($_COOKIE[session_name()])) {
		   setcookie(session_name(), '', time()-42000, '/');
		}
		session_destroy();
		$createtitle = $admLanguage["admpagetitle_logout"];
	}
	elseif ($action == "failed")
	{
		$createtitle = $admLanguage["admpagetitle_failed"];
	}else{
		$createtitle = $admLanguage["admpagetitle_login"];
	}
$createpage = '
<fieldset>
<legend><img src="'.$wcms_root_url.'access/wcms_access_graphic/wcms_front.jpg" alt="Evaria WCMS Logo" align="top" width="290" height="100" border="0" /></legend>
';
	if ($action == "logout")
	{
		$createpage .= '<p class="error">'.$admLanguage["logout"].'</p>';
	}
	elseif ($action == "failed")
	{
		$createpage .= '<p class="error">'.$admLanguage["failed"].'</p>';
	}else{
		$createpage .= '<p>'.$admLanguage["cookies"].'</p>';
	}
$createpage .= '
<form name="loginform" id="loginform" action="?action=usercheck" method="post">
<p><label>'.$admLanguage["username"].':<br /><input style="width:385px;" type="text" name="username" id="username" value="" size="25" maxlength="25" tabindex="1" /></label></p>
<p><label>'.$admLanguage["password"].':<br /><input style="width:385px;" type="password" name="password" id="password" value="" size="25" maxlength="32" tabindex="2" /></label></p>
<p><label><input class="button" type="submit" name="submit" id="submit" value="'.$admLanguage["login"].' &raquo;" tabindex="3" /> 
<input class="button" type="reset" name="reset" value="'.$admLanguage["reset"].'" id="reset" tabindex="4" /></label></p>
</form>
<br /><br />
<div style="float:left;"><a href="'.$wcms_root_url.'">'.$admLanguage["to_site"].'</a></div>
<div style="float:right;"><a href="'.$wcms_root_url.'access.php?action=lostpswd">'.$admLanguage["lost_pswd"].'</a></div>
</fieldset>
';
}
/************************************************************************/
elseif ($action == "newpswd")
{
    if ((!empty($_POST["username"])) && (!empty($_POST["email"])))
	{
		$postuser = trim($_POST["username"]);
		$qDetails = mysql_query("SELECT * FROM wcms_users WHERE username='$postuser'");
		$Details = mysql_fetch_array($qDetails);
		if (mysql_num_rows($qDetails) == 0)
		{
			header("Location: ".$wcms_unknownuser_url);
			exit;
		}else{			
			// Username Details
			$username = $Details['username'];
			$email = $Details['useremail'];
			$nick = $Details['nickname'];
			$team = $Details['team'];
			$level = $Details['level'];
			$status = $Details['status'];			
			$Access = new access();
			$wcmskey = $Access->GeneratePassword();		
			$wcmskey = sha1($wcmskey);
			// Verifying that email is also correct
			if (trim($_POST["email"]) != $email)
			{
				header("Location: ".$wcms_unknownuser_url);
				exit;
			}
			// Create email to user
			// Change to $To = "$nick <$email>"; when online
			$To = $email;
			$Subject = $admLanguage["subject1"];
			$Headers = "From: Admin <$wcms_adminmail>\n";
			$Headers .= "Reply-To: Admin <$wcms_adminmail>\n";
			$SpecialMessage = $admLanguage["specialm1"]."\n\n";
			$SpecialMessage .= $wcms_root_url." --- ".$username."\n\n";
			$SpecialMessage .= $admLanguage["specialm2"]."\n\n";
			$SpecialMessage .= $wcms_root_url."access.php?action=newpswd&confirmkey=".$wcmskey."\n";
			// Insert verification key in database
			$update = $Access->insert_user_key($username, $wcmskey);
			// Send mail if key has been inserted properly
			if ($update)
			{
				$sendpswd = @mail($To, $Subject, $SpecialMessage, $Headers);
			}
			// Display some successfully sent info
			if ($sendpswd)
			{
				$createtitle = $admLanguage["admpagetitle_forgotpswd"];
				$createpage = '
				<fieldset>
				<legend><img src="'.$wcms_root_url.'access/wcms_access_graphic/wcms_front.jpg" alt="Evaria WCMS Logo" align="top" width="290" height="100" border="0" /></legend>
				<p>'.$admLanguage["sentsuccess"].'</p>
				<br /><br />
				<div style="float:left;"><a href="'.$wcms_root_url.'">'.$admLanguage["to_site"].'</a></div>
				<div style="float:right;"><a href="'.$wcms_root_url.'access.php?action=login">'.$admLanguage["login"].'</a></div>
				</fieldset>
				';		
			// If mail fails...
			}else{
				header("Location: ".$wcms_system_error);
				exit;
			}
		}
	} 
	elseif (!empty($confirmkey))
	{
		$wcmskey = trim($confirmkey);
		$qDetails = mysql_query("SELECT * FROM wcms_users WHERE wcmskey='$wcmskey'");
		$Details = mysql_fetch_array($qDetails);
		// Checks if key exists, and that only one is found
		if (mysql_num_rows($qDetails) != 1)
		{
			header("Location: ".$wcms_unknownkey_url);
			exit;
		}else{			
			// Username Details
			$username = $Details['username'];
			$email = $Details['useremail'];
			$nick = $Details['nickname'];
			$team = $Details['team'];
			$level = $Details['level'];
			$status = $Details['status'];			
			$Access = new access();
			$password = $Access->GeneratePassword();		
			// Create email to user
			// Change to $To = "$nick <$email>"; when online
			$To = $email;
			$admTo = $wcms_adminmail;
			$Subject = $admLanguage["subject2"];
			$admSubject = $admLanguage["subject3"];
			$Headers = "From: Admin <$wcms_adminmail>\n";
			$Headers .= "Reply-To: Admin <$wcms_adminmail>\n";
			$admMessage = $admLanguage["username"].": ".$username."\n\n";
			$admMessage .= $wcms_login_url."\n";
			$pswdMessage = $admLanguage["username"].": ".$username."\n\n";
			$pswdMessage .= $admLanguage["password"].": ".$password."\n\n";
			$pswdMessage .= $wcms_login_url."\n";
			// Insert new password in database
			$update = $Access->modify_user($username, $password, $email, $team, $level, $status);
			// Send mail if password has been changed properly
			if ($update)
			{
				$sendpswd = @mail($To, $Subject, $pswdMessage, $Headers);
				$admnotice = @mail($admTo, $admSubject, $admMessage, $Headers);
			}
			// Display some successfully sent info
			if ($sendpswd && $admnotice)
			{
				$deletekey = $Access->delete_key($username);
				$createtitle = $admLanguage["admpagetitle_forgotpswd"];
				$createpage = '
				<fieldset>
				<legend><img src="'.$wcms_root_url.'access/wcms_access_graphic/wcms_front.jpg" alt="Evaria WCMS Logo" align="top" width="290" height="100" border="0" /></legend>
				<p>'.$admLanguage["resetsuccess"].'</p>
				<br /><br />
				<div style="float:left;"><a href="'.$wcms_root_url.'">'.$admLanguage["to_site"].'</a></div>
				<div style="float:right;"><a href="'.$wcms_root_url.'access.php?action=login">'.$admLanguage["login"].'</a></div>
				</fieldset>
				';		
			// If mail fails...
			}else{
				header("Location: ".$wcms_system_error);
				exit;
			}
		}
	}else{
		header("Location: ".$wcms_unknownuser_url);
		exit;
	}
}
/************************************************************************/
elseif ($action == "diablo")
{
	$createtitle = "I'm watching you!";
	$createpage = '
	<fieldset>
	<legend><img src="'.$wcms_root_url.'access/wcms_access_graphic/wcms_front.jpg" alt="Evaria WCMS Logo" align="top" width="290" height="100" border="0" /></legend>
	<p style="text-align:center;"><strong>'.$admLanguage["diablo"].'</strong></p>
	<br /><br />
	<div style="float:left;"><a href="'.$wcms_root_url.'">'.$admLanguage["to_site"].'</a></div>
	<div style="float:right;"><a href="'.$wcms_root_url.'access.php?action=login">'.$admLanguage["login"].'</a></div>
	</fieldset>
	';
}
/************************************************************************/
elseif ($action == "lostpswd" || $action == "unknownuser" || $action == "unknownkey")
{
$createtitle = $admLanguage["admpagetitle_forgotpswd"];
$createpage = '
<fieldset>
<legend><img src="'.$wcms_root_url.'access/wcms_access_graphic/wcms_front.jpg" alt="Evaria WCMS Logo" align="top" width="290" height="100" border="0" /></legend>
';
	if ($action == "unknownuser")
	{
		$createpage .= '<p class="error">'.$admLanguage["unknown"].'</p>';
	}
	elseif ($action == "unknownkey")
	{
		$createpage .= '<p class="error">'.$admLanguage["unknownkey"].'</p>';
	}else{
		$createpage .= '<p>'.$admLanguage["lostpswd"].'</p>';
	}
$createpage .= '
<form name="createpswd" id="createpswd" action="?action=newpswd" method="post">
<p><label>'.$admLanguage["username"].':<br /><input style="width:385px;" type="text" name="username" id="username" value="" size="25" maxlength="25" tabindex="1" /></label></p>
<p><label>'.$admLanguage["email"].':<br /><input style="width:385px;" type="text" name="email" id="email" value="" size="25" maxlength="128" tabindex="2" /></label></p>
<p class="submit"><input class="button" type="submit" name="submit" id="submit" value="'.$admLanguage["sendpswd"].' &raquo;" tabindex="3" /> 
<input class="button" type="reset" name="reset" value="'.$admLanguage["reset"].'" id="reset" tabindex="4" />
</p>
</form>
<br /><br />
<div style="float:left;"><a href="'.$wcms_root_url.'">'.$admLanguage["to_site"].'</a></div>
<div style="float:right;"><a href="'.$wcms_root_url.'access.php?action=login">'.$admLanguage["login"].'</a></div>
</fieldset>
';
/************************************************************************/
}else{
header("Location: ".$wcms_root_url."access.php?action=login");
exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $Language["wcms_charset"]; ?>" />
<title><?php echo $Language["wcms_sitename"]." &raquo; ".$createtitle; ?></title>
<link rel="shortcut icon" href="<?php echo $wcms_root_url; ?>access/wcms_access_graphic/wcms_favicon.gif" type="image/gif" />
<link href="<?php echo $wcms_root_url; ?>access/wcms_access_style/wcms_access_front.css" rel="stylesheet" type="text/css" />

<script type="text/javascript">
	function focusit() {
		document.getElementById('username').focus();
	}
	window.onload = focusit;
</script>

<!--[if IE]>
<style type="text/css">
.button {padding: 0;}
</style>
<![endif]-->
</head>
<body class="front">

<div id="container">
<div id="main">
<?php echo $createpage; ?>
<p style="text-align:center;font-size:10px;"><a href="http://www.evaria.com"><?php echo WCMS_COPYRIGHT." ".WCMS_VERSION ?></a></p>
<!--[if IE]>
<br />
<![endif]-->
</div>
</div>

</body>
</html>