<?php 
/***************************************************************
 WCMS - Web Content Management System (c) 2006 - Thomas Egtvedt
 
 General admin page
****************************************************************/
$ADMMOD = "password";

/* Includes access, config and language settings */
require("../head_admin_access.php");
require_once ("../../classes/access.class.php");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $Language["wcms_charset"]; ?>" />
<meta name="author" content="<?php echo WCMS_AUTHOR; ?>" />
<meta name="copyright" content="<?php echo WCMS_COPYRIGHT." - ".WCMS_AUTHOR; ?>" />
<meta name="date" content="<?php echo date("d M Y") ?>" />
<meta name="language" content="<?php echo $Language["wcms_language"]; ?>" />
<meta name="publisher" content="<?php echo WCMS_PUBLISHER; ?>" />
<meta name="version" content="<?php echo WCMS_VERSION; ?>" />
<link rel="shortcut icon" href="<?php echo $wcms_root_url; ?>access/wcms_access_graphic/wcms_favicon.gif" type="image/gif" />
<link href="<?php echo $wcms_root_url; ?>access/wcms_access_style/wcms_access_general.css" rel="stylesheet" type="text/css" />
<title><?php echo $Language["wcms_sitename"]." - Controlpanel - ".WCMS_VERSION; ?></title>

<script type="text/javascript">
<!--
function tabS(rTag) {
if (document.User) {
    if (document.User.oldpasswd.value==""){   
        return true; 
    }
    else {
        document.User.action=rTag; 
        document.User.submit();
         return false;
    }
}
}
//-->
</script>

</head>
<body onLoad="document.User.oldpasswd.focus();">

<?php 
@include("../header_admin.php");
?>	

<div>
<form name="user" method="post" action="chg_pswd.php">
<table width="500" border="0" cellspacing="0" cellpadding="5" align="center">
 <tr>
  <th colspan="2">Change your password</th>
 </tr>
 <tr>
  <td class="tab_div">Old password</td>
  <td class="tab_div"><input type="password" name="oldpasswd" size="20" /></td>
 </tr>
 <tr>
  <td class="tab_div">New password</td>
  <td class="tab_div"><input type="password" name="newpasswd" size="20" /></td>
 </tr>
 <tr>
  <td class="tab_div">Retype password</td>
  <td class="tab_div"><input type="password" name="confirmpasswd" size="20" /></td>
 </tr>
 <tr>
  <td class="tab_div" colspan="2" style="text-align:center;">
  <input type="submit" value="&nbsp;Save&nbsp;" name="submit" />
  &nbsp;&nbsp;&nbsp;&nbsp;
  <input type="reset" value="Cancel" name="reset" /></td>
 </tr>
 <tr>
  <td class="tab_div" colspan="2"><b><?php echo $admin_message; ?> </b>
<?php
// Get global variable values if there are any
	if (isset($_POST['submit']))
	{
		$user = $_COOKIE['wcms_sha1_user'];
		$username = base64_decode($user);
		$password = $_COOKIE['wcms_sha1_data'];
		$submit = $_POST['submit'];
		$oldpasswd = $_POST['oldpasswd'];
		$newpasswd = $_POST['newpasswd'];
		$confirmpasswd = $_POST['confirmpasswd'];
    }else{
		$submit = "";
	}

	$user = new access();
	
	// REVISED CODE
	$SelectedDB = mysql_select_db($DBName);
	$userdata = mysql_query("SELECT * FROM authuser WHERE username='$username' and password='$password'");
	
	if ($submit)
	{
		// Check if Old password is blank
		if (trim($oldpasswd) == "")
		{
			echo "You must provide your old password!";
			echo "</td></tr></table></form></div>\n";
			include("../footer.php");
			echo "</body></html>";
			exit;
		}

		// Check if Old password is the correct
		if (sha1($oldpasswd) != $password)
		{
			echo "You didn't provide a valid \"Old password\"";
			echo "</td></tr></table></form></div>\n";
			include("../footer.php");
			echo "</body></html>";
			exit;
		}
		
		// Check if New password if blank
		if (trim($newpasswd) == "")
		{
			echo "You must provide a new password!";
			echo "</td></tr></table></form></div>\n";
			include("../footer.php");
			echo "</body></html>";
			exit;
		}
				
		// Check if New password is confirmed
		if ($newpasswd != $confirmpasswd)
		{
			echo "You must re-type the exact same password!";
			echo "</td></tr></table></form></div>\n";
			include("../footer.php");
			echo "</body></html>";
			exit;
		}
		
		// Check if New password is duplicate
		if ($newpasswd == $oldpasswd)
		{
			echo "Try to be more creative when you change passwords...";
			echo "</td></tr></table></form></div>\n";
			include("../footer.php");
			echo "</body></html>";
			exit;
		}
		
		// If everything is ok, use auth class to modify the record
		$update = $user->modify_user($username, $newpasswd, $check["useremail"], $check["team"], $check["level"], $check["status"]);
		if ($update) {
			echo "Your password has changed, please log inn again.";
			echo "</td></tr></table></form></div>\n";
			include("../footer.php");
			echo "</body></html>";
			exit;
		}
		
	}
?>
  </td>
 </tr>
</table>
</form>
</div>

<?php
include("../footer.php");
?>

</body>
</html>