<?php 
/***************************************************************
 WCMS - Web Content Management System (c) 2006 - Thomas Egtvedt
 
 File: access/module_access/edit_config.php
****************************************************************/

/* Includes access, config and language settings */
require ("../head_admin_access.php");
$ADMMOD = "config";

if(isset($_REQUEST["update"]))
{
	foreach($_REQUEST as $key=>$value)
	{
	$$key=$value;
	}
}

include("function.inc.php");

if($insert == "1")
{
$sourcefolder = "../../config/";
$destfolder = "../../config/";
$filename = "conf_access.php";
$linearray = array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22);
$contentarray[1] = "<?php\n";
$contentarray[2] = "/* GENERAL WCMS SETTINGS */\n";
$contentarray[3] = "\$wcms_root_url        = \"$wcms_root_url\";\n";
$contentarray[4] = "\$wcms_access_url      = \$wcms_root_url.\"access/\";\n";
$contentarray[5] = "\$wcms_admdirect_url   = \$wcms_root_url.\"access/module_access/\";\n";
$contentarray[6] = "\$wcms_failed_url      = \$wcms_root_url.\"access.php?action=failed\";\n";
$contentarray[7] = "\$wcms_unknownuser_url = \$wcms_root_url.\"access.php?action=unknownuser\";\n";
$contentarray[8] = "\$wcms_unknownkey_url  = \$wcms_root_url.\"access.php?action=unknownkey\";\n";
$contentarray[9] = "\$wcms_system_error    = \$wcms_root_url.\"access.php?action=diablo\";\n";
$contentarray[10] = "\$wcms_login_url       = \$wcms_root_url.\"access.php?action=login\";\n";
$contentarray[11] = "\$wcms_logout_url      = \$wcms_root_url.\"access.php?action=logout\";\n";
$contentarray[12] = "\$wcms_redirect_url    = \$wcms_root_url.\"access.php?action=redirect\";\n";
$contentarray[13] = "\$wcms_def_lang        = \"$wcms_def_lang\";\n";
$contentarray[14] = "\$wcms_def_list_no     = $wcms_def_list_no;\n";
$contentarray[15] = "\n";
$contentarray[16] = "/* GENERAL MYSQL SETTINGS */\n";
$contentarray[17] = "\$DBName = \"$DBName\";  // Name of Database\n";
$contentarray[18] = "\$DBUser = \"$DBUser\";  // Database username\n";
$contentarray[19] = "\$DBPswd = \"$DBPswd\";  // Database password\n";
$contentarray[20] = "\$DBHost = \"$DBHost\";  // Database host name\n";
$contentarray[21] = "?>";
$contentarray[22] = "";

	if(!@copyandmodifyfile($sourcefolder,$destfolder,$filename,$filename,$linearray,$contentarray))
	{
	$conmessage = "Could not modify conf_access.php!";
	}else{
	$conmessage = "Successfully updated conf_access.php!";
	}
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $Language["wcms_charset"]; ?>" />
<meta name="author" content="<?php echo WCMS_AUTHOR; ?>" />
<meta name="copyright" content="<?php echo WCMS_COPYRIGHT." - ".WCMS_AUTHOR; ?>" />
<meta name="date" content="<?php echo date("d M Y") ?>" />
<meta name="language" content="<?php echo $Language["wcms_language"]; ?>" />
<meta name="publisher" content="<?php echo WCMS_PUBLISHER; ?>" />
<meta name="version" content="<?php echo WCMS_VERSION; ?>" />
<link rel="shortcut icon" href="<?php echo $wcms_root_url; ?>access/wcms_access_graphic/wcms_favicon.gif" type="image/gif" />
<link href="<?php echo $wcms_root_url; ?>access/wcms_access_style/wcms_access_general.css" rel="stylesheet" type="text/css" />
<title><?php echo $Language["wcms_sitename"]." - Controlpanel - ".WCMS_VERSION; ?></title>
<script type="text/javascript" src="<?php echo $wcms_root_url; ?>language/<?php echo $session_link; ?>/javascript/validation.js"></script>
<script type="text/javascript">
<!-- Begin
function init() {
define('wcms_root_url', 'string', 'Root URl');
define('DBName', 'string', 'DB Name');
define('DBUser', 'string', 'DB Username');
define('DBPswd', 'string', 'DB Password');
define('DBHost', 'string', 'DB Host');
}
function go2(url){
window.location=url
}
//  End -->
</script>

</head>
<body onload="init()">

<?php 
@include("../header_admin.php");
?>			

<div>
<h2>Edit Configuration</h2>
<p class="note">Only edit the config file if you are absolutely certain of what you are doing! 
The settings here controls the root URl used by the WCMS and also the default language, email and 
listing settings. The bottom of the file also controls the DB connection, so if the file gets 
damaged you will not be able to access the system.</p>
<br />

<form action="edit_config.php" method="post" enctype="multipart/form-data">
<input type="hidden" name="insert" value="1">
<table align="center" width="100%" border="0" cellspacing="0" cellpadding="5">
 <tr> 
  <th colspan="2">Master configuration file settings</th>
 </tr>
<?php
if (!is_writeable("../../config/conf_access.php"))
{
?>
 <tr> 
  <td class="tab_div" colspan="2" style="text-align:center;"><p class="message"><strong>Please make sure that <?php echo $wcms_root_url; ?>config/conf_access.php  is writeable.</strong>
  <br /><br />CHMOD to 777 if necessary (edit file permission settings on server).</p></td>
 </tr>
<?php
}
if (!empty($conmessage))
{
?>
 <tr> 
  <td class="tab_div" colspan="2" style="text-align:center;"><p class="message"><?php echo $conmessage; ?></p></td>
 </tr>
<?php
}
?>
 <tr> 
  <td class="tab_div" style="width:25%;">Root URl</td>
  <td class="tab_div" style="width:75%;"><input type="text" name="wcms_root_url" value="<?php echo $wcms_root_url; ?>" size="100" /></td>
 </tr>
 <tr> 
  <td class="tab_div">Default language</td>
  <td class="tab_div"><input type="text" name="wcms_def_lang" value="<?php echo $wcms_def_lang; ?>" size="4" /> (Create directories for graphics, javascripts, themes and languages before altering this.)</td>
 </tr>
 <tr> 
  <td class="tab_div">Default # listing</td>
  <td class="tab_div"><input type="text" name="wcms_def_list_no" value="<?php echo $wcms_def_list_no; ?>" size="4" /> (Number of records shown on each page. E.g. article and section listings.)</td>
 </tr>
 <tr> 
  <td class="tab_div">DB Name</td>
  <td class="tab_div"><input type="text" name="DBName" value="<?php echo $DBName; ?>" size="80" /></td>
 </tr>
 <tr> 
  <td class="tab_div">DB Username</td>
  <td class="tab_div"><input type="text" name="DBUser" value="<?php echo $DBUser; ?>" size="80" /></td>
 </tr>
 <tr> 
  <td class="tab_div">DB Password</td>
  <td class="tab_div"><input type="text" name="DBPswd" value="<?php echo $DBPswd; ?>" size="80" /></td>
 </tr>
 <tr> 
  <td class="tab_div">DB Host</td>
  <td class="tab_div"><input type="text" name="DBHost" value="<?php echo $DBHost; ?>" size="80" /></td>
 </tr>
 <tr> 
  <td colspan="2" style="text-align:center;" class="tab_div"><input type="submit" name="update" onclick="validate();return returnVal;" value="Save settings" />
  &nbsp;&nbsp;<input type="button" onclick="go2('edit_config.php')" value="Reload page" /></td>
 </tr> 
</table>
</form>

</div>

<?php
include("../footer.php");
?>

</body>
</html>
