<?php 
/***************************************************************
 WCMS - Web Content Management System (c) 2006 - Thomas Egtvedt
 
 File: access/module_access/index.php
****************************************************************/

/* Includes access, config and language settings */
require ("../head_admin_access.php");
$ADMMOD = "home";
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $Language["wcms_charset"]; ?>" />
<meta name="author" content="<?php echo WCMS_AUTHOR; ?>" />
<meta name="copyright" content="<?php echo WCMS_COPYRIGHT." - ".WCMS_AUTHOR; ?>" />
<meta name="date" content="<?php echo date("d M Y") ?>" />
<meta name="language" content="<?php echo $Language["wcms_language"]; ?>" />
<meta name="publisher" content="<?php echo WCMS_PUBLISHER; ?>" />
<meta name="version" content="<?php echo WCMS_VERSION; ?>" />
<link rel="shortcut icon" href="<?php echo $wcms_root_url; ?>access/wcms_access_graphic/wcms_favicon.gif" type="image/gif" />
<link href="<?php echo $wcms_root_url; ?>access/wcms_access_style/wcms_access_general.css" rel="stylesheet" type="text/css" />
<title><?php echo $Language["wcms_sitename"]." - Controlpanel - ".WCMS_VERSION; ?></title>

</head>
<body>

<?php 
@include("../header_admin.php");

$strPath = pathinfo($_SERVER['DOCUMENT_ROOT'].$_SERVER['PHP_SELF']);
$strPath = str_replace("access/module_access", "", $strPath);
$strLangDir = $strPath['dirname']."/language";

function listLanguageDirs($path)
{
   global $Language;
   # Use this if enabled and PHP version >= 5
   #$list = scandir($path);
   
   $dh  = opendir($path);
   while (false !== ($filename = readdir($dh))) {
   $list[] = $filename;
   }
   sort($list);
   $create = "<select name=\"switchLanguage\" style=\"width:50%;\" onchange=\"javascript:this.form.submit()\">\n";
   $create .= "<option>".$Language['switch_language']."</option>\n";
   foreach ($list as $number => $filename)
   {
       # is_file gives you a list of files instead of directories
	   if ( $filename !== '.' && $filename !== '..' && is_dir("$path/$filename") )
       {
           // Asign more readable and logic variables
		   $dir = $filename;
           $create .= "<option value=\"".$dir."\">".$Language[$dir]."</option>\n";  
       }
   }
   $create .= "</select>\n";
   return $create;	
}
?>			

<div>
<h2><?php echo $admLanguage["admpagetitle_helpindex"]; ?></h2>
<form name="sel_lang" action="<?php echo $amrwRequest; ?>" method="post">
<p><?php echo listLanguageDirs($strLangDir) ?> Selected language: <em><?php echo $Language[$session_link]; ?></em></p>
</form>
<p><?php echo $admLanguage["helpindex1"]; ?></p>
<p><?php echo $admLanguage["helpindex2"]; ?></p>
</div>

<?php
include("../footer.php");
?>

</body>
</html>
