<?php
/***************************************************************
 WCMS - Web Content Management System (c) 2006 - Thomas Egtvedt
 
 Article admin page
****************************************************************/
$WCMSMOD = "article";
/* Includes access, config and language settings */
require("../head_user_access.php");
require("../../classes/accessartsec.class.php");
$WCMSaccess = new accessartsec($DBName);

# Some page specific vars
$intDeleted = 0;
$intSaved	= 0;

# Set the number of articles listed per page
$intRec = $wcms_def_list_no;
if ($action == "delete" && !empty($article_id)) 
{
$WCMSaccess->deleteArticle($article_id,$WCMSMOD);
# Reload to confirmation page to avoid refresh issues
header("location: ".$wcms_access_url."module_articles/edit_article.php?action=deleted");
exit;
}

$result = $WCMSaccess->getArticle($article_id); 
$old_section_id  	  = $result[0]["section_id"];
$old_article_title 	  = $result[0]["article_title"];
$old_article_url  	  = $result[0]["article_url"];
$old_intro  		  = $result[0]["intro"];
$old_content  		  = $result[0]["content"];
$old_published 		  = $result[0]["published"];
$old_nick1  		  = $result[0]["nick1"];
$old_updated  		  = $result[0]["updated"];
$old_nick2  		  = $result[0]["nick2"];
$old_rating  		  = $result[0]["rating"];
$old_ratenum  		  = $result[0]["ratenum"];
$old_counter 		  = $result[0]["counter"];
$old_meta_description = $result[0]["meta_description"];
$old_meta_keyword     = $result[0]["meta_keyword"];
$old_displayed        = $result[0]["displayed"];
$old_featured         = $result[0]["featured"];
$old_comments         = $result[0]["comments"];
$old_level            = $result[0]["level"];

if ($action == "save" && !empty($article_id)) 
{
if (function_exists("set_time_limit")) { set_time_limit(270); }
$article_id  	  = $article_id;
$section_id  	  = $section_id;
$article_title 	  = strip_tags(stripslashes(htmlentities($article_title, ENT_QUOTES, $Language["wcms_charset"])));
	if (!empty($article_url))
	{
	$article_url  	  = strip_tags(stripslashes(strtolower(str_replace(" ","-",$article_url))));
	} else {
	$article_url  	  = str_replace(" ","-",$article_title);
	$article_url  	  = str_replace("&","-",$article_url);
	$article_url  	  = str_replace(";","-",$article_url);
	}
$intro  		  = strip_tags(stripslashes(htmlentities($teaser, ENT_QUOTES, $Language["wcms_charset"])));
$intro  	  	  = str_replace("&quot;","\"",$intro);
$intro  	  	  = str_replace("&gt;",">",$intro);
$intro  	      = str_replace("&lt;","<",$intro);
$content  		  = strip_tags(stripslashes(htmlentities($art_content, ENT_QUOTES, $Language["wcms_charset"])));
$content  	  	  = str_replace("&quot;","\"",$content);
$content  	  	  = str_replace("&gt;",">",$content);
$content  	      = str_replace("&lt;","<",$content);
$nick1  		  = $old_nick1;
$nick2  		  = $check['username'];
$date_convert	  = strtotime($added);
$date_convert2	  = strtotime($updated);
$hour			  = date('H');
$min			  = date('i');
$sec			  = date('s');

#$date_convert2 = $updated." ".date('H i s');
#$date_convert2 = strftime($date_convert2);

	if (!ctype_digit($rating) && !ctype_digit($ratenum) && !ctype_digit($counter) && !ctype_digit($date_convert) && !ctype_digit($date_convert2))
	{
	$rating  		  = 6;
	$ratenum  		  = 0;
	$counter 		  = 0;
	$published 		  = $old_published;
	$updated  		  = time();
	} else {
	$rating  		  = $rating;
	$ratenum  		  = $ratenum;
	$counter  		  = $counter;
	$published 		  = strtotime($added);
	#$updated  		  = strtotime($updated);
	$updated	      = ($date_convert2 + ($hour * 3600) + ($min * 60) + $sec);
	}
$meta_description = strip_tags(stripslashes(htmlentities($meta_desc, ENT_QUOTES, $Language["wcms_charset"])));
$meta_keyword     = strip_tags(stripslashes(htmlentities($meta_key, ENT_QUOTES, $Language["wcms_charset"])));
$displayed        = $displayed;
$featured         = $featured;
$comments         = $comments;

$WCMSaccess->editArticle($article_id,$section_id,$article_title,$article_url,$intro,$content,$published,$nick1,$updated,$nick2,$rating,$ratenum,$counter,$meta_description,$meta_keyword,$displayed,$featured,$comments,$level);
# Reload to confirmation page to avoid refresh issues
header("location: ".$wcms_access_url."module_articles/edit_article.php?action=updated&article_id=".$article_id);
exit;
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $Language["wcms_charset"]; ?>" />
<meta name="author" content="<?php echo WCMS_AUTHOR; ?>" />
<meta name="copyright" content="<?php echo WCMS_COPYRIGHT." - ".WCMS_AUTHOR; ?>" />
<meta name="date" content="<?php echo date("d M Y") ?>" />
<meta name="language" content="<?php echo $Language["wcms_language"]; ?>" />
<meta name="publisher" content="<?php echo WCMS_PUBLISHER; ?>" />
<meta name="version" content="<?php echo WCMS_VERSION; ?>" />
<link rel="shortcut icon" href="<?php echo $wcms_root_url; ?>access/wcms_access_graphic/wcms_favicon.gif" type="image/gif" />
<link href="<?php echo $wcms_root_url; ?>access/wcms_access_style/wcms_access_general.css" rel="stylesheet" type="text/css" />
<title><?php echo $Language["wcms_sitename"]." - Controlpanel - ".WCMS_VERSION; ?></title>

<script type="text/javascript" src="<?php echo $wcms_root_url; ?>language/<?php echo $session_link; ?>/javascript/validation.js"></script>
<script type="text/javascript">
<!-- Begin
function init() {
define('article_title', 'string', 'Title');
define('teaser', 'string', 'Teaser');
define('art_content', 'string', 'Content');
define('rating', 'num', 'Rating');
define('ratenum', 'num', 'Ratings');
define('counter', 'num', 'Counter');
}
function go2(url) {
window.location=url
}
function focusit() {
document.getElementById('article_title').focus();
}
//  End -->
</script>
<script src="<?php echo $wcms_root_url; ?>language/<?php echo $session_link; ?>/javascript/quicktags.js" type="text/javascript"></script>
<script src="<?php echo $wcms_root_url; ?>language/<?php echo $session_link; ?>/javascript/access_quicktags.php" type="text/javascript"></script>
<script src="<?php echo $wcms_root_url; ?>language/<?php echo $session_link; ?>/javascript/quicktags2.js" type="text/javascript"></script>
<script src="<?php echo $wcms_root_url; ?>language/<?php echo $session_link; ?>/javascript/access_quicktags2.php" type="text/javascript"></script>

</head>
<body onload="init();focusit()">

<?php 
@include("../header.php");

if($action == "updated")
{
# Update the RSS Feed
include ("rss.php");
?>
<div>
<h1>Your article is updated!</h1>
<p><?php echo $messageRss; ?>
<a href="edit_article.php?article_id=<?php echo $article_id; ?>">Continue editing</a></p>
<p><a href="index.php">Return to article list</a></p>
</div>
<?php
}
elseif($action == "deleted")
{
# Update the RSS Feed
include ("rss.php");
?>
<div>
<h1>Your article was successfully deleted!</h1>
<p><?php echo $messageRss; ?>
<a href="index.php">Return to article list</a></p>
</div>
<?php
} else {
?>
<div>
<form action="<?php echo $wcms_access_url; ?>module_articles/edit_article.php?action=save" method="post" enctype="multipart/form-data">                
<table align="center" width="100%" border="0" cellspacing="0" cellpadding="5">
 <tr> 
  <th colspan="4"><strong>Edit article: <?php echo $old_article_title; ?></strong></th>
 </tr>
 <tr valign="top"> 
  <td style="width:75%;" class="tab_div"><p>Title<br /><input type="hidden" name="article_id" value="<?php echo $_GET["article_id"]; ?>" />
  <input style="width:95%;" type="text" name="article_title" id="article_title" size="80" tabindex="1" value="<?php echo $old_article_title; ?>" /></p>
  <p>Teaser <script type="text/javascript">adToolbar();</script><br />
  <textarea style="width:95%;" name="teaser" id="teaser" cols="60" rows="5" tabindex="2"><?php echo $old_intro; ?></textarea>
  <script type="text/javascript">var adCanvas = document.getElementById('teaser');</script>
  </p>
  <p>Meta Description:<br />
  <input style="width:95%;" type="text" name="meta_desc" id="meta_desc" value="<?php echo $old_meta_description; ?>" size="80" tabindex="3" /></p>
  <p>Meta Keywords:<br />
  <input style="width:95%;" type="text" name="meta_key" id="meta_key" value="<?php echo $old_meta_keyword; ?>" size="80" tabindex="4" /></p>
  <p>Nice URl:<br />
  <input type="text" name="article_url" id="article_url" value="<?php echo $old_article_url; ?>" size="50" tabindex="5" /> e.g. http://you.com/<em>"nice-url"</em>/a72.html</p>
  <p><input type="button" onclick="go2('<?php echo $wcms_access_url; ?>module_photos/index.php?action=add_photo&amp;module_name=article&amp;module_id=<?php echo $article_id; ?>');" value="Add Photo" /> <input type="button" onclick="go2('<?php echo $wcms_access_url; ?>module_photos/index.php?module_name=article&amp;module_id=<?php echo $article_id; ?>');" value="View Photo(s)" /></p></td>
  <td style="width:25%;" class="tab_div">
<table align="center" width="100%" border="0" cellspacing="0" cellpadding="5">
 <tr> 
  <td style="width:35%;">Featured:</td>
  <td style="width:65%;"><select name="featured" id="featured" tabindex="7">
<?php
switch($old_featured){
case "1":
?>
  <option value="1" selected="selected">Yes</option>
  <option value="0">No</option>                
<?php
break;
case "0":
?>
  <option value="1">Yes</option>
  <option value="0" selected="selected">No</option>
<?php
break;                
}
?>
  </select></td>
 </tr><tr> 
  <td>Visible:</td>
  <td><select name="displayed" id="displayed" tabindex="8">
<?php
switch($old_displayed){
case "1":
?>
  <option value="1" selected="selected">Yes</option>
  <option value="0">No</option>                
<?php
break;
case "0":
?>
  <option value="1">Yes</option>
  <option value="0" selected="selected">No</option>
<?php
break;                
}
?>
  </select></td>
 </tr><tr>
  <td>Allow comments:</td>
  <td><select name="comments" id="comments" tabindex="9">
<?php
switch($old_comments){
case "1":
?>
  <option value="1" selected="selected">Yes</option>
  <option value="0">No</option>                
<?php
break;
case "0":
?>
  <option value="1">Yes</option>
  <option value="0" selected="selected">No</option>
<?php
break;                
}
?>
  </select></td>
 </tr><tr>
  <td>Rating:</td>
  <td><input type="text" name="rating" id="rating" value="<?php echo $old_rating; ?>" size="6" tabindex="10" /></td>
 </tr><tr>
  <td>Ratings:</td>
  <td><input type="text" name="ratenum" id="ratenum" value="<?php echo $old_ratenum; ?>" size="6" tabindex="11" /></td>			  
 </tr><tr>
  <td>Views:</td>
  <td><input type="text" name="counter" id="counter" value="<?php echo $old_counter; ?>" size="6" tabindex="12" /></td>
 </tr><tr>
  <td>Section:</td>
  <td><select name="section_id" id="section_id" tabindex="13">
<?php
$hold = "";
function menu($parents,$level)
{
  global $hold,$wcms_db_prefix,$old_section_id;
  $level++;
  $query = "SELECT * FROM ".$wcms_db_prefix."_sections WHERE parent_section_id = $parents ORDER BY section_id ASC";
  $sql = mysql_query($query);
	while($row = mysql_fetch_assoc($sql))
	{
	  if($parents == 0) 
	  {
	  $color = " style=\"background-color:#ddd;\"";
	  }
	  if($row['section_id'] == $old_section_id) 
	  {
	  $selected = " selected=\"selected\"";
	  }else{
	  $selected = "";
	  }
	$hold .= "<option value=\"".$row['section_id']."\"".$color.$selected.">";
	$hold .= str_repeat("&nbsp;&nbsp;",$level)."".$row['section_name']."</option>\n";
	menu($row['section_id'],$level);
  }
  return $hold;
}
echo menu(0,0);
?> 
  </select></td>
 </tr><tr>
  <td>Added YYYY-MM-DD:</td>
  <td><input type="text" name="added" id="added" value="<?php echo date("Y-m-d", $old_published); ?>" size="12" tabindex="14" /></td>
 </tr><tr>
  <td>Updated YYYY-MM-DD:</td>
  <td><input type="text" name="updated" id="updated" value="<?php echo date('Y-m-d') ?>" size="12" tabindex="15" /></td>
 </tr>
<?php 
$levelselect = " selected=\"selected\"";
?>
 <tr>
  <td>Access level:</td>
  <td><select name="level" id="level" tabindex="16">
<option value="1"<?php if ($old_level == 1) { echo $levelselect; } ?>>1 <?php echo $admLanguage["level1"]; ?></option>
<option value="2"<?php if ($old_level == 2) { echo $levelselect; } ?>>2 <?php echo $admLanguage["level2"]; ?></option>
<option value="3"<?php if ($old_level == 3) { echo $levelselect; } ?>>3 <?php echo $admLanguage["level3"]; ?></option>
<option value="4"<?php if ($old_level == 4) { echo $levelselect; } ?>>4 <?php echo $admLanguage["level4"]; ?></option>
<option value="5"<?php if ($old_level == 5) { echo $levelselect; } ?>>5 <?php echo $admLanguage["level5"]; ?></option>
<option value="6"<?php if ($old_level == 6) { echo $levelselect; } ?>>6 <?php echo $admLanguage["level6"]; ?></option>
<option value="7"<?php if ($old_level == 7) { echo $levelselect; } ?>>7 <?php echo $admLanguage["level7"]; ?></option>
<option value="8"<?php if ($old_level == 8) { echo $levelselect; } ?>>8 <?php echo $admLanguage["level8"]; ?></option>
<option value="9"<?php if ($old_level == 9 || $old_level == "") { echo $levelselect; } ?>>9 <?php echo $admLanguage["level9"]; ?></option>
</select></td>
 </tr><tr>
  <td colspan="2" style="text-align:center;"><input type="submit" name="editarticle" id="editarticle" onclick="validate();return returnVal;" value="Save" tabindex="17" /> 
  <input type="button" onclick="go2('index.php')" value="Cancel" tabindex="18" /> 
  <input type="button"  onclick="return window.confirm('Are you absolutely sure? - This operation is irreversible!\n\nAll photos and comments linked with this article will also be deleted.\n\nDon\'t come around later saying I didn\'t warn you...\n\n')&amp;&amp;go2('edit_article.php?action=delete&amp;article_id=<?php echo $article_id; ?>');" value="Delete" tabindex="19" /></td>
 </tr>
</table>
  </td>
 </tr>
 <tr> 
  <td colspan="2" class="tab_div"><p>Content <script type="text/javascript">edToolbar();</script><br />
  <textarea style="width:95%;" id="art_content" name="art_content" cols="90" rows="40" tabindex="6"><?php echo $old_content; ?></textarea>
  <script type="text/javascript">var edCanvas = document.getElementById('art_content');</script></p></td>
 </tr>			  			  
</table>
</form>
</div>
<?php
}
include("../footer.php");
?>

</body>
</html>