<?php
/***************************************************************
 WCMS - Web Content Management System (c) 2006 - Thomas Egtvedt
 
 Article admin page
****************************************************************/
$WCMSMOD = "article";
/* Includes access, config and language settings */
require("../head_user_access.php");
require("../../classes/accessartsec.class.php");
$WCMSaccess = new accessartsec($DBName);

if (empty($page))
{
$page = 0;
}
if (!empty($section_id) && $action != "save_article")
{
setcookie ("cookieSection", "" , time()-3600);
# Reload the initial page to avoid refresh issues
header("location: ".$wcms_access_url."module_articles/");
setcookie("cookieSection", $_GET["section_id"] , time()+3600);
$cookieSection = $_COOKIE['cookieSection'];
exit;
}
elseif ($_COOKIE['cookieSection'] >= 1)
{
$cookieSection = $_COOKIE['cookieSection'];
} else {
$cookieSection = 0;
}
# Set the number of articles listed per page
$intRec = $wcms_def_list_no;
if (empty($record))
{
$record = $intRec;
}
elseif (!empty($record) && $record == $intRec)
{
$record = $intRec;
setcookie ("cookieSection", "" , time()-3600);
$cookieSection = 0;
} else {
$record = 10000000;
setcookie ("cookieSection", "" , time()-3600);
$cookieSection = 0;
} 

if ($action == "delete" && !empty($article_id)) 
{
$WCMSaccess->deleteArticle($article_id,$WCMSMOD);
# Reload to confirmation page to avoid refresh issues
header("location: ".$wcms_access_url."module_articles/index.php?action=deleted");
exit;
}

if ($action == "save_article" || $_POST[addarticle] == "Save") 
{
if (function_exists("set_time_limit")) { set_time_limit(270); }
$section_id  	  = $section_id;
$article_title 	  = strip_tags(stripslashes(htmlentities($article_title, ENT_QUOTES, $Language["wcms_charset"])));
if (!empty($article_url))
{
$article_url  	  = strip_tags(stripslashes(strtolower(str_replace(" ","-",$article_url))));
} else {
$article_url  	  = str_replace(" ","-",$article_title);
$article_url  	  = str_replace("&","-",$article_url);
$article_url  	  = str_replace(";","-",$article_url);
}
$intro  		  = strip_tags(stripslashes(htmlentities($teaser, ENT_QUOTES, $Language["wcms_charset"])));
$intro  	  	  = str_replace("&quot;","\"",$intro);
$intro  	  	  = str_replace("&gt;",">",$intro);
$intro  	      = str_replace("&lt;","<",$intro);
$content  		  = strip_tags(stripslashes(htmlentities($art_content, ENT_QUOTES, $Language["wcms_charset"])));
$content  	  	  = str_replace("&quot;","\"",$content);
$content  	  	  = str_replace("&gt;",">",$content);
$content  	      = str_replace("&lt;","<",$content);
$nick1  		  = $check['username'];
$nick2  		  = $nick1;
$date_convert	  = strtotime($added);
$hour			  = date('H');
$min			  = date('i');
$sec			  = date('s');
if (!ctype_digit($_POST["rating"]) && !ctype_digit($_POST["ratenum"]) && !ctype_digit($_POST["counter"]) && !ctype_digit($date_convert))
{
$rating  		  = 6;
$ratenum  		  = 0;
$counter 		  = 0;
$published 		  = time();
$updated  		  = $published;
} else {
$rating  		  = $rating;
$ratenum  		  = $ratenum;
$counter  		  = $counter;
#$published 	  = $date_convert;
$published	      = ($date_convert + ($hour * 3600) + ($min * 60) + $sec);
$updated  		  = $published;
}
$meta_description = strip_tags(stripslashes(htmlentities($meta_desc, ENT_QUOTES, $Language["wcms_charset"])));
$meta_keyword     = strip_tags(stripslashes(htmlentities($meta_key, ENT_QUOTES, $Language["wcms_charset"])));
$displayed        = $displayed;
$featured         = $featured;
$comments         = $comments;

# Debug
#echo $section_id."<br />".$article_title."<br />".$article_url."<br />".$intro."<br />".$content."<br />".$published."<br />".$nick1."<br />".$updated."<br />".$nick2."<br />".$rating."<br />".$ratenum."<br />".$counter."<br />".$meta_description."<br />".$meta_keyword."<br />".$displayed."<br />".$featured."<br />".$comments;
#exit;

$WCMSaccess->addArticle($section_id,$article_title,$article_url,$intro,$content,$published,$nick1,$updated,$nick2,$rating,$ratenum,$counter,$meta_description,$meta_keyword,$displayed,$featured,$comments,$level);
# Reload to confirmation page to avoid refresh issues
header("location: ".$wcms_access_url."module_articles/index.php?action=saved");
exit;
}

$arrayArticles = $WCMSaccess->getAllArticles($page,$record,$cookieSection); 
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $Language["wcms_charset"]; ?>" />
<meta name="author" content="<?php echo WCMS_AUTHOR; ?>" />
<meta name="copyright" content="<?php echo WCMS_COPYRIGHT." - ".WCMS_AUTHOR; ?>" />
<meta name="date" content="<?php echo date("d M Y") ?>" />
<meta name="language" content="<?php echo $Language["wcms_language"]; ?>" />
<meta name="publisher" content="<?php echo WCMS_PUBLISHER; ?>" />
<meta name="version" content="<?php echo WCMS_VERSION; ?>" />
<link rel="shortcut icon" href="<?php echo $wcms_root_url; ?>access/wcms_access_graphic/wcms_favicon.gif" type="image/gif" />
<link href="<?php echo $wcms_root_url; ?>access/wcms_access_style/wcms_access_general.css" rel="stylesheet" type="text/css" />
<title><?php echo $Language["wcms_sitename"]." - Controlpanel - ".WCMS_VERSION; ?></title>

<script type="text/javascript" src="<?php echo $wcms_root_url; ?>language/<?php echo $session_link; ?>/javascript/validation.js"></script>
<script type="text/javascript">
<!-- Begin
function init() {
define('article_title', 'string', 'Title');
define('teaser', 'string', 'Teaser');
define('art_content', 'string', 'Content');
define('rating', 'num', 'Rating');
define('ratenum', 'num', 'Ratings');
define('counter', 'num', 'Counter');
}
function go2(url) {
window.location=url
}
function focusit() {
document.getElementById('article_title').focus();
}
//  End -->
</script>
<script src="<?php echo $wcms_root_url; ?>language/<?php echo $session_link; ?>/javascript/quicktags.js" type="text/javascript"></script>
<script src="<?php echo $wcms_root_url; ?>language/<?php echo $session_link; ?>/javascript/access_quicktags.php" type="text/javascript"></script>
<script src="<?php echo $wcms_root_url; ?>language/<?php echo $session_link; ?>/javascript/quicktags2.js" type="text/javascript"></script>
<script src="<?php echo $wcms_root_url; ?>language/<?php echo $session_link; ?>/javascript/access_quicktags2.php" type="text/javascript"></script>

</head>
<body onload="init()<?php if($action == "post_new") { echo ";focusit()"; } ?>">

<?php 
@include("../header.php");

if($action == "post_new")
{
?>
<div>
<form action="<?php echo $wcms_access_url; ?>module_articles/index.php?action=save_article" method="post" enctype="multipart/form-data">                
<table align="center" width="100%" border="0" cellspacing="0" cellpadding="5">
 <tr> 
  <th colspan="4"><strong>Post a new article</strong></th>
 </tr>
 <tr valign="top"> 
  <td style="width:75%;" class="tab_div"><p>Title<br /><input style="width:95%;" type="text" name="article_title" id="article_title" size="80" tabindex="1" value="" /></p>
  <p>Teaser <script type="text/javascript">adToolbar();</script><br />
  <textarea style="width:95%;" name="teaser" id="teaser" cols="60" rows="5" tabindex="2"></textarea>
  <script type="text/javascript">var adCanvas = document.getElementById('teaser');</script>
  </p>
  <p>Meta Description:<br />
  <input style="width:95%;" type="text" name="meta_desc" id="meta_desc" value="" size="80" tabindex="3" /></p>
  <p>Meta Keywords:<br />
  <input style="width:95%;" type="text" name="meta_key" id="meta_key" value="" size="80" tabindex="4" /></p>
  <p>Nice URl:<br />
  <input type="text" name="article_url" id="article_url" value="" size="50" tabindex="5" /> e.g. http://you.com/<em>"nice-url"</em>/a72.html</p></td>
  <td style="width:25%;" class="tab_div">
<table align="center" width="100%" border="0" cellspacing="0" cellpadding="5">
 <tr> 
  <td style="width:35%;">Featured:</td>
  <td style="width:65%;"><select name="featured" id="featured" tabindex="7">
  <option value="1">Yes</option>
  <option value="0" selected="selected">No</option>
  </select></td>
 </tr><tr> 
  <td>Visible:</td>
  <td><select name="displayed" id="displayed" tabindex="8">
  <option value="1" selected="selected">Yes</option>
  <option value="0">No</option>
  </select></td>
 </tr><tr>
  <td>Allow comments:</td>
  <td><select name="comments" id="comments" tabindex="9">
  <option value="1">Yes</option>
  <option value="0" selected="selected">No</option>
  </select></td>
 </tr><tr>
  <td>Rating:</td>
  <td><input type="text" name="rating" id="rating" value="6" size="6" tabindex="10" /></td>
 </tr><tr>
  <td>Ratings:</td>
  <td><input type="text" name="ratenum" id="ratenum" value="0" size="6" tabindex="11" /></td>			  
 </tr><tr>
  <td>Views:</td>
  <td><input type="text" name="counter" id="counter" value="0" size="6" tabindex="12" /></td>
 </tr><tr>
  <td>Section:</td>
  <td><select name="section_id" id="section_id" tabindex="13">
<?php
$hold = "";
function menu($parents,$level)
{
  global $hold,$wcms_db_prefix,$cookieSection;
  $level++;
  $query = "SELECT * FROM ".$wcms_db_prefix."_sections WHERE parent_section_id = $parents ORDER BY section_id ASC";
  $sql = mysql_query($query);
	while($row = mysql_fetch_assoc($sql))
	{
	  if($parents == 0) 
	  {
	  $color = " style=\"background-color:#ddd;\"";
	  }
	  if($row['section_id'] == $cookieSection) 
	  {
	  $selected = " selected=\"selected\"";
	  }else{
	  $selected = "";
	  }
	$hold .= "<option value=\"".$row['section_id']."\"".$color.$selected.">";
	$hold .= str_repeat("&nbsp;&nbsp;",$level)."".$row['section_name']."</option>\n";
	menu($row['section_id'],$level);
  }
  return $hold;
}
echo menu(0,0);
?> 
  </select></td>
 </tr><tr>
  <td>Added/Updated YY-MM-DD:</td>
  <td><input type="text" name="added" id="added" value="<?php echo date('Y-m-d') ?>" size="12" tabindex="14" /></td>
 </tr><tr>
  <td>Access level:</td>
  <td><select name="level" id="level" tabindex="15">
<option value="1">1 <?php echo $admLanguage["level1"]; ?></option>
<option value="2">2 <?php echo $admLanguage["level2"]; ?></option>
<option value="3">3 <?php echo $admLanguage["level3"]; ?></option>
<option value="4">4 <?php echo $admLanguage["level4"]; ?></option>
<option value="5">5 <?php echo $admLanguage["level5"]; ?></option>
<option value="6">6 <?php echo $admLanguage["level6"]; ?></option>
<option value="7">7 <?php echo $admLanguage["level7"]; ?></option>
<option value="8">8 <?php echo $admLanguage["level8"]; ?></option>
<option value="9" selected="selected">9 <?php echo $admLanguage["level9"]; ?></option>
</select></td>
 </tr><tr>
  <td colspan="2" style="text-align:center;"><input type="submit" name="addarticle" id="addarticle" onclick="validate();return returnVal;" value="Save" tabindex="16" /> 
  <input type="button" onclick="go2('index.php')" value="Cancel" tabindex="17" /> 
  <input type="reset" value="Reset" tabindex="18" /></td>
 </tr>
</table>
  </td>
 </tr>
 <tr> 
  <td colspan="2" class="tab_div"><p>Content <script type="text/javascript">edToolbar();</script><br />
  <textarea style="width:95%;" name="art_content" id="art_content" cols="90" rows="40" tabindex="6"></textarea>
  <script type="text/javascript">var edCanvas = document.getElementById('art_content');</script></p></td>
 </tr>			  			  
</table>
</form>
</div>
<?php
} else {
	if($action == "saved")
	{
	# Update the RSS Feed
	include ("rss.php");
?>
<div>
<h1>Your article was successfully saved!</h1>
<p><?php echo $messageRss; ?>
<p><a href="index.php">Return to article list</a></p>
</div>
<?php
	}
	elseif($action == "deleted")
	{
	# Update the RSS Feed
	include ("rss.php");
?>
<div>
<h1>Your article was successfully deleted!</h1>
<p><?php echo $messageRss; ?>
<a href="index.php">Return to article list</a></p>
</div>
<?php
	} else {
?>
<div>
<table align="center" width="100%" border="0" cellspacing="0" cellpadding="5">
 <tr> 
  <th style="width:5%;"><strong>ID</strong></th>
  <th style="width:5%;"><strong>Level</strong></th>                
  <th style="width:15%;"><strong>In Section</strong></th>                
  <th style="width:30%;"><strong>Article Title</strong></th>
  <th style="width:45%;" colspan="4"><strong>Article Operations</strong></th>
 </tr>
<?php
if (!empty($arrayArticles)) {
while ( list($key,$val)=each($arrayArticles) ) {
$article_id    = stripslashes($val["article_id"]);
$section_id    = stripslashes($val["section_id"]);
$article_title = stripslashes($val["article_title"]);	        
$level	 	   = stripslashes($val["level"]);	        
$section_name  = $WCMSaccess->getSectionName($section_id); 
$isphoto       = $WCMSaccess->getPhotos("article",$article_id);
$iscomment     = $WCMSaccess->getComments($WCMSMOD,$article_id);
?>
 <tr class="list" style="border-bottom:1px solid #ccc;">
  <td class="tab_div"><?php echo $article_id; ?></td>
  <td class="tab_div"><?php echo $level; ?></td>
  <td class="tab_div"><?php echo $section_name; ?></td> 
  <td class="tab_div"><?php echo $article_title; ?></td>
  <td class="tab_div"><a href="<?php echo $wcms_access_url; ?>module_photos/index.php?module_name=article&amp;module_id=<?php echo $article_id; ?>"><?php if(!empty($isphoto)){ echo "<strong>Photos (".count($isphoto).")</strong>"; }else{ echo "Add Photo"; } ?></a></td>
  <td class="tab_div"><a href="<?php echo $wcms_access_url; ?>module_comments/index.php?module_name=article&amp;module_id=<?php echo $article_id; ?>"><?php if(!empty($iscomment)){ echo "<strong>Comments (".count($iscomment).")</strong>"; }else{ echo "Add Comment"; } ?></a></td> 
  <td class="tab_div"><a href="<?php echo $wcms_access_url; ?>module_articles/index.php?action=delete&amp;article_id=<?php echo $article_id; ?>" onclick="return window.confirm('Are you absolutely sure? - This operation is irreversible!\n\nAll photos and comments linked with this article will also be deleted.\n\nDon\'t come around later saying I didn\'t warn you...\n\n');">Delete</a></td>
  <td class="tab_div"><a href="<?php echo $wcms_access_url; ?>module_articles/edit_article.php?article_id=<?php echo $article_id; ?>">Edit</a></td>  
 </tr>
<?php
 }
}
?>                       
 <tr>
 <td style="text-align:right;" colspan="8">
<?php
$pagenext = $page+1;
$arrayArticles1 = $WCMSaccess->getAllArticles($pagenext,$record,$cookieSection);
		if ($page!=0)
		{
		$pagepre = $page-1;		
		echo "  <a href=\"index.php?page=$pagepre\">&laquo; Back</a>&nbsp;&nbsp;&nbsp;";
		}
		if (!empty($arrayArticles1))
		{
		echo "  <a href=\"index.php?page=$pagenext\">Next &raquo;</a>";
		}
?>
  </td>
 </tr>
</table>            
</div>
<?php
	}
}
include("../footer.php");
?>

</body>
</html>