<?php
/***************************************************************
 WCMS - Web Content Management System (c) 2006 - Thomas Egtvedt
 
 Photo admin page
****************************************************************/
$WCMSMOD = "comment";
/* Includes access, config and language settings */
require("../head_user_access.php");
require("../../classes/accessartsec.class.php");
$WCMSaccess = new accessartsec($DBName);

if ($action == "save_new" && !empty($module_name) && !empty($module_id)) 
{
	$module_name = stripslashes($_POST["module_name"]);
	$module_id   = stripslashes($_POST["module_id"]);
	$author  	 = $check['nickname'];
	$email   	 = $check['useremail'];
	$website 	 = $_SERVER["HTTP_HOST"];
		if (substr($website, 0, 7) != "http://")
		{
		$website = "http://".$website;
		}
	$comment 	 = strip_tags(stripslashes(htmlentities($_POST["comment"], ENT_QUOTES, $Language["wcms_charset"])));
	$comment 	 = str_replace("&quot;","\"",$comment);
	$comment 	 = str_replace("&gt;",">",$comment);
	$comment 	 = str_replace("&lt;","<",$comment);
	$added   	 = time();
	$WCMSaccess->newComment($module_name,$module_id,$author,$email,$website,$comment,$added);
	# Reload the initial page to avoid refresh issues
	header("location: ".$wcms_access_url."module_comments/index.php?module_name=".$module_name."&module_id=".$module_id);
	exit;
}
if ($action == "delete" && !empty($comment_id) && !empty($module_name) && !empty($module_id)) 
{
    $WCMSaccess->deleteComment($comment_id);
    # Reload the initial page to avoid refresh issues
    header("location: ".$wcms_access_url."module_comments/index.php?module_name=".$module_name."&module_id=".$module_id);
    exit;
}
if ($action == "save_edit" && !empty($comment_id) && !empty($module_name) && !empty($module_id)) 
{
    $comment 	 = strip_tags(stripslashes(htmlentities($_POST["comment"], ENT_QUOTES, $Language["wcms_charset"])));
	$comment 	 = str_replace("&quot;","\"",$comment);
	$comment 	 = str_replace("&gt;",">",$comment);
	$comment 	 = str_replace("&lt;","<",$comment);
	$website   	 = stripslashes($_POST["website"]);
	if (substr($website, 0, 7) != "http://")
		{
		$website = "http://".$website;
		}
	$WCMSaccess->editComment($comment_id,$comment,$website);
    # Reload the initial page to avoid refresh issues
    header("location: ".$wcms_access_url."module_comments/index.php?module_name=".$module_name."&module_id=".$module_id);
    exit;
}

$arrayComments = $WCMSaccess->getComments($module_name,$module_id);
$arrayComment  = $WCMSaccess->getComment($comment_id);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $Language["wcms_charset"]; ?>" />
<meta name="author" content="<?php echo WCMS_AUTHOR; ?>" />
<meta name="copyright" content="<?php echo WCMS_COPYRIGHT." - ".WCMS_AUTHOR; ?>" />
<meta name="date" content="<?php echo date("d M Y") ?>" />
<meta name="language" content="<?php echo $Language["wcms_language"]; ?>" />
<meta name="publisher" content="<?php echo WCMS_PUBLISHER; ?>" />
<meta name="version" content="<?php echo WCMS_VERSION; ?>" />
<link rel="shortcut icon" href="<?php echo $wcms_root_url; ?>access/wcms_access_graphic/wcms_favicon.gif" type="image/gif" />
<link href="<?php echo $wcms_root_url; ?>access/wcms_access_style/wcms_access_general.css" rel="stylesheet" type="text/css" />
<title><?php echo $Language["wcms_sitename"]." - Controlpanel - ".WCMS_VERSION; ?></title>

<script type="text/javascript" src="<?php echo $wcms_root_url; ?>language/<?php echo $session_link; ?>/javascript/validation.js"></script>
<script type="text/javascript">
<!-- Begin
function init() {
define('comment', 'string', 'Comment');
}
function go2(url){
window.location=url
}
var win = null;
function NewWindow(mypage,myname,w,h,scroll){
LeftPosition = (screen.width) ? (screen.width-w)/2 : 0;
TopPosition = (screen.height) ? (screen.height-h)/2 : 0;
settings = 'height='+h+',width='+w+',top='+TopPosition+',left='+LeftPosition+',scrollbars='+scroll+',resizable'
win = window.open(mypage,myname,settings)
if(win.window.focus){win.window.focus();}
}
//  End -->
</script>
<script src="<?php echo $wcms_root_url; ?>language/<?php echo $session_link; ?>/javascript/quicktags2.js" type="text/javascript"></script>
<script src="<?php echo $wcms_root_url; ?>language/<?php echo $session_link; ?>/javascript/access_quicktags2.php" type="text/javascript"></script>
</head>
<body onload="init()">

<?php 
@include("../header.php");

if ($action == "add")
{
?>
<div>
<form action="<?php echo $wcms_access_url; ?>module_comments/index.php?action=save_new" method="post" enctype="multipart/form-data">
<table align="center" width="100%" border="0" cellspacing="0" cellpadding="5">
 <tr>
  <th colspan="3"><strong>Add a new comment</strong></th>
 </tr>
 <tr> 
  <td class="tab_div">Comment:</td>
  <td class="tab_div"><script type="text/javascript">adToolbar();</script><br />
  <textarea style="width:95%;" id="comment" name="comment" cols="90" rows="10" tabindex="1"><?php echo $old_content; ?></textarea>
  <script type="text/javascript">var adCanvas = document.getElementById('comment');</script></td>
  <td class="tab_div" style="text-align:center;"><br /><br />
  <input type="hidden" name="module_name" value="<?php echo $module_name; ?>" />
  <input type="hidden" name="module_id" value="<?php echo $module_id; ?>" />
  <input type="submit" name="addcomment" value="Add Comment" onClick="validate();return returnVal;" />
  <br /><br /><br /><br />
  <input type="button" onclick="go2('<?php echo $wcms_access_url; ?>module_comments/index.php?module_name=<?php echo $module_name; ?>&amp;module_id=<?php echo $module_id; ?>')" value="Cancel" />
  <br /><br /></td>
 </tr>                        
</table>
</form>
</div>
<?php
# End add comment
}
elseif ($action == "edit")
{
	if (!empty($arrayComment)) 
	{
	$comment = stripslashes($arrayComment[0]['comment']);
	$website = stripslashes($arrayComment[0]['website']);
?>
<div>
<form action="<?php echo $wcms_access_url; ?>module_comments/index.php?action=save_edit" method="post" enctype="multipart/form-data">
<table align="center" width="100%" border="0" cellspacing="0" cellpadding="5">
 <tr>
  <th colspan="3"><strong>Edit a comment</strong></th>
 </tr>
 <tr> 
  <td class="tab_div">Comment:</td>
  <td class="tab_div"><script type="text/javascript">adToolbar();</script><br />
  <textarea style="width:95%;" id="comment" name="comment" cols="90" rows="10" tabindex="1"><?php echo $comment; ?></textarea>
  <script type="text/javascript">var adCanvas = document.getElementById('comment');</script></td>
  <td class="tab_div" style="text-align:center;"><br /><br />
  <input type="hidden" name="comment_id" value="<?php echo $comment_id; ?>" />
  <input type="hidden" name="module_name" value="<?php echo $module_name; ?>" />
  <input type="hidden" name="module_id" value="<?php echo $module_id; ?>" />
  <input type="hidden" name="website" value="<?php echo $website; ?>" />
  <input type="submit" name="editcomment" value="Save Changes" onClick="validate();return returnVal;" />
  <br /><br /><br /><br />
  <input type="button" onclick="go2('<?php echo $wcms_access_url; ?>module_comments/index.php?module_name=<?php echo $module_name; ?>&amp;module_id=<?php echo $module_id; ?>')" value="Cancel" />
  <br /><br /></td>
 </tr>                        
</table>
</form>
</div>
<?php
	}else{
?>
<div>
<h1>No comments...</h1>
<p><a href="<?php echo $wcms_access_url; ?>module_comments/index.php?action=add&amp;module_name=<?php echo $module_name; ?>&amp;module_id=<?php echo $module_id; ?>">Add comment</a></p>
</div>
<?php
	}
# End edit comment
} else {
	if (!empty($arrayComments)) 
	{
?>
<div>
<table align="center" width="100%" border="0" cellspacing="0" cellpadding="5">
 <tr> 
  <th><strong>ID</strong></th>
  <th><strong>From</strong></th>
  <th><strong>Comment</strong></th>
  <th colspan="2"><strong>Operations</strong></th>
 </tr>
<?php
		while ( list($key,$val)=each($arrayComments) ) 
		{
		$comment_id = stripslashes($val["comment_id"]);
		$added      = date('d/m/Y G:i',$val["added"]);
		$author  	= stripslashes($val["author"]);	        
		$email   	= stripslashes($val["email"]); 
		$website 	= stripslashes($val["website"]);
		$comment 	= stripslashes($val["comment"]);
?>
 <tr style="border-bottom:1px solid #ccc;">
  <td class="tab_div"><?php echo $comment_id; ?></td>
  <td class="tab_div"><a href="mailto:<?php echo $email; ?>"><?php echo $author; ?></a><br />
  <a href="javascript:NewWindow('<?php echo $website; ?>','WIN',800,600,1)"><?php echo $website; ?></a><br /><?php echo $added; ?></td>
  <td class="tab_div"><?php echo $comment; ?></td>
  <td class="tab_div"><a href="<?php echo $wcms_access_url; ?>module_comments/index.php?action=delete&amp;comment_id=<?php echo $comment_id; ?>&amp;module_name=<?php echo $module_name; ?>&amp;module_id=<?php echo $module_id; ?>" onclick="return window.confirm('Are you absolutely sure? - This operation is irreversible!\n\nDon\'t come around later saying I didn\'t warn you...\n\n');">Delete</a></td> 
  <td class="tab_div"><a href="<?php echo $wcms_access_url; ?>module_comments/index.php?action=edit&amp;comment_id=<?php echo $comment_id; ?>&amp;module_name=<?php echo $module_name; ?>&amp;module_id=<?php echo $module_id; ?>">Edit</a></td> 
 </tr>
<?php
		}
?>
</table>            
</div>
<?php
	}else{
?>
<div>
<h1>No comments...</h1>
<p><a href="<?php echo $wcms_access_url; ?>module_comments/index.php?action=add&amp;module_name=<?php echo $module_name; ?>&amp;module_id=<?php echo $module_id; ?>">Add comment</a></p>
</div>
<?php
	}
}
include("../footer.php");
?>

</body>
</html>