<?php
/***************************************************************
 WCMS - Web Content Management System (c) 2006 - Thomas Egtvedt
 
 Mailinglist blacklist page
****************************************************************/
$WCMSMOD = "mailinglist";

/* Includes access, config and language settings */
require("../head_user_access.php");

if ($_POST)
{
	$insert_query = "INSERT INTO ".$wcms_db_prefix."_mailinglist_blacklist VALUES ('$_POST[rule]')";
	$insert_result = mysql_query($insert_query) or die("Query failed : " . mysql_error());

	$delete_query = "DELETE FROM ".$wcms_db_prefix."_mailinglist_subscribers WHERE address LIKE '%$_POST[rule]%'";
	$delete_result = mysql_query($delete_query) or die("Query failed : " . mysql_error());
}

if ($_GET[r])
{
	$delete_query = "DELETE FROM ".$wcms_db_prefix."_mailinglist_blacklist WHERE rule = '$_GET[r]'";
	$delete_result = mysql_query($delete_query) or die("Query failed : " . mysql_error());
}

$query = "SELECT * FROM ".$wcms_db_prefix."_mailinglist_blacklist";
$result = mysql_query($query) or die("Query failed : " . mysql_error());
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $Language["wcms_charset"]; ?>" />
<meta name="author" content="<?php echo WCMS_AUTHOR; ?>" />
<meta name="copyright" content="<?php echo WCMS_COPYRIGHT." - ".WCMS_AUTHOR; ?>" />
<meta name="date" content="<?php echo date("d M Y") ?>" />
<meta name="language" content="<?php echo $Language["wcms_language"]; ?>" />
<meta name="publisher" content="<?php echo WCMS_PUBLISHER; ?>" />
<meta name="version" content="<?php echo WCMS_VERSION; ?>" />
<link rel="shortcut icon" href="<?php echo $wcms_root_url; ?>access/wcms_access_graphic/wcms_favicon.gif" type="image/gif" />
<link href="<?php echo $wcms_root_url; ?>access/wcms_access_style/wcms_access_general.css" rel="stylesheet" type="text/css" />
<title><?php echo $Language["wcms_sitename"]." - Controlpanel - ".WCMS_VERSION; ?></title>

<script type="text/javascript">
function besure(action)
{
	if (action == 'd')
	{
		return confirm('Are you SURE you want to delete this rule?');
	}
	else
	{
		return confirm('The blacklist rule you are about to add may affect existing users. Are you SURE you want to continue?');
	}
}

var url = "checkblacklist.php?q="; // The server-side script

function handleHttpResponse()
{
	if (http.readyState == 4)
	{
		results = http.responseText.split(",");	// Split the comma delimited response into an array

		mystring = '<b>Affected address(es):</b><p class="help">';
		for(var cnt=0; cnt<results.length-1; cnt++)
		{
			mystring = mystring + ' ' + results[cnt] + '<br />\n';
		}
		if (results.length == 1) mystring = mystring + 'None';
		mystring = mystring + '</p>';

		document.getElementById('affected').innerHTML = mystring;
	}
}

function checkaffected()
{
	var ruleValue = document.getElementById("rule_input").value;
	http.open("GET", url + escape(ruleValue), true);
	http.onreadystatechange = handleHttpResponse;
	http.send(null);
}

function getHTTPObject()
{
	var xmlhttp;
	/*@cc_on
	@if (@_jscript_version >= 5)
	try
	{
		xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
	}
	catch (e)
	{
		try
		{
        		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		}
		catch (E)
		{
			xmlhttp = false;
		}
	}
	@else
	xmlhttp = false;
	@end @*/
	if (!xmlhttp && typeof XMLHttpRequest != 'undefined')
	{
		try
		{
			xmlhttp = new XMLHttpRequest();
		}
		catch (e)
		{
			xmlhttp = false;
		}
	}
	return xmlhttp;
}

var http = getHTTPObject(); // We create the HTTP Object

</script>
</head>
<body>

<?php
@include("../header.php");
?>

<div>		
  <p>Blacklist rules are used to prevent specific addresses, or groups of addresses, from signing up for your list. 
  New blacklist rules may affect existing members and can potentially remove them from your list. 
  It is strongly recommended that you test your new rule first via the 'Check Rule' button before adding it to see 
  if it will impact any existing members.</p>
  <br /><h1>Current blacklist rules:</h1>
<?php
if(mysql_num_rows($result) == 0)
{
	echo "<p>You currently have no blacklist rules.</p>";
}
else
{
	echo "<table border=\"0\">";
	while($row = mysql_fetch_assoc($result))
	{
		echo "<tr><td>$row[rule]</td><td><a onclick=\"return besure('d');\" href=\"blacklist.php?r=$row[rule]\">Delete?</a></td></tr>";
	}
	echo "</table>";
}
?>
  
  <br /><h1>Add a blacklist rule:</h1>
  <form method="post" action="blacklist.php">
  <p>To prevent a specific user from signing up, enter their email address. 
  You can also prevent an entire domain from signing up by entering their domain name (e.g. @aol.com, @yahoo.com), 
  or even an entire <acronym title="Top Level Domain">TLD</acronym> (e.g. .com, .net, .org). 
  Use the 'Check Rule' button to see if the rule you want to create will effect any existing members.</p>
  <p><input type="text" id="rule_input" name="rule" size="20" /> <input onClick="checkaffected()" type="button" value="Check Rule" name="testrule" />
  <input type="submit" value="Add Rule" name="submit" onClick="return besure();" /></p>
  </form>
  <div style="font-family: tahoma,verdana; font-size: 8pt; width: 300; max-height: 250px; overflow: auto;" id="affected"></div>
</div>

<?php
include("../footer.php");
?>

</body>
</html>