<?php 
/***************************************************************
 WCMS - Web Content Management System (c) 2006 - Thomas Egtvedt
 
 Mailinglist template page
****************************************************************/

/* Includes access, config and language settings */
require("../head_user_access.php");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $Language["wcms_charset"]; ?>" />
<link href="<?php echo $wcms_root_url; ?>theme/<?php echo $session_link; ?>/wcms_access_general.css" rel="stylesheet" type="text/css" />
<title><?php echo $Language["wcms_sitename"]." - Controlpanel - ".WCMS_VERSION; ?></title>
</head>

<body>
<div id="content">
  <div style="margin: 10px 20px;">  
    <h1>Select a template file below.</h1>
    <p>Note that selecting a template will overwrite any text you have entered in the send message window.</p>
    <p>&nbsp;</p>
    <?php
$template_count = 0;
if ($handle = opendir('templates'))
{
	echo "<table width=\"100%\" cellpadding=\"5\" cellspacing=\"0\" border=\"0\"><tr><th>File name</th><th>File size</th><th>Last modified</th></tr>\n";
	while (false !== ($file = readdir($handle)))
	{
		if ($file != "." && $file != "..")
		{
			echo "<tr><td class=\"tab_div\"><a href=\"javascript:void(0);\" onclick=\"window.opener.location='index.php?t=$file';self.close();\">$file</a></td>\n";
			echo "<td class=\"tab_div\">" . filesize("templates/".$file)/1000 . "k</td>\n";
			echo "<td class=\"tab_div\">" . date("F j, Y @ g:i a",filemtime("templates/".$file)) . "</td></tr>\n";
			$template_count++;
		}
	}
	echo "</table>\n";
	closedir($handle);
}

if (!$template_count)
{
	echo "<p><b>No files found in template folder.</b></p>";
}
?>
  </div>
</div>
</body>
</html>
