<?php
/***************************************************************
 WCMS - Web Content Management System (c) 2006 - Thomas Egtvedt
 
 Photo admin page
****************************************************************/
$WCMSMOD = "photo";
/* Includes access, config and language settings */
require("../head_user_access.php");
require("../../classes/accessartsec.class.php");
$WCMSaccess = new accessartsec($DBName);

include("function.inc.php");

$userfile        = $_FILES['userfile']['tmp_name'];
$userfile_name   = str_replace(" ","",$_FILES['userfile']['name']);

if (!empty($addphoto)) {
   if ((!empty($userfile)) && (!empty($userfile_name))) {
      if (function_exists("set_time_limit")) { set_time_limit(870); }
	  $prefix = time();
      $userfile_name = $prefix.$userfile_name;
      $dest1 = $wcms_rel_photopath.$userfile_name;
      copy($userfile, $dest1);
	  	  
	  # Create Thumbnail...
	  $photo_thumb = "s_".$userfile_name;
	  $dest2 = $wcms_rel_photopath."thumbs/".$photo_thumb;
	  $photo_s = fopen($dest2,"w");
	  makethumbnail($dest1,$dest2,$width,$height);
	  fclose($photo_s);

	  $query = "SELECT COUNT(*) FROM ".$wcms_db_prefix."_shared_photos WHERE module_name='$module_name' AND module_id='$module_id'";
      $result = mysql_query($query);
      $bilder = mysql_result($result, 0);
      $photo_position = ($bilder+1); 
	  
	  $image =  $wcms_rel_photopath.$userfile_name;
	  $photo_size = getimagesize($image);
	  $height_orig = $photo_size[1];
	  $width_orig = $photo_size[0];
	  
	  $thumb_image =  $wcms_rel_photopath."thumbs/".$photo_thumb;
	  $thumb_size = getimagesize($thumb_image);
	  $height_thumb = $thumb_size[1];
	  $width_thumb = $thumb_size[0];
	  	  
      $WCMSaccess->addPhoto($module_name,$module_id,$photo_title,$userfile_name,$photo_thumb,$photo_position,$width_orig,$height_orig,$width_thumb,$height_thumb);
   }
   # Reload the initial page to avoid refresh issues
   header("location: ".$wcms_access_url."module_photos/index.php?module_name=".$module_name."&module_id=".$module_id);
   exit;
}

if (!empty($delphoto)) 
{
   $WCMSaccess->deletePhoto($photo_id,$module_name,$module_id,$photo_position);
   # Reload the initial page to avoid refresh issues
   header("location: ".$wcms_access_url."module_photos/index.php?module_name=".$module_name."&module_id=".$module_id);
   exit;
}
if (!empty($moveup)) 
{
   $newphoto_position = $photo_position-1;
   $result = $WCMSaccess->getPhotoByPosition($newphoto_position,$module_name,$module_id);
   $rphoto_id = $result[0]["photo_id"];
   $WCMSaccess->editPhoto($photo_id,$newphoto_position,$rphoto_id,$photo_position,$module_name,$module_id);
   # Reload the initial page to avoid refresh issues
   header("location: ".$wcms_access_url."module_photos/index.php?module_name=".$module_name."&module_id=".$module_id);
   exit;
}
if (!empty($movedown)) 
{
   $newphoto_position = $photo_position+1;
   $result = $WCMSaccess->getPhotoByPosition($newphoto_position,$module_name,$module_id);
   $rphoto_id = $result[0]["photo_id"];
   $WCMSaccess->editPhoto($photo_id,$newphoto_position,$rphoto_id,$photo_position,$module_name,$module_id);
   # Reload the initial page to avoid refresh issues
   header("location: ".$wcms_access_url."module_photos/index.php?module_name=".$module_name."&module_id=".$module_id);
   exit;
}

$result = $WCMSaccess->getPhotos($module_name,$module_id);
$rescount = count($result); 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $Language["wcms_charset"]; ?>" />
<meta name="author" content="<?php echo WCMS_AUTHOR; ?>" />
<meta name="copyright" content="<?php echo WCMS_COPYRIGHT." - ".WCMS_AUTHOR; ?>" />
<meta name="date" content="<?php echo date("d M Y") ?>" />
<meta name="language" content="<?php echo $Language["wcms_language"]; ?>" />
<meta name="publisher" content="<?php echo WCMS_PUBLISHER; ?>" />
<meta name="version" content="<?php echo WCMS_VERSION; ?>" />
<link rel="shortcut icon" href="<?php echo $wcms_root_url; ?>access/wcms_access_graphic/wcms_favicon.gif" type="image/gif" />
<link href="<?php echo $wcms_root_url; ?>access/wcms_access_style/wcms_access_general.css" rel="stylesheet" type="text/css" />
<title><?php echo $Language["wcms_sitename"]." - Controlpanel - ".WCMS_VERSION; ?></title>

<script type="text/javascript" src="<?php echo $wcms_root_url; ?>language/<?php echo $session_link; ?>/javascript/validation.js"></script>
<script type="text/javascript">
<!-- Begin
function init() {
define('photo_title', 'string', 'Photo title');
define('userfile', 'string', 'Upload photo');
}
function go2(url){
window.location=url
}
//  End -->
</script>
</head>
<body onload="init()">

<?php 
@include("../header.php");

if ($action == "add_photo")
{
?>
<div>
<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" enctype="multipart/form-data">
<table align="center" width="100%" border="0" cellspacing="0" cellpadding="5">
 <tr>
  <th colspan="3"><strong>Add a new photo</strong></th>
 </tr>
 <tr> 
  <td class="tab_div">Photo title:</td>
  <td class="tab_div"><input type="text" name="photo_title" value="" size="65" /></td>
  <td class="tab_div" style="text-align:center;" rowspan="3"><br /><br />
  <input type="hidden" name="module_name" value="<?php echo $module_name; ?>" /><input type="hidden" name="module_id" value="<?php echo $module_id; ?>" />
  <input type="submit" name="addphoto" value="Add Photo" onClick="validate();return returnVal;" />
  <br /><br /><br /><br />
  <input type="button" onClick="go2('<?php echo $wcms_access_url; ?>module_photos/index.php?module_name=<?php echo $module_name; ?>&amp;module_id=<?php echo $module_id; ?>')" value="Cancel" />
  <br /><br /></td>
 </tr>
 <tr> 
  <td class="tab_div">Upload photo:</td>
  <td class="tab_div"><input name="userfile" type="file" size="52" /></td>
 </tr>  
 <tr> 
  <td colspan="2" class="tab_div">Thumbnail width: <input style="text-align:right;" type="text" name="width" value="200" size="4" />px &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Thumbnail height: 
  <input style="text-align:right;" type="text" name="height" value="200" size="4" />px</td>
 </tr>                        
</table>
</form>
</div>
<?php
# End add photo
} else {
if (!empty($result)) 
{
?>
<div>
<table align="center" width="100%" border="0" cellspacing="0" cellpadding="10">
<?php
$i = 1;	
$j = 1;
$k = 0; 
# Get number of items in array and the remainder when divided by 3
$num_files = count($result);
$num_rows  = floor($num_files/3);
$autofill  = $num_files%3;
// Two FOR loops take care of the complete rows
	for ($i=1; $i<=$num_rows; $i++) 
	{
	echo "<tr valign=\"top\">\n";
		for ($j=1; $j<=3; $j++) 
		{
?>
  <td class="tab_div" style="width:33%;">
<table align="center" border="0" cellspacing="0" cellpadding="5"><tr> 
  <th colspan="2">#<?php echo $result[$k]["photo_position"]; ?> | <?php echo $result[$k]["photo_title"]; ?></th>
 </tr><tr><td class="tab_div" style="text-align:center;">
  <form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" enctype="multipart/form-data">
  <input type="hidden" name="module_name" value="<?php echo $module_name; ?>" /><input type="hidden" name="module_id" value="<?php echo $module_id; ?>" /><input type="hidden" name="photo_id" value="<?php echo $result[$k]["photo_id"]; ?>" /><input type="hidden" name="photo_position" value="<?php echo $result[$k]["photo_position"]; ?>" />
<?php
if ($result[$k]["photo_position"] != 1) {
?>
  <input type="image" src="<?php echo $wcms_access_url; ?>wcms_access_graphic/icon_go_up.gif" name="moveup" value="moveup" alt="UP" onclick="Javascript:this.form.submit()" />&nbsp;&nbsp;&nbsp;&nbsp;
<?php
}
if ($result[$k]["photo_position"] != $rescount) {
?>
  <input type="image" src="<?php echo $wcms_access_url; ?>wcms_access_graphic/icon_go_down.gif" name="movedown" value="movedown" alt="DOWN" onclick="Javascript:this.form.submit();" />
<?php
}
?>
  </form></td><td class="tab_div" style="text-align:center;">
  <form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" enctype="multipart/form-data">
  <input type="hidden" name="module_name" value="<?php echo $module_name; ?>" /><input type="hidden" name="module_id" value="<?php echo $module_id; ?>" /><input type="hidden" name="photo_id" value="<?php echo $result[$k]["photo_id"]; ?>" /><input type="hidden" name="photo_position" value="<?php echo $result[$k]["photo_position"]; ?>" />
  <input type="submit" onclick="return window.confirm('This will physically remove this photo from the server.\n\nAre you absolutely sure you wish to proceed?');" name="delphoto" value="Delete" />
  </form></td></tr><tr><td colspan="2" class="tab_div">
  <img src="<?php echo $wcms_photopath; ?>thumbs/<?php echo $result[$k]["photo_thumb"]; ?>" alt="" border="0" align="top" /></td></tr></table>  
  </td>
<?php
		$k++;
		}
	echo "</tr>\n";
	}
	
// Use this logic to take care of remainder files
if ($autofill !== 0)
{
	if ($autofill == 2) 
	{
	echo "<tr valign=\"top\">\n";
		for ($j=1; $j<=2; $j++) 
		{
?>
  <td class="tab_div" style="width:33%;">
<table align="center" border="0" cellspacing="0" cellpadding="5"><tr> 
  <th colspan="2">#<?php echo $result[$k]["photo_position"]; ?> | <?php echo $result[$k]["photo_title"]; ?></th>
 </tr><tr><td class="tab_div" style="text-align:center;">
  <form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" enctype="multipart/form-data">
  <input type="hidden" name="module_name" value="<?php echo $module_name; ?>" /><input type="hidden" name="module_id" value="<?php echo $module_id; ?>" /><input type="hidden" name="photo_id" value="<?php echo $result[$k]["photo_id"]; ?>" /><input type="hidden" name="photo_position" value="<?php echo $result[$k]["photo_position"]; ?>" />
<?php
if ($result[$k]["photo_position"] != 1) {
?>
  <input type="image" src="<?php echo $wcms_access_url; ?>wcms_access_graphic/icon_go_up.gif" name="moveup" value="moveup" alt="UP" onclick="Javascript:this.form.submit()" />&nbsp;&nbsp;&nbsp;&nbsp;
<?php
}
if ($result[$k]["photo_position"] != $rescount) {
?>
  <input type="image" src="<?php echo $wcms_access_url; ?>wcms_access_graphic/icon_go_down.gif" name="movedown" value="movedown" alt="DOWN" onclick="Javascript:this.form.submit();" />
<?php
}
?>
  </form></td><td class="tab_div" style="text-align:center;">
  <form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" enctype="multipart/form-data">
  <input type="hidden" name="module_name" value="<?php echo $module_name; ?>" /><input type="hidden" name="module_id" value="<?php echo $module_id; ?>" /><input type="hidden" name="photo_id" value="<?php echo $result[$k]["photo_id"]; ?>" /><input type="hidden" name="photo_position" value="<?php echo $result[$k]["photo_position"]; ?>" />
  <input type="submit" onclick="return window.confirm('This will physically remove this photo from the server.\n\nAre you absolutely sure you wish to proceed?');" name="delphoto" value="Delete" />
  </form></td></tr><tr><td colspan="2" class="tab_div">
  <img src="<?php echo $wcms_photopath; ?>thumbs/<?php echo $result[$k]["photo_thumb"]; ?>" alt="" border="0" align="top" /></td></tr></table>  
  </td>
<?php
		$k++;
		}
	echo "<td style=\"width:33%;\">&nbsp;</td>\n</tr>\n";
	} 
	elseif ($autofill == 1) 
	{
	echo "<tr valign=\"top\">\n"; 
?>
  <td class="tab_div" style="width:33%;">
<table align="center" border="0" cellspacing="0" cellpadding="5"><tr> 
  <th colspan="2">#<?php echo $result[$k]["photo_position"]; ?> | <?php echo $result[$k]["photo_title"]; ?></th>
 </tr><tr><td class="tab_div" style="text-align:center;">
  <form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" enctype="multipart/form-data">
  <input type="hidden" name="module_name" value="<?php echo $module_name; ?>" /><input type="hidden" name="module_id" value="<?php echo $module_id; ?>" /><input type="hidden" name="photo_id" value="<?php echo $result[$k]["photo_id"]; ?>" /><input type="hidden" name="photo_position" value="<?php echo $result[$k]["photo_position"]; ?>" />
<?php
if ($result[$k]["photo_position"] != 1) {
?>
  <input type="image" src="<?php echo $wcms_access_url; ?>wcms_access_graphic/icon_go_up.gif" name="moveup" value="moveup" alt="UP" onclick="Javascript:this.form.submit()" />&nbsp;&nbsp;&nbsp;&nbsp;
<?php
}
if ($result[$k]["photo_position"] != $rescount) {
?>
  <input type="image" src="<?php echo $wcms_access_url; ?>wcms_access_graphic/icon_go_down.gif" name="movedown" value="movedown" alt="DOWN" onclick="Javascript:this.form.submit();" />
<?php
}
?>
  </form></td><td class="tab_div" style="text-align:center;">
  <form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" enctype="multipart/form-data">
  <input type="hidden" name="module_name" value="<?php echo $module_name; ?>" /><input type="hidden" name="module_id" value="<?php echo $module_id; ?>" /><input type="hidden" name="photo_id" value="<?php echo $result[$k]["photo_id"]; ?>" /><input type="hidden" name="photo_position" value="<?php echo $result[$k]["photo_position"]; ?>" />
  <input type="submit" onclick="return window.confirm('This will physically remove this photo from the server.\n\nAre you absolutely sure you wish to proceed?');" name="delphoto" value="Delete" />
  </form></td></tr><tr><td colspan="2" class="tab_div">
  <img src="<?php echo $wcms_photopath; ?>thumbs/<?php echo $result[$k]["photo_thumb"]; ?>" alt="" border="0" align="top" /></td></tr></table>  
  </td>
<?php
	$k++;
		for ($j=1; $j<=2; $j++) 
		{
		echo "<td style=\"width:33%;\">&nbsp;</td>\n";
		}
	echo "</tr>\n\n";
	} else {
	echo "Unknown error";
	}
}
?>
</table>
</div>
<?php
}else{
?>
<div>
<h1>No photos...</h1>
<p><a href="index.php?action=add_photo&amp;module_name=<?php echo $module_name; ?>&amp;module_id=<?php echo $module_id; ?>">Add photos</a></p>
</div>
<?php
}
}
include("../footer.php");
?>

</body>
</html>