<?php
/***************************************************************
 WCMS - Web Content Management System (c) 2006 - Thomas Egtvedt
 
 Section admin page
****************************************************************/
$WCMSMOD = "section";
/* Includes access, config and language settings */
require("../head_user_access.php");
require("../../classes/accessartsec.class.php");
$WCMSaccess = new accessartsec($DBName);

if (empty($page))
{
$page = 0;
}
# Set the number of articles listed per page
$intRec = $wcms_def_list_no;
if (empty($record))
{
$record = $intRec;
} else {
$record = 10000000;
}

if ($action == "delete" && !empty($section_id)) 
{
	$WCMSaccess->deleteSection($section_id,$WCMSMOD,$wcms_rel_photopath);
	# Reload to confirmation page to avoid refresh issues
	header("location: ".$wcms_access_url."module_sections/index.php?action=deleted");
	exit;
}

if ($action == "create" && !empty($section_name) && !empty($section_desc) && !empty($parent_section_id)) 
{
	$section_name = strip_tags(stripslashes(htmlentities($section_name, ENT_QUOTES, $Language["wcms_charset"])));
	if (!empty($section_url))
	{
	$section_url  = strip_tags(stripslashes(strtolower(str_replace(" ","-",$section_url))));
	} else {
	$section_url  = str_replace(" ","-",$section_name);
	$section_url  = str_replace("&","-",$section_url);
	$section_url  = str_replace(";","-",$section_url);
	}
	$section_desc = strip_tags(stripslashes(htmlentities($section_desc, ENT_QUOTES, $Language["wcms_charset"])));
	$section_desc = str_replace("&quot;","\"",$section_desc);
	$section_desc = str_replace("&gt;",">",$section_desc);
	$section_desc = str_replace("&lt;","<",$section_desc);
	$parent_section_id = strip_tags(stripslashes($parent_section_id));

	$WCMSaccess->createSection($section_name,$section_desc,$section_url,$parent_section_id,$level); 
	# Reload to confirmation page to avoid refresh issues
	header("location: ".$wcms_access_url."module_sections/index.php?action=saved");
	exit;
}

if ($action == "update") 
{
	foreach($_POST as $key=>$value)
	{
		$$key=$value;
	}

	$section_name = strip_tags(stripslashes(htmlentities($section_name, ENT_QUOTES, $Language["wcms_charset"])));
	if (!empty($section_url))
	{
	$section_url  = strip_tags(stripslashes(strtolower(str_replace(" ","-",$section_url))));
	} else {
	$section_url  = str_replace(" ","-",$section_name);
	$section_url  = str_replace("&","-",$section_url);
	$section_url  = str_replace(";","-",$section_url);
	}
	$section_desc = strip_tags(stripslashes(htmlentities($section_desc, ENT_QUOTES, $Language["wcms_charset"])));
	$section_desc = str_replace("&quot;","\"",$section_desc);
	$section_desc = str_replace("&gt;",">",$section_desc);
	$section_desc = str_replace("&lt;","<",$section_desc);
	$section_id = strip_tags(stripslashes($section_id));
	$parent_section_id = strip_tags(stripslashes($parent_section_id));

	$WCMSaccess->updateSection($section_id,$section_name,$section_desc,$section_url,$parent_section_id,$level); 
	# Reload to confirmation page to avoid refresh issues
	header("location: ".$wcms_access_url."module_sections/index.php?action=updated&section_id=".$section_id);
	exit;
}
$arraySections = $WCMSaccess->getAllSections($page,$record); 
$arraySection  = $WCMSaccess->getSection($section_id);
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $Language["wcms_charset"]; ?>" />
<meta name="author" content="<?php echo WCMS_AUTHOR; ?>" />
<meta name="copyright" content="<?php echo WCMS_COPYRIGHT." - ".WCMS_AUTHOR; ?>" />
<meta name="date" content="<?php echo date("d M Y") ?>" />
<meta name="language" content="<?php echo $Language["wcms_language"]; ?>" />
<meta name="publisher" content="<?php echo WCMS_PUBLISHER; ?>" />
<meta name="version" content="<?php echo WCMS_VERSION; ?>" />
<link rel="shortcut icon" href="<?php echo $wcms_root_url; ?>access/wcms_access_graphic/wcms_favicon.gif" type="image/gif" />
<link href="<?php echo $wcms_root_url; ?>access/wcms_access_style/wcms_access_general.css" rel="stylesheet" type="text/css" />
<title><?php echo $Language["wcms_sitename"]." - Controlpanel - ".WCMS_VERSION; ?></title>

<script type="text/javascript" src="<?php echo $wcms_root_url; ?>language/<?php echo $session_link; ?>/javascript/validation.js"></script>
<script type="text/javascript">
<!-- Begin
function init() {
define('section_name', 'string', 'Title');
define('section_desc', 'string', 'Content');
}
function go2(url) {
window.location=url
}
function focusit() {
document.getElementById('section_name').focus();
}
//  End -->
</script>
<script src="<?php echo $wcms_root_url; ?>language/<?php echo $session_link; ?>/javascript/quicktags.js" type="text/javascript"></script>
<script src="<?php echo $wcms_root_url; ?>language/<?php echo $session_link; ?>/javascript/access_quicktags.php" type="text/javascript"></script>
</head>
<body onload="init()<?php if($action == "create_new") { echo ";focusit()"; } ?>">

<?php 
@include("../header.php");

if($action == "create_new")
{
?>
<div>
<form action="<?php echo $wcms_access_url; ?>module_sections/index.php?action=create" method="post" enctype="multipart/form-data">                
<table align="center" width="100%" border="0" cellspacing="0" cellpadding="5">
 <tr> 
  <th colspan="2"><strong>Create a new section</strong></th>
 </tr>
 <tr valign="top"> 
  <td style="width:75%;" class="tab_div"><p>Title<br /><input style="width:95%;" type="text" name="section_name" id="section_name" size="80" tabindex="1" value="" /></p>
  <p>Nice URl:<br />
  <input type="text" name="section_url" id="section_url" value="" size="50" tabindex="2" /> e.g. http://you.com/<em>"nice-url"</em>/s72.html</p></td>
  <td style="width:25%;" class="tab_div"><p>Parent<br /><select name="parent_section_id" tabindex="4">
<?php
$hold = "";
function menu($parents,$optlevel)
{
  global $hold,$wcms_db_prefix;
  $optlevel++;
  $query = "SELECT * FROM ".$wcms_db_prefix."_sections WHERE parent_section_id = $parents ORDER BY section_id ASC";
  $sql = mysql_query($query);
	while($row = mysql_fetch_assoc($sql))
	{
	  if($parents == 0) 
	  {
	  $color = " style=\"background-color:#ddd;\"";
	  }
	$hold .= "<option value=\"".$row['section_id']."\"".$color.">";
	$hold .= str_repeat("&nbsp;&nbsp;",$optlevel)."".$row['section_name']."</option>\n";
	menu($row['section_id'],$optlevel);
  }
  return $hold;
}
echo menu(0,0);
?> 
  </select></p>
  <p>Access level:<br /><select name="level" id="level" tabindex="5">
<option value="1">1 <?php echo $admLanguage["level1"]; ?></option>
<option value="2">2 <?php echo $admLanguage["level2"]; ?></option>
<option value="3">3 <?php echo $admLanguage["level3"]; ?></option>
<option value="4">4 <?php echo $admLanguage["level4"]; ?></option>
<option value="5">5 <?php echo $admLanguage["level5"]; ?></option>
<option value="6">6 <?php echo $admLanguage["level6"]; ?></option>
<option value="7">7 <?php echo $admLanguage["level7"]; ?></option>
<option value="8">8 <?php echo $admLanguage["level8"]; ?></option>
<option value="9" selected="selected">9 <?php echo $admLanguage["level9"]; ?></option>
</select></p>
  <p><input type="submit" name="addsection" id="addsection" onclick="validate();return returnVal;" value="Save" tabindex="6" /> 
  <input type="button" onclick="go2('index.php')" value="Cancel" tabindex="7" /> 
  <input type="reset" value="Reset" tabindex="7" /></p></td>
 </tr>
 <tr> 
  <td colspan="2" class="tab_div"><p>Content <script type="text/javascript">edToolbar();</script><br />
  <textarea style="width:95%;" name="section_desc" id="section_desc" cols="90" rows="30" tabindex="3"></textarea>
  <script type="text/javascript">var edCanvas = document.getElementById('section_desc');</script></p></td>
 </tr>			  			  
</table>
</form>
</div>
<?php
}
elseif($action == "edit")
{
	if (!empty($arraySection)) 
	{
	$section_name 	= stripslashes($arraySection[0]['section_name']);
	$section_desc 	= stripslashes($arraySection[0]['section_desc']);
	$section_url  	= stripslashes($arraySection[0]['section_url']);
	$old_section_id = stripslashes($arraySection[0]['parent_section_id']);
	$old_level	    = stripslashes($arraySection[0]['level']);
?>
<div>
<form action="<?php echo $wcms_access_url; ?>module_sections/index.php?action=update" method="post" enctype="multipart/form-data"><input type="hidden" name="section_id" value="<?php echo $section_id; ?>"  />              
<table align="center" width="100%" border="0" cellspacing="0" cellpadding="5">
 <tr> 
  <th colspan="2"><strong>Edit a section</strong></th>
 </tr>
 <tr valign="top"> 
  <td style="width:75%;" class="tab_div"><p>Title<br /><input style="width:95%;" type="text" name="section_name" id="section_name" size="80" tabindex="1" value="<?php echo $section_name; ?>" /></p>
  <p>Nice URl:<br />
  <input type="text" name="section_url" id="section_url" value="<?php echo $section_url; ?>" size="50" tabindex="2" /> e.g. http://you.com/<em>"nice-url"</em>/s72.html</p>
  <p><input type="button" onclick="go2('<?php echo $wcms_access_url; ?>module_photos/index.php?action=add_photo&amp;module_name=section&amp;module_id=<?php echo $section_id; ?>');" value="Add Photo" /> <input type="button" onclick="go2('<?php echo $wcms_access_url; ?>module_photos/index.php?module_name=section&amp;module_id=<?php echo $section_id; ?>');" value="View Photo(s)" /></p></td>
  <td style="width:25%;" class="tab_div"><p>Parent<br /><select name="parent_section_id" tabindex="4">
  <option value="0">None</option>
<?php
	$hold = "";
	function menu($parents,$level)
	{
	global $hold,$wcms_db_prefix,$old_section_id;
	$level++;
	$query = "SELECT * FROM ".$wcms_db_prefix."_sections WHERE parent_section_id = $parents ORDER BY section_id ASC";
	$sql = mysql_query($query);
		while($row = mysql_fetch_assoc($sql))
		{
			if($parents == 0) 
			{
			$color = " style=\"background-color:#ddd;\"";
			}
			if($row['section_id'] == $old_section_id) 
			{
			$selected = " selected=\"selected\"";
			} else {
			$selected = "";
			}
		$hold .= "<option value=\"".$row['section_id']."\"".$color.$selected.">";
		$hold .= str_repeat("&nbsp;&nbsp;",$level)."".$row['section_name']."</option>\n";
		menu($row['section_id'],$level);
		}
	return $hold;
	}
	echo menu(0,0);
$levelselect = " selected=\"selected\"";
?> 
  </select></p>
  <p>Access level:<br /><select name="level" id="level" tabindex="5">
<option value="1"<?php if ($old_level == 1) { echo $levelselect; } ?>>1 <?php echo $admLanguage["level1"]; ?></option>
<option value="2"<?php if ($old_level == 2) { echo $levelselect; } ?>>2 <?php echo $admLanguage["level2"]; ?></option>
<option value="3"<?php if ($old_level == 3) { echo $levelselect; } ?>>3 <?php echo $admLanguage["level3"]; ?></option>
<option value="4"<?php if ($old_level == 4) { echo $levelselect; } ?>>4 <?php echo $admLanguage["level4"]; ?></option>
<option value="5"<?php if ($old_level == 5) { echo $levelselect; } ?>>5 <?php echo $admLanguage["level5"]; ?></option>
<option value="6"<?php if ($old_level == 6) { echo $levelselect; } ?>>6 <?php echo $admLanguage["level6"]; ?></option>
<option value="7"<?php if ($old_level == 7) { echo $levelselect; } ?>>7 <?php echo $admLanguage["level7"]; ?></option>
<option value="8"<?php if ($old_level == 8) { echo $levelselect; } ?>>8 <?php echo $admLanguage["level8"]; ?></option>
<option value="9"<?php if ($old_level == 9 || $old_level == "") { echo $levelselect; } ?>>9 <?php echo $admLanguage["level9"]; ?></option>
</select></p>
  <p><input type="submit" name="editsection" id="editsection" onclick="validate();return returnVal;" value="Save" tabindex="6" /> 
  <input type="button" onclick="go2('index.php')" value="Cancel" tabindex="7" /> 
  <input type="reset" value="Reset" tabindex="8" /></p></td>
 </tr>
 <tr> 
  <td colspan="2" class="tab_div"><p>Content <script type="text/javascript">edToolbar();</script><br />
  <textarea style="width:95%;" name="section_desc" id="section_desc" cols="90" rows="30" tabindex="3"><?php echo $section_desc; ?></textarea>
  <script type="text/javascript">var edCanvas = document.getElementById('section_desc');</script></p></td>
 </tr>			  			  
</table>
</form>
</div>
<?php
	}
} else {
	if($action == "saved")
	{
?>
<div>
<h1>Your section was successfully saved!</h1>
<p><a href="index.php">Return to section list</a></p>
</div>
<?php
	}
	elseif($action == "updated")
	{
?>
<div>
<h1>Your section was successfully updated!</h1>
<p><a href="index.php?action=edit&amp;section_id=<?php echo $section_id; ?>">Continue editing</a></p>
<p><a href="index.php">Return to section list</a></p>
</div>
<?php
	}
	elseif($action == "deleted")
	{
?>
<div>
<h1>Your section with all its content was successfully deleted!</h1>
<p><a href="index.php">Return to section list</a></p>
</div>
<?php
	} else {

?>
<div>
<table align="center" width="100%" border="0" cellspacing="0" cellpadding="5">
 <tr> 
  <th style="width:6%;"><strong>ID</strong></th>
  <th style="width:8%;"><strong>Parent</strong></th>                
  <th style="width:6%;"><strong>Level</strong></th>                
  <th style="width:35%;"><strong>Section Title</strong></th>
  <th style="width:45%;" colspan="4"><strong>Section Operations</strong></th>
 </tr>
<?php
	if (!empty($arraySections)) 
	{
		while (list($key,$val) = each($arraySections)) 
		{
		$section_id 	   = stripslashes($val["section_id"]);
		$section_name 	   = stripslashes($val["section_name"]);
		$parent_section_id = stripslashes($val["parent_section_id"]);
		$level			   = stripslashes($val["level"]);
		$parent_name 	   = $WCMSaccess->getSectionName($parent_section_id);
		$isphoto       	   = $WCMSaccess->getPhotos("section",$section_id);
		$isarticles        = $WCMSaccess->getSectionArticles(0,100000000,$section_id);
?>
 <tr class="list" style="border-bottom:1px solid #ccc;">
  <td class="tab_div"><?php echo $section_id; ?></td>
  <td class="tab_div"><?php echo $parent_section_id; ?></td> 
  <td class="tab_div"><?php echo $level; ?></td> 
  <td class="tab_div"><?php echo $section_name; ?></td>
  <td class="tab_div"><a href="<?php echo $wcms_access_url; ?>module_articles/index.php?section_id=<?php echo $section_id; ?>"><?php if(!empty($isarticles)){ echo "<strong>Articles (".count($isarticles).")</strong>"; }else{ echo "Add Article"; } ?></a></td>
  <td class="tab_div"><a href="<?php echo $wcms_access_url; ?>module_photos/index.php?module_name=section&amp;module_id=<?php echo $section_id; ?>"><?php if(!empty($isphoto)){ echo "<strong>Photos (".count($isphoto).")</strong>"; }else{ echo "Add Photo"; } ?></a></td>
  <td class="tab_div"><a href="<?php echo $wcms_access_url; ?>module_sections/index.php?action=delete&amp;section_id=<?php echo $section_id; ?>" onclick="return window.confirm('Are you absolutely sure? - This operation is irreversible!\n\nAll articles, photos and comments linked with this section will also be deleted.\n\nAND all sub-sections (including their articles, photos comments) will lose their parent\nwhich will make them invisible until you reconnect them with another/new section!\n\nDon\'t come around later saying I didn\'t warn you...\n\n');">Delete</a></td>
  <td class="tab_div"><a href="<?php echo $wcms_access_url; ?>module_sections/index.php?action=edit&amp;section_id=<?php echo $section_id; ?>">Edit</a></td>  
 </tr>
<?php
		}
	}
?>                       
 <tr>
  <td style="text-align:right;" colspan="8">
<?php
$pagenext = $page+1;
$arraySections11 = $WCMSaccess->getAllSections($pagenext,$record);
	if ($page!=0)
	{
	$pagepre = $page-1;		
	echo "  <a href=\"index.php?page=$pagepre\">&laquo; Back</a>&nbsp;&nbsp;&nbsp;";
	}
	if (!empty($arraySections11))
	{
	echo "  <a href=\"index.php?page=$pagenext\">Next &raquo;</a>";
	}
?>
  </td>
 </tr>
</table>            
</div>
<?php
	}
}
include("../footer.php");
?>

</body>
</html>