<?php
/***************************************************************
 WCMS - Web Content Management System (c) 2006 - Thomas Egtvedt
 
 Stats admin page
****************************************************************/
$WCMSMOD = "stats";
/* Includes access, config and language settings */
require("../head_user_access.php");
require("../../classes/accessartsec.class.php");
$WCMSaccess = new accessartsec($DBName);

if (empty($page))
{
$page = 0;
}
# Set the number of articles listed per page
$intRec = $wcms_def_list_no;
if (empty($record))
{
$record = $intRec;
} else {
$record = 10000000;
}

if (empty($order) && empty($sequence)) 
{
$order = "counter";
$sequence = "DESC";
$arrayStats = $WCMSaccess->getStats($page,$record,$order,$sequence); 
} else{ 
$arrayStats = $WCMSaccess->getStats($page,$record,$order,$sequence); 
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $Language["wcms_charset"]; ?>" />
<meta name="author" content="<?php echo WCMS_AUTHOR; ?>" />
<meta name="copyright" content="<?php echo WCMS_COPYRIGHT." - ".WCMS_AUTHOR; ?>" />
<meta name="date" content="<?php echo date("d M Y") ?>" />
<meta name="language" content="<?php echo $Language["wcms_language"]; ?>" />
<meta name="publisher" content="<?php echo WCMS_PUBLISHER; ?>" />
<meta name="version" content="<?php echo WCMS_VERSION; ?>" />
<link rel="shortcut icon" href="<?php echo $wcms_root_url; ?>access/wcms_access_graphic/wcms_favicon.gif" type="image/gif" />
<link href="<?php echo $wcms_root_url; ?>access/wcms_access_style/wcms_access_general.css" rel="stylesheet" type="text/css" />
<title><?php echo $Language["wcms_sitename"]." - Controlpanel - ".WCMS_VERSION; ?></title>

</head>
<body>
<?php 
@include("../header.php");
?>

<div>

<form action="<?php echo $wcms_access_url; ?>module_stats/index.php" method="post">
<p style="text-align:center;">Order by <select name="order">
<option value="" selected="selected">-- Select --</option>
<option value="counter">Number of page hits</option>
<option value="module_name">Module name</option>
<option value="pagetitle">Pagetitle</option>
</select>&nbsp;&nbsp;&nbsp;&nbsp;
<select name="sequence">
<option value="DESC" selected="selected">Descending</option>
<option value="ASC">Ascending</option>
</select>&nbsp;&nbsp;&nbsp;&nbsp;
<input type="submit" name="statsubmit" value="Re-order" /></p>
</form>
<br />
<table align="center" width="100%" border="0" cellspacing="0" cellpadding="5">
 <tr>
  <th style="width:8%;"><b>ID</b></th>
  <th style="width:35%;"><b>Pagetitle</b></th>
  <th style="width:15%;"><b>Standard URl</b></th>
  <th style="width:15%;"><b>Nice URl</b></th>
  <th style="width:15%;"><b>Module name</b></th>  
  <th style="width:12%;"><b>Page hits</b></th>
 </tr>
<?php
if (!empty($arrayStats)) {
while ( list($key,$val)=each($arrayStats) ) {
$id = stripslashes($val["id"]);
$counter = stripslashes($val["counter"]);
$original_url = stripslashes(str_replace('&','&amp;',$val["original_url"]));
$original_url = str_replace(' ','-',$original_url);
$rewrite_url = stripslashes($val["rewrite_url"]);
$rewrite_url = str_replace(' ','-',$rewrite_url);
$pagetitle = stripslashes($val["pagetitle"]); 
$module_name = stripslashes($val["module_name"]);
?>
 <tr class="list" style="border-bottom:1px solid #ccc;">
  <td class="tab_div"><?php echo $id; ?></td>
  <td class="tab_div"><?php echo $pagetitle; ?></td>
  <td class="tab_div"><a href="<?php echo $original_url; ?>">Normal link</a></td>
  <td class="tab_div"><a href="<?php echo $rewrite_url; ?>">Rewrite link</a></td>
  <td class="tab_div"><?php echo $module_name; ?></td>
  <td class="tab_div"><?php echo $counter; ?></td>                           
 </tr>
<?php
 }
}
?>                       
 <tr>
  <td class="tab_div" style="text-align:right;" colspan="6">
<?php
$pagenext = $page+1;
$arrayStats1 = $WCMSaccess->getStats($pagenext,$record,$order,$sequence);
	if ($page!=0)
	{
	$pagepre = $page-1;		
	echo "  <a href=\"index.php?page=$pagepre&amp;order=$order&amp;sequence=$sequence\">&laquo; Back</a>&nbsp;&nbsp;&nbsp;";
	}
	if (!empty($arrayStats1))
	{
	echo "  <a href=\"index.php?page=$pagenext&amp;order=$order&amp;sequence=$sequence\">Next &raquo;</a>";
	}
?>
  </td>
 </tr>
</table>
</div>
<?php
include("../footer.php");
?>

</body>
</html>