<?php
/***************************************************************
 WCMS - Web Content Management System (c) 2006 - Thomas Egtvedt
 
Access class holds all functions needed to add/edit/delete 
users/groups and authorize page views
****************************************************************/

class access
{
	// AUTHENTICATE
	function authenticate($username, $password) 
	{
		// Check for apostrophe and semi-colons in $username and $password to avoid SQL injection
		if (ereg("'", $username) || ereg("'", $password) || ereg(";", $username) || ereg(";", $password)) 
		{
			return false;
		}
		
		$query = "SELECT * FROM wcms_users WHERE username='$username' AND password=sha1('$password') AND status <> 'inactive'";
        $when = time();
        $UpdateRecords = "UPDATE wcms_users SET lastlogin='$when', logincount = logincount + 1, online = 1 WHERE username='$username'"; 		
		$result = mysql_query($query) or die("Query failed: " . mysql_error()); 
		$numrows = mysql_num_rows($result);
		$row = mysql_fetch_array($result);
		
		// If the number of rows equals 0, that means that no match was found. 
		// In other words, wrong username and/or password.
		if ($numrows == 0) 
		{
			return false;
		} else {
			$Update = mysql_query($UpdateRecords) or die("Query failed: " . mysql_error());
			return $row;
		}
	}

	// LOG OUT
	function logout($username, $password) 
	{
        $resetOnlineStatus = "UPDATE wcms_users SET online = 0 WHERE username='$username'"; 		
		$result = mysql_query($resetOnlineStatus) or die("Query failed: " . mysql_error()); 
		return $result;
	}

	// PAGE CHECK
	function page_check($username, $password) 
	{
		// Check for apostrophe and semi-colons in $username and $password to avoid SQL injection
		if (ereg("'", $username) || ereg("'", $password) || ereg(";", $username) || ereg(";", $password)) 
		{
			return false;
		}
		
		// This function is the one used for every page that is to be secured.
		$query = "SELECT * FROM wcms_users WHERE username='$username' AND password='$password' AND status <> 'inactive'";
		$result = mysql_query($query) or die("Query failed: " . mysql_error()); 	
		$numrows = mysql_num_rows($result);
		$row = mysql_fetch_array($result);

		// If the number of rows equals 0, that means that no match was found. 
		// In other words, wrong username and/or password.
		if ($numrows == 0) 
		{
			return false;
		} else {
			return $row;
		}
	}

	// ADD USERS
	function add_user($firstname, $lastname, $username, $password, $nickname, $useremail, $address, $city, $country, $team, $level, $status, $limited, $contract_start, $contract_end)
	{
		// Check if all fields are filled
		if (trim($username) == "") 
		{ 
			return "username";
		}
		elseif (trim($password) == "") 
		{
			return "password";
		}
		elseif (trim($nickname) == "") 
		{
			return "nickname";
		}
		elseif (trim($useremail) == "") 
		{
			return "useremail";
		}
		elseif (trim($level) == "") 
		{
			return "level";
		}
		if ($team == "") 
		{
			$team = "Ungrouped";
		}
		$validemail = ereg('^[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+'.
			'@'.
			'[-!#$%&\'*+\\/0-9=?A-Z^_`a-z{|}~]+\.'.
			'[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+$',
			$useremail);	
		if (!$validemail)
		{
			return "validemail";
		}
		// Check if user, email or nick exists
		$qUserExists = "SELECT * FROM wcms_users WHERE username='$username'";
		$qNickExists = "SELECT * FROM wcms_users WHERE nickname='$nickname'";
		$qMailExists = "SELECT * FROM wcms_users WHERE useremail='$useremail'";
		$lastlogin = time();
		$qInsertUser = "INSERT INTO wcms_users(firstname, lastname, username, password, nickname, useremail, address, city, country, team, level, status, wcmskey, lastlogin, logincount, online, limited, contract_start, contract_end) VALUES ('', '', '$username', sha1('$password'), '$nickname', '$useremail', '', '', '', '$team', '$level', '$status', '', '$lastlogin', 0, 0, 'limited', $lastlogin, $lastlogin)";
		
		$user_exists = mysql_query($qUserExists); 
		$nick_exists = mysql_query($qNickExists); 
		$mail_exists = mysql_query($qMailExists);	
		if (mysql_num_rows($user_exists) > 0) 
		{
			return "username";
		}
		elseif (mysql_num_rows($nick_exists) > 0) 
		{
			return "nickname";
		} 
		elseif (mysql_num_rows($mail_exists) > 0) 
		{
			return "useremail";
		} else {
			$result = mysql_query($qInsertUser) or die("Query failed: " . mysql_error()); 
			return mysql_affected_rows();
		}
	}
	
	// MODIFY USERS
	function modify_user($username, $password, $useremail, $team, $level, $status) 
	{
		// If $password is blank, make no changes to the current password
        if (trim($password == ''))
        {
            $qUpdate = "UPDATE wcms_users SET useremail='$useremail', team='$team', level='$level', status='$status' WHERE username='$username'";
        } else {
            $qUpdate = "UPDATE wcms_users SET password=sha1('$password'), useremail='$useremail', team='$team', level='$level', status='$status' WHERE username='$username'";
        }
		$result = mysql_query($qUpdate) or die("Query failed: " . mysql_error()); 
		return true;
	}
	
	// DELETE USERS
	function delete_user($user_id) 
	{
		$qDelete = "DELETE FROM wcms_users WHERE user_id='$user_id'";
		$result = mysql_query($qDelete) or die("Query failed: " . mysql_error()); 
		return true;		
	}
	
	// INSERT VERIFICATION KEY
	function insert_user_key($username, $wcmskey) 
	{
		// Check for apostrophe and semi-colons in $username and $wcmskey to avoid SQL injection
		if (ereg("'", $username) || ereg("'", $wcmskey) || ereg(";", $username) || ereg(";", $wcmskey)) 
		{
			return false;
		}
		$query = "UPDATE wcms_users SET wcmskey='$wcmskey' WHERE username='$username'"; 		
		$result = mysql_query($query) or die("Query failed: " . mysql_error());
		return $result;
	}
	
	// DELETE VERIFICATION KEY
	function delete_key($username) 
	{
		// Check for apostrophe and semi-colons in $username to avoid SQL injection
		if (ereg("'", $username) || ereg(";", $username)) 
		{
			return false;
		}
		$query = "UPDATE wcms_users SET wcmskey='' WHERE username='$username'"; 		
		$result = mysql_query($query) or die("Query failed: " . mysql_error());
		return $result;		
	}
	
	// CREATE A RANDOM PASSWORD
	function GeneratePassword() 
	{
		$newpass = '';
		$salt = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890";
		srand((double)microtime()*1000000);  	
		$i = 0;	
		while ($i < 9) {  // change for other length
			$num = rand() % strlen($salt);	
			$tmp = substr($salt, $num, 1);
			$newpass = $newpass . $tmp;	
			$i++;	
		}
		return $newpass;
	}

	// ADD TEAM
	function add_team($teamname, $teamlead, $status="active") 
	{
		$qGroupExists = "SELECT * FROM wcms_teams WHERE teamname='$teamname'";
		$qInsertGroup = "INSERT INTO wcms_teams(teamname, teamlead, status) VALUES ('$teamname', '$teamlead', '$status')";
		
		// Check if all fields are filled
		if (trim($teamname) == "") 
		{ 
			return "blank team name";
		}

		$group_exists = mysql_query($qGroupExists); 

		if (mysql_num_rows($group_exists) > 0) 
		{
			return "team exists";
		}else{
			$result = mysql_query($qInsertGroup);
			return mysql_affected_rows();
		}
	}
	
	// MODIFY TEAM
	function modify_team($teamname, $teamlead, $status) 
	{
		$qUpdate = "UPDATE wcms_teams SET teamlead='$teamlead', status='$status' WHERE teamname='$teamname'";
		$qUserStatus = "UPDATE wcms_users SET status='$status' WHERE team='$teamname'";

		if (($teamname == "Admin" || $teamname == "Ungrouped" || $teamname == "Temporary") && $status=="inactive") 
		{
			return "This team cannot be inactivated.";
		} else {
			$userresult = mysql_query($qUserStatus); 
			$result = mysql_query($qUpdate); 
			return true;
		}		
	}

	// DELETE TEAM
	function delete_team($teamname) 
	{
		$qUpdateUser = "UPDATE wcms_users SET team='Ungrouped' WHERE team='$teamname'";	
		$qDelete = "DELETE FROM wcms_teams WHERE teamname='$teamname'";
		
		if ($teamname == "Admin" || $teamname == "Ungrouped" || $teamname == "Temporary") 
		{
			return "This team cannot be deleted.";
		}
		
		$result = mysql_query($qUpdateUser); 
		$result = mysql_query($qDelete); 
		return mysql_error();		
	}
// End class access
}
?>