<?php
/***************************************************************
 WCMS - Web Content Management System (c) 2006 - Thomas Egtvedt
 
 Verifies pages and provides titles and other input/information
****************************************************************/

# Link to the error page
if ($wcms_urlrewrite) 
{
$strNoDicePage  = $wcms_root_url."no-dice.html";
$strContact     = $wcms_root_url."contact.html";
$strContactSucs = $wcms_root_url."contact/confirmed.html";
}else{
$strNoDicePage  = $wcms_root_url."?choice=no-dice";
$strContact     = $wcms_root_url."?choice=contact";
$strContactSucs = $wcms_root_url."?choice=contact&action=confirmed";
}

# Defines page number if not set
if (empty($page)) 
{
$page = 0;
}

# Includes classes and variables based on $choice
switch ($choice)
{

/***************************************************************
 Section - settings for the main categories
****************************************************************/
case "section":
# Opens the section class
require ("classes/articlesection.class.php");
$classWCMS = new articlesection();
# Verifies that $section_id is a number
	if (!ctype_digit($section_id))
	{
	header("Location: ".$strNoDicePage);
	exit;
	}
# Grabs the info about section $section_id
$query = "SELECT * FROM ".$wcms_db_prefix."_sections WHERE section_id='$section_id'";
$result = mysql_query($query) or die("Query failed: " . mysql_error());
$section = mysql_fetch_array($result);
# Verifies that $section_id exists
	if(empty($section))
	{
	header("Location: ".$strNoDicePage);
	exit;
	}
# Provides the section details
$strSectionTitle 	   = $section["section_name"];
$strSectionDesc        = $classWCMS->phpinclude($section["section_desc"]);
eval("\$strSectionDesc = \"$strSectionDesc\";");
$intLevel			   = ($section["level"] + 1); 
$intParentId           = $section["parent_section_id"];
$intModuleId           = $section_id;
$strWcmsUrl            = $section["section_url"];
$strWcmsVar            = "section_id";
$intTopParentSectionId = $classWCMS->topSection($intParentId);
$strBreadCrumb         = $classWCMS->breadcrumb($intParentId)." &gt; ".$strSectionTitle;
$strHeadTitle          = $classWCMS->headTitle($intParentId)." - ".$strSectionTitle; 
# Get title from language file if $sid = 1
	if ($section_id != "1")
	{
	$strPageTitle = $strSectionTitle;
	} else {
	$strPageTitle = $Language["pagetitle_homepage"];
	}
break;

/***************************************************************
 Article - settings for the main articles
****************************************************************/
case "article":
# Opens the article class
require ("classes/articlesection.class.php");
$classWCMS = new articlesection();
# Verifies that $article_id is a number
	if (!ctype_digit($article_id))
	{
	header("Location: ".$strNoDicePage);
	exit;
	}
# Grabs the info about section $section_id
$query = "SELECT * FROM ".$wcms_db_prefix."_articles WHERE article_id='$article_id'";
$result = mysql_query($query) or die("Query failed: " . mysql_error());
$article = mysql_fetch_array($result);
# Verifies that $section_id exists
	if(empty($article))
	{
	header("Location: ".$strNoDicePage);
	exit;
	}
# Provides the article details
$strArticleSectionId   = $article["section_id"];
$strArticleTitle       = $article["article_title"];
$strArticleIntro       = $classWCMS->phpinclude($article["intro"]);
eval("\$strArticleIntro = \"$strArticleIntro\";");
$strArticleContent     = $classWCMS->phpinclude($article["content"]);
eval("\$strArticleContent = \"$strArticleContent\";");
$strArticlePublished   = $article["published"];
$strArticleNick1       = $article["nick1"];
$strArticleUpdated     = $article["updated"];
$strArticleNick2       = $article["nick2"];
$strArticleRating      = $article["rating"];
$strArticleRatenum     = $article["ratenum"];
$strArticleCounter     = $article["counter"];
$strMetaDescription    = $article["meta_description"];
$strMetaKeyword        = $article["meta_keyword"];
$strArticleDisplayed   = $article["displayed"];
$strArticleFeatured    = $article["featured"];
$strArticleComments    = $article["comments"];
$intLevel			   = ($article["level"] + 1); 
$intModuleId           = $article_id;
$strWcmsUrl            = $article["article_url"];
$strWcmsVar			   = "article_id";
$intTopParentSectionId = $classWCMS->topSection($strArticleSectionId);
$strBreadCrumb         = $classWCMS->breadcrumb($strArticleSectionId)." &gt; ".$strArticleTitle;
$strHeadTitle          = $strArticleTitle." | ".$classWCMS->headTitle($strArticleSectionId); 
$strPageTitle          = $strArticleTitle;
# Finds $intParentId (parent_section_id) from $strArticleSectionId
$query = "SELECT parent_section_id FROM ".$wcms_db_prefix."_sections WHERE section_id='$strArticleSectionId'";
$result = mysql_query($query) or die("Query failed: " . mysql_error());
$parent_section_id = mysql_fetch_array($result);
$intParentId = $parent_section_id["parent_section_id"];
# Handles the article rating
if (isset($_POST["PR"]))
{
$PR = $_POST["PR"];
$Rating = $_POST["Rating"];
    if (!empty($PR) && $Rating >= 1)
	{	
	$classWCMS->setRating($article_id,$Rating);
		# Reload the page so the user can't submit again without making a selection
		if ($wcms_urlrewrite) 
		{
		header("Location: ".$amrwRequest."&r=1");
		}else{
		header("Location: ".$wcms_root_url."?".$_SERVER['QUERY_STRING']);
		}
	exit;
    }
}
# Handles the article comments
if (isset($_POST["newcomment"]))
{
$mauthor  = strip_tags(stripslashes($_POST["author"]));
$memail   = strip_tags(stripslashes($_POST["email"]));
$mwebsite = strip_tags(stripslashes($_POST["website"]));
if (substr($mwebsite, 0, 7) != "http://")
{
	$mwebsite = "http://".$mwebsite;
}
$mcomment = strip_tags(stripslashes($_POST["comment"]));
$author   = htmlentities($mauthor, ENT_QUOTES, $Language["wcms_charset"]);
$email    = htmlentities($memail, ENT_QUOTES, $Language["wcms_charset"]);
$website  = htmlentities($mwebsite, ENT_QUOTES, $Language["wcms_charset"]);
$comment  = htmlentities($mcomment, ENT_QUOTES, $Language["wcms_charset"]);
$comid   = $_POST["comid"];
# Checks the comments for badwords (array in language file) and filters SPAM
$strSpamWeb = $classWCMS->filterBadwords($website);
$strSpamCom = $classWCMS->filterBadwords($comment);
	if ($strSpamWeb || $strSpamCom || $strCaptcha == false)
	{
	$strSpamComment = $Language["comment_spam"];
	} else {
		if (!empty($author) && !empty($email) && !empty($comment))
		{	
			$addCom = $classWCMS->addComment($article_id,$choice,$author,$email,$website,$comment);
			if (!$addCom)
			{
			$strSpamComment = $Language["comment_timelimit"];
			} else {
			$strSite = $Language['wcms_sitename'];
			$message1 = html_entity_decode($author)." ".$Language['comment_notify'].":\n";
			$message1html = $author." ".$Language['comment_notify'].":\n";
				if ($wcms_urlrewrite) 
				{
				$link1 = "<br /><a href=\"".$amrwRequest."#".$comid."\">";
				$link2 = $amrwRequest."#".$comid;
				$link3 = "</a>\n<br /><br />\n";
				} else {
				$link1 = "<br /><a href=\"".$wcms_root_url."?".$_SERVER['QUERY_STRING']."#".$comid."\">";
				$link2 = $wcms_root_url."?".$_SERVER['QUERY_STRING']."#".$comid;
				$link3 = "</a>\n<br /><br />\n";
				}		
			$message2 = "\n\n".wordwrap(html_entity_decode($comment),64);
			$message2html = "\n".wordwrap(nl2br($comment),64,'<br />')."<br /><br />";
			$message3 = "\n\nIP: ".$_SERVER['REMOTE_ADDR']." - ".date('r')."\n";	
$html = '
<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">
<html xmlns=\"http://www.w3.org/1999/xhtml\">
<body>
<p>'.$message1html.$link1.$link2.$link3.$message2html.$message3.'</p>
</body>
</html>
';
			/* Sending using class email */
			require("classes/email.class.php");
			$mail = new PHPMailer();
			$mail->PluginDir = "classes/";
			$mail->IsSendmail;
			$mail->Hostname = $_SERVER['SERVER_NAME'];
			$mail->From = $wcms_adminmail;
			$mail->FromName = $Language['comment_comment'];
			$mail->AddAddress($wcms_adminmail,$Language['wcms_sitename']); 
			$mail->AddReplyTo($memail,$mauthor);
			$mail->IsHTML(true);                                   // send as HTML
			$mail->Subject  = $Language['comment_subject'];
			$mail->Body     = $html;		                        // html message
			$text           = $message1.$link2.$message2.$message3; // plain text message 
			$mail->AltBody  = str_replace("&#039;","'",$text);      // plain text message 	
				if(!$mail->Send())
				{
					echo "<p style=\"padding:100px 0;text-align:center\">Mail Error: ".$mail->ErrorInfo."<br /><br />\n";
					echo "<a href\"javascript:history.go(-1)\">".$Language['contactplease']."</p>";
					exit;
				}
				# Reload the page so the user can't submit again without filling in the form
				if ($wcms_urlrewrite) 
				{
				header("Location: ".$amrwRequest."#".$comid);
				} else {
				header("Location: ".$wcms_root_url."?".$_SERVER['QUERY_STRING']."#".$comid);
				}
				exit;
			}
		}
	}
}
break;

/***************************************************************
 Contact - settings for the contact module
****************************************************************/
case "contact":
# Opens the general class
require ("classes/general.class.php");
$classWCMS = new general();
$intModuleId = 0;

	switch ($action)
	{
	
	case "confirm":
	if (isset($_POST["sendmessage"]))
	{
	$title     = strip_tags(stripslashes($_POST["title"]));
	$firstname = strip_tags(stripslashes($_POST["firstname"]));
	$surname   = strip_tags(stripslashes($_POST["surname"]));
	$email     = strip_tags(stripslashes($_POST["email"]));
	$phone     = strip_tags(stripslashes($_POST["phone"]));
	$address   = strip_tags(stripslashes($_POST["address"]));
	$town_city = strip_tags(stripslashes($_POST["town_city"]));
	$zip_post  = strip_tags(stripslashes($_POST["zip_post"]));
	$country   = strip_tags(stripslashes($_POST["country"]));
	$topic     = strip_tags(stripslashes($_POST["topic"]));
	$findus    = strip_tags(stripslashes($_POST["findus"]));
	$message   = strip_tags(stripslashes($_POST["message"]));
	$contactby = strip_tags(stripslashes($_POST["contactby"]));
	# Create session values
	$_SESSION['title']      = htmlentities($title, ENT_QUOTES, $Language["wcms_charset"]);
	$_SESSION['firstname']  = htmlentities($firstname, ENT_QUOTES, $Language["wcms_charset"]);
	$_SESSION['surname']    = htmlentities($surname, ENT_QUOTES, $Language["wcms_charset"]);
	$_SESSION['email']      = htmlentities($email, ENT_QUOTES, $Language["wcms_charset"]);
	$_SESSION['phone']      = htmlentities($phone, ENT_QUOTES, $Language["wcms_charset"]);
	$_SESSION['address']    = htmlentities($address, ENT_QUOTES, $Language["wcms_charset"]);
	$_SESSION['town_city']  = htmlentities($town_city, ENT_QUOTES, $Language["wcms_charset"]);
	$_SESSION['zip_post']   = htmlentities($zip_post, ENT_QUOTES, $Language["wcms_charset"]);
	$_SESSION['country']    = htmlentities($country, ENT_QUOTES, $Language["wcms_charset"]);
	$_SESSION['topic']      = htmlentities($topic, ENT_QUOTES, $Language["wcms_charset"]);
	$_SESSION['findus']     = htmlentities($findus, ENT_QUOTES, $Language["wcms_charset"]);
	$_SESSION['message']    = htmlentities($message, ENT_QUOTES, $Language["wcms_charset"]);
	$_SESSION['contactby']  = htmlentities($contactby, ENT_QUOTES, $Language["wcms_charset"]);
	}
	$strBreadCrumb = " &gt; ".$Language["pagetitle_contact_conf"];
	$strHeadTitle  = $Language["pagetitle_contact_conf"]; 
	$strPageTitle  = $Language["pagetitle_contact_conf"];
	break;
	
	case "confirming":
	# saving the email message in $wcms_db_prefix."_contact" in the DB
	$save_email = $classWCMS->saveContactUs($_SESSION['title'],$_SESSION['firstname'],$_SESSION['surname'],$_SESSION['email'],$_SESSION['phone'],$_SESSION['address'],$_SESSION['town_city'],$_SESSION['zip_post'],$_SESSION['country'],$_SESSION['topic'],$_SESSION['findus'],$_SESSION['message'],$_SESSION['contactby']);
	# sending the email message to the admin using class email.class.php
	$to 	 = $wcms_adminmail;
	$subject = $_SESSION['topic'];
	$mezzage = $_SESSION['title']." ".$_SESSION['firstname']." ".$_SESSION['surname']."\n";
	$mezzage .= "----------------------------------------------------------------\n";
	$mezzage .= $Language['contactemail']."       :: ".$_SESSION['email']."\n";
	$mezzage .= $Language['contactphone']."   :: ".$_SESSION['phone']."\n";
	$mezzage .= $Language['contactaddress']."     :: ".$_SESSION['address']."\n";
	$mezzage .= $Language['contacttown_city']." :: ".$_SESSION['town_city']."\n";
	$mezzage .= $Language['contactzip_post']."  :: ".$_SESSION['zip_post']."\n";
	$mezzage .= $Language['contactcountry']."     :: ".$_SESSION['country']."\n";
	$mezzage .= "----------------------------------------------------------------\n\n";
	$mezzage .= $_SESSION['topic']."\n";
	$mezzage .= "----------------------------------------------------------------\n";
	$mezzage .= wordwrap($_SESSION['message'], 64)."\n";
	$mezzage .= "----------------------------------------------------------------\n\n";
	$mezzage .= $Language['contactcontactby']." ".$_SESSION['contactby']."\n\n";
	$mezzage .= "IP: ".$_SERVER['REMOTE_ADDR']." - ".date('r')."\n";
	# HTML version of email message (text version created automatically)
	$html = '
<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">
<html xmlns=\"http://www.w3.org/1999/xhtml\">
<body>
<pre>'.$mezzage.'</pre>
</body>
</html>
';
	$text = html_entity_decode($mezzage);
	/* Sender vha phpmailer */
	require("classes/email.class.php");

	$mail = new PHPMailer();
	$mail->PluginDir = "classes/";
	$mail->IsSendmail;
	# Replace with SMTP if server supports it...
	# $mail->IsSMTP();
	# $mail->Port = 25;
	# $mail->Host = "smtp.you.com";
	$mail->Hostname = $_SERVER['SERVER_NAME'];
	$mail->From = $wcms_adminmail;
	$mail->FromName = $Language['wcms_sitename'];
	$mail->AddAddress($to,"Admin"); 
	$mail->AddReplyTo($_SESSION['email'],$_SESSION['title'].' '.$_SESSION['firstname'].' '.$_SESSION['surname']);
	$mail->IsHTML(true);                               	 // send as HTML
	$mail->Subject  =  $subject;
	$mail->Body     =  $html;						   	 // html message
	$mail->AltBody  =  str_replace("&#039;","'",$text);  // plain text message 
	$send_email = true;
	if(!$mail->Send())
		{
			$send_email = false;	
			# $errormessage .= "Mail Error: " . $mail->ErrorInfo." ".$_SERVER["SERVER_ADMIN"];
		}
	# Add the email function and store the message in the DB
	if ($send_email && $save_email)
	{
	unset ($_SESSION['title'],$_SESSION['firstname'],$_SESSION['surname'],$_SESSION['email'],$_SESSION['phone'],$_SESSION['address'],$_SESSION['town_city'],$_SESSION['zip_post'],$_SESSION['country'],$_SESSION['topic'],$_SESSION['findus'],$_SESSION['message'],$_SESSION['contactby']);
	header("Location: ".$strContactSucs);
	exit;
	} else {
	# Return to the previous page if the email or DB storage failed
	$strMailError = $Language["contacterror"];
	$strBreadCrumb = " &gt; ".$Language["pagetitle_contact_eror"];
	$strHeadTitle  = $Language["pagetitle_contact_eror"]; 
	$strPageTitle  = $Language["pagetitle_contact_eror"];
	}	
	break;
	
	case "confirmed":
	$strBreadCrumb = " &gt; ".$Language["pagetitle_contact_sucs"];
	$strHeadTitle  = $Language["pagetitle_contact_sucs"]; 
	$strPageTitle  = $Language["pagetitle_contact_sucs"];	
	break;
	
	case "new":
	unset ($_SESSION['title'],$_SESSION['firstname'],$_SESSION['surname'],$_SESSION['email'],$_SESSION['phone'],$_SESSION['address'],$_SESSION['town_city'],$_SESSION['zip_post'],$_SESSION['country'],$_SESSION['topic'],$_SESSION['findus'],$_SESSION['message'],$_SESSION['contactby']);
	header("Location: ".$strContact);
	exit;
	break;
	
	default:
	$strBreadCrumb = " &gt; ".$Language["pagetitle_contact"];
	$strHeadTitle  = $Language["pagetitle_contact"]; 
	$strPageTitle  = $Language["pagetitle_contact"];
	break;
	
	} # End $action for contact pages

break;

/***************************************************************
 Mailinglist - settings for the (un)subscribe mailinglist pages
****************************************************************/
case "mailinglist":
# Opens the general class
require ("classes/general.class.php");
$classWCMS = new general();
$strBreadCrumb = " &gt; ".$Language["pagetitle_mailinglist"];
$strHeadTitle  = $Language["pagetitle_mailinglist"]; 
$strPageTitle  = $Language["pagetitle_mailinglist"];
$intModuleId = 0;
break;

/***************************************************************
 Tell-a-friend - settings for the tell-a-friend module
****************************************************************/
case "tellafriend":
# Opens the general class
require ("classes/general.class.php");
$classWCMS = new general();
$strBreadCrumb = " &gt; ".$Language["pagetitle_tallafriend"];
$strHeadTitle  = $Language["pagetitle_tallafriend"]; 
$strPageTitle  = $Language["pagetitle_tallafriend"];
$intModuleId   = 0;
	if ($wcms_urlrewrite) 
	{
	$strRefUrl = base64_decode($_GET['pageurl']);
	} else {
	$strRefUrl = str_replace("&","&amp;",$_SERVER['HTTP_REFERER']);
	}
$strRefTitle   = base64_decode($_GET['pagetitle']);
$showform      = true;

if (isset($_POST["tellafriend"]))
{
	if (!$strCaptcha)
	{
	header("Location: ".$_SERVER['HTTP_REFERER']);
	exit;
	}
$friendname  = strip_tags(stripslashes($_POST["friendname"]));
$friendemail = strip_tags(stripslashes($_POST["friendemail"]));
$yourname    = strip_tags(stripslashes($_POST["yourname"]));
$youremail   = strip_tags(stripslashes($_POST["youremail"]));
$comment     = strip_tags(stripslashes($_POST["comment"]));
$_friendname = htmlentities($friendname, ENT_QUOTES, $Language["wcms_charset"]);
$_yourname   = htmlentities($yourname, ENT_QUOTES, $Language["wcms_charset"]);
$_comment    = htmlentities($comment, ENT_QUOTES, $Language["wcms_charset"]);
$refurl		 = $_POST["refurl"];
$reftitle	 = $_POST["reftitle"];
/* Update tellafriend counter */
$classWCMS->tellafriendcounter($reftitle,$refurl);
$showform = false;
$subject = $Language["tafsubject"];
$m_p_1 = $Language['tafdear'].", ".$_friendname."!\n\n";
$m_p_1 .= $Language['tafinterest']."\n";
$m_l_text = $reftitle." - ".$refurl."\n\n";
$m_l_html = $reftitle." - <a href=\"".$refurl."\">".$refurl."</a>\n\n";
$m_p_2 = wordwrap($_comment,64)."\n\n";
$m_p_2 .= $Language['tafregards2'].",\n";
$m_p_2 .= $_yourname."\n";
$textmessage = html_entity_decode($m_p_1).$m_l_text.html_entity_decode($m_p_2);
$html = '
<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">
<html xmlns=\"http://www.w3.org/1999/xhtml\">
<body>
<p>'.nl2br($m_p_1).nl2br($m_l_html).nl2br($m_p_2).'</p>
</body>
</html>
';
/* Sending using class email */
require("classes/email.class.php");
$mail = new PHPMailer();
$mail->PluginDir = "classes/";
$mail->IsSendmail;
$mail->Hostname = $_SERVER['SERVER_NAME'];
$mail->From = $youremail;
$mail->FromName = $yourname;
$mail->AddAddress($friendemail,$friendname); 
$mail->AddReplyTo($youremail,$yourname);
$mail->IsHTML(true);                                       // send as HTML
$mail->Subject  =  $subject;
$mail->Body     =  $html;		                           // html message
$mail->AltBody  =  str_replace("&#039;","'",$textmessage); // plain text message 
	if(!$mail->Send())
	{
		echo "<p style=\"padding:100px 0;text-align:center\">Mail Error: ".$mail->ErrorInfo."<br /><br />\n";
		echo "<a href\"javascript:history.go(-1)\">".$Language['contactplease']."</p>";
		exit;
	}
	# Sending an alert to admin
	if ($wcms_alertadmin) 
	{
	$admsubject = $Language['taftold'];
	$adm_p_1 = $_yourname." - ".$youremail." ".$Language['tafjusttold']."\n".$_friendname." - ".$friendemail." ".$Language['tafaboutus']."\n\n";
	$adm_p_1 .= wordwrap($_comment,64)."\n\n";
	$adm_p_1 .= $Language['tafinterest2']."\n\n";
	$adm_l_text = $reftitle." - ".$refurl."\n\n";
	$adm_l_html = $reftitle." - <a href=\"".$refurl."\">".$refurl."</a>\n\n";
	$adm_p_2 = "IP: ".$_SERVER['REMOTE_ADDR']." - ".date('r')."\n";
	$admtextmessage = html_entity_decode($adm_p_1).$adm_l_text.$adm_p_2;
$admhtml = '
<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">
<html xmlns=\"http://www.w3.org/1999/xhtml\">
<body>
<p>'.nl2br($adm_p_1).nl2br($adm_l_html).nl2br($adm_p_2).'</p>
</body>
</html>
';
	$admmail = new PHPMailer();
	$admmail->PluginDir = "classes/";
	$admmail->IsSendmail;
	$admmail->Hostname = $_SERVER['SERVER_NAME'];
	$admmail->From = $wcms_adminmail;
	$admmail->FromName = $Language['pagetitle_tallafriend'];
	$admmail->AddAddress($wcms_adminmail,$Language['wcms_sitename']); 
	$admmail->AddReplyTo($wcms_adminmail,$Language['pagetitle_tallafriend']);
	$admmail->IsHTML(true);                							 // send as HTML
	$admmail->Subject  =  $admsubject;
	$admmail->Body     =  $admhtml;		   							 // html message
	$admmail->AltBody  =  str_replace("&#039;","'",$admtextmessage); // plain text message 
		if(!$admmail->Send())
		{
			echo "<p style=\"padding:100px 0;text-align:center\">Mail Error: ".$mail->ErrorInfo."<br /><br />\n";
			echo "<a href\"javascript:history.go(-1)\">".$Language['contactplease']."</p>";
			exit;
		}
	}
}
break;

/***************************************************************
 Poll - settings for the poll module
****************************************************************/
case "polls":
# Opens the general class
require ("classes/general.class.php");
$classWCMS = new general();
$intModuleId = 0;
if ($action == "results") 
{
$strBreadCrumb = " &gt; ".$Language["pagetitle_poll_new"];
$strHeadTitle  = $Language["pagetitle_poll_new"]; 
$strPageTitle  = $Language["pagetitle_poll_new"];
}
elseif ($action == "archive") {
$strBreadCrumb = " &gt; ".$Language["pagetitle_poll_archive"];
$strHeadTitle  = $Language["pagetitle_poll_archive"]; 
$strPageTitle  = $Language["pagetitle_poll_archive"];
}
break;

/***************************************************************
 Search - settings for the wcms search 
 (article, file, link or property)
****************************************************************/
case "search":
if (isset($_REQUEST["keyword"]))
{
$keyword = $_REQUEST["keyword"];
}else{
$keyword = $keyword;
}
# Opens the general class
require ("classes/articlesection.class.php");
$classWCMS = new articlesection();
$strBreadCrumb = " &gt; ".$Language["pagetitle_search"];
$strHeadTitle  = $Language["pagetitle_search"]; 
$strPageTitle  = $Language["pagetitle_search"];
$intModuleId = 0;
$searchresult = $classWCMS->findbykeyword($page,$wcms_searchresults,$keyword);
$searchresfound = count($classWCMS->findbykeyword(0,1000000,$keyword));
$nb_pages = ceil($searchresfound / $wcms_searchresults);
$debut = ($page)*$wcms_searchresults;
break;

/***************************************************************
 Sitemap - settings for the sitemap module
****************************************************************/
case "sitemap":
# Opens the general class
require ("classes/general.class.php");
$classWCMS = new general();
$strBreadCrumb = " &gt; ".$Language["pagetitle_sitemap"];
$strHeadTitle  = $Language["pagetitle_sitemap"]; 
$strPageTitle  = $Language["pagetitle_sitemap"];
$intModuleId = 0;
break;

/***************************************************************
 No-access - settings for the no access page
****************************************************************/
case "no-access":
# Opens the general class
require ("classes/general.class.php");
$classWCMS = new general();
$strBreadCrumb = " &gt; ".$Language["pagetitle_noaccess"];
$strHeadTitle  = $Language["pagetitle_noaccess"]; 
$strPageTitle  = $Language["pagetitle_noaccess"];
$intModuleId = 0;
break;

/***************************************************************
 No-dice - settings for the error page
****************************************************************/
case "no-dice":
# Opens the general class
require ("classes/general.class.php");
$classWCMS = new general();
$strBreadCrumb = " &gt; ".$Language["pagetitle_nodice"];
$strHeadTitle  = $Language["pagetitle_nodice"]; 
$strPageTitle  = $Language["pagetitle_nodice"];
$intModuleId = 0;
break;

default:
header("Location: ".$strNoDicePage);
exit;
break;

# End switch
}
?>