<?php 
/***************************************************************
 WCMS - Web Content Management System (c) 2006 - Thomas Egtvedt
 
 The general head page
****************************************************************/
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="application/xhtml+xml; charset=<?php echo $Language["wcms_charset"]; ?>" />
<meta name="abstract" content="<?php echo $Language["wcms_sitename"];?>" />
<meta name="author" content="<?php echo WCMS_AUTHOR; ?>" />
<meta name="copyright" content="<?php echo WCMS_COPYRIGHT." - ".WCMS_AUTHOR; ?>" />
<meta name="date" content="<?php echo date("d M Y") ?>" />
<meta name="description" content="<?php if (!empty($strMetaDescription)) { echo $strMetaDescription; } else { echo $Language["wcms_sitedesc"]; } ?>" />
<meta name="distribution" content="global" />
<meta name="generator" content="<?php echo WCMS_VERSION; ?>" />
<meta name="keywords" content="<?php if (!empty($strMetaKeyword)) { echo $strMetaKeyword; } else { echo $Language["wcms_sitename"]; }?>, thomas, egtvedt, programming, design, php, mysql, standards, user, web, xhtml" />
<meta name="language" content="<?php echo $Language["wcms_language"]; ?>" />
<meta name="publisher" content="<?php echo WCMS_PUBLISHER; ?>" />
<meta name="revisit-after" content="7 Days" />
<meta name="robots" content="all" />
<meta name="siteinfo" content="<?php echo $wcms_root_url; ?>" />
<meta name="title" content="<?php if (!empty($strHeadTitle)) { echo $strHeadTitle; } ?> - <?php echo $Language["wcms_sitedesc"]; ?>" />
<meta name="version" content="<?php echo WCMS_VERSION; ?>" />

<link rel="alternate" type="application/rss+xml" title="<?php echo $Language["wcms_sitename"];?>" href="<?php echo $wcms_root_url; ?>rss/" />
<link rel="shortcut icon" href="<?php echo $wcms_imagepath; ?>/icon/wcms.gif" type="image/gif" />
<link href="<?php echo $wcms_root_url; ?>theme/<?php echo $wcms_set_theme; ?>/wcms_basic.php" rel="stylesheet" type="text/css" />
<link href="<?php echo $wcms_root_url; ?>theme/<?php echo $wcms_set_theme; ?>/wcms_print.css" rel="stylesheet" type="text/css" media="print" />
<link href="<?php echo $wcms_root_url; ?>theme/<?php echo $wcms_set_theme; ?>/wcms_style.php" rel="stylesheet" type="text/css" media="screen" />
<link href="<?php echo $wcms_root_url; ?>theme/<?php echo $wcms_set_theme; ?>/wcms_style.php" rel="stylesheet" type="text/css" media="projection" />
<!--[if IE]>
<style type="text/css">@import url("<?php echo $wcms_root_url; ?>theme/<?php echo $wcms_set_theme; ?>/wcms_ie_fix.css");</style>
<![endif]-->
<title><?php if ($choice != "article" && $choice != "section") { echo $Language["wcms_sitename"]." - "; } ?><?php if (!empty($strHeadTitle)) { echo $strHeadTitle; } ?> | <?php echo $Language["wcms_sitedesc"]; ?></title>

<script src="<?php echo $wcms_root_url; ?>language/<?php echo $session_link; ?>/javascript/wcms_basic.js" type="text/javascript"></script>

<script type="text/javascript">
<!--
function showbig(fileID,width,height) {
LeftPosition = (screen.width) ? (screen.width-width)/2 : 0;
TopPosition = (screen.height) ? (screen.height-height)/2 : 0;
BigWindow = window.open('<?php echo $wcms_root_url."photo.php?fileID=' + fileID + '&lang=".$session_link; ?>','BigWindowName','width='+(width+1)+',height='+(height+50)+',toolbar=0,menubar=0,scrollbars=0,resizeable=0,left='+LeftPosition+',top='+TopPosition+'');
if(BigWindow.window.focus){BigWindow.window.focus();}
}
function showthislink(action,link_id,width,height) {
LeftPosition = (screen.width) ? (screen.width-width)/2 : 0;
TopPosition = (screen.height) ? (screen.height-height)/2 : 0;
LinkWindow = window.open('<?php echo $wcms_root_url."link.php?action=' + action + '&link_id=' + link_id + '&lang=".$session_link; ?>','LinkWindowName','width='+(width+1)+',height='+(height+50)+',location=1,menubar=1,scrollbars=1,resizeable=0,left='+LeftPosition+',top='+TopPosition+'');
if(LinkWindow.window.focus){LinkWindow.window.focus();}
}
// -->
</script>

<?php 
switch ($choice)
{
case "article":
?>
<script src="<?php echo $wcms_root_url; ?>language/<?php echo $session_link; ?>/javascript/validation.js" type="text/javascript"></script>
<script type="text/javascript">
<!-- Begin
function init() {
define('author', 'string', '<?php echo $Language["comment_author"]; ?>');
define('email', 'email', '<?php echo $Language["comment_mail"]; ?>');
define('comment', 'string', '<?php echo $Language["comment_comment"]; ?>');
define('code', 'string', '<?php echo $Language["captcha"]; ?>');
}
//  End -->
</script>

</head>
<body onload="init()">
<?php
break;

case "contact":
?>
<script src="<?php echo $wcms_root_url; ?>language/<?php echo $session_link; ?>/javascript/validation.js" type="text/javascript"></script>
<script type="text/javascript">
<!-- Begin
function init() {
define('firstname', 'string', '<?php echo $Language["contactfirstname"]; ?>');
define('surname', 'string', '<?php echo $Language["contactsurname"]; ?>');
define('email', 'email', '<?php echo $Language["contactemail"]; ?>');
define('topic', 'string', '<?php echo $Language["contacttopic"]; ?>');
define('message', 'string', '<?php echo $Language["contactmessage"]; ?>');
define('contactby', 'string', '<?php echo $Language["contactcontactby"]; ?>');
define('code', 'string', '<?php echo $Language["captcha"]; ?>');
}
//  End -->
</script>

</head>
<body onload="init()">
<?php
break;

case "tellafriend":
?>
<script src="<?php echo $wcms_root_url; ?>language/<?php echo $session_link; ?>/javascript/validation.js" type="text/javascript"></script>
<script type="text/javascript">
<!-- Begin
function init() {
define('friendemail', 'email', '<?php echo str_replace("'", "\'",$Language["taffriendemail"]) ?>');
define('friendname', 'string', '<?php echo str_replace("'", "\'",$Language["taffriendname"]) ?>');
define('yourname', 'string', '<?php echo str_replace("'", "\'",$Language["tafyourname"]) ?>');
define('youremail', 'email', '<?php echo str_replace("'", "\'",$Language["tafyouremail"]) ?>');
define('code', 'string', '<?php echo $Language["captcha"]; ?>');
}

function characterCounter(element_name) {
	counterNumber = 200 - document.forms[0].elements[element_name].value.length;
	if (counterNumber > 0) {
		document.forms[0].character_counter.value = counterNumber;
	}
	else {
		document.forms[0].elements[element_name].value = document.forms[0].elements[element_name].value.substring(0,200);
		document.forms[0].character_counter.value = 0;
		}
	}
//  End -->
</script>

</head>
<body onload="init()">
<?php
break;

default:
?>
</head>
<body>
<?php
break;
}
?>
