<?php
// Send correct type:
header('Content-Type: text/css; charset='.$Language["wcms_charset"].'');
include_once('../../config/conf_access.php');
?>

/* CSS simple design by Thomas Egtvedt */
h1, h2 {
	color: #369;
	background-color: inherit;
	margin: 0px;
	padding: 0px;
	}
h1 {
	font-family: Georgia, "Times New Roman", Times, serif;
	font-size: 28px;
	}
h2 {
	font-size: 20px;
	font-style: italic;
	}
pre {
	color: #c33;
	background-color: inherit;
	font-size: 11px;
	border: 1px solid #c33;
	padding: 3px;
	margin: 15px 0px 15px 10px;
	}
h3 {
    color: #c33;
	background-color: inherit;
	font-size: 18px;
	font-weight: bold;
	margin: 10px 0;
	padding: 0;
}
h4 {
	font-size: 16px;
	font-weight: bold;
}
a:link, a:visited {
	color: #c33;
	background-color: inherit;
	text-decoration: none;
	}
a:hover, a:active {
	color: #f33;
	background-color: inherit;
	text-decoration: underline;
	}
img {
    border: 0px;
    }
img.related {
    vertical-align: middle;
    }
img.alignright {
    float: right;
	padding: 0px 0px 0px 10px;
    }
img.alignleft {
    float: left;
	padding: 0px 10px 0px 0px;
    }
p.centered { 
    text-align: center;   
	}
table.standardtable {
    width: 100%;
	padding: 0;
	margin: 0;
    }

.hideme { border: 0; width: 20px; font-size: 9px; }

.poll_head { 
    color: #fff;
	background: #eee url(<?php echo $wcms_root_url; ?>theme/en/graphics/bg/bg_top_menu.gif) no-repeat top left; 
}
.poll_title { 
	font-size: 12px;
	font-weight: 900;
	padding: 3px;
}
.poll_text { 
	border-bottom: 1px solid #ddd;
    padding: 3px;
}	
.poll_qest {  
	font: 11px Arial, Helvetica, sans-serif;
    }
.pollbutton, .ratebutton { 
    color: #fff; 
	background: #c00 url(<?php echo $wcms_root_url; ?>theme/en/graphics/bg/bg_button.gif); 
	font: 10px verdana, arial, sans-serif; 
	font-weight: bold;
	border: 1px solid #333;
    width: 58px; 
	padding: 2px;
	}

p.ratetext {
	font-size: 11px;
	text-align: justify;
	margin: 0;
	padding: 10px;
    }
.rateselect { width: 115px; }
	
.searchinput {  
	font: 11px verdana, arial, sans-serif; 
	border: 1px solid #333; 
	width: 130px; 
	padding: 3px;
	text-align: center;
    }
.newsletterinput {  
	font: 11px verdana, arial, sans-serif; 
	border: 1px solid #333; 
	width: 120px; 
	padding: 3px;
	text-align: center;
    }
.searchbutton, .newsletterbutton { 
    color: #fff; 
	background: #c00 url(<?php echo $wcms_root_url; ?>theme/en/graphics/bg/bg_button.gif); 
	font: 11px verdana, arial, sans-serif;
	font-weight: bold;
	border: 1px solid #333;
    width: 50px; 
	padding: 2px;
	}
.tafbutton { 
    color: #fff; 
	background: #c00 url(<?php echo $wcms_root_url; ?>theme/en/graphics/bg/top_menu_a.gif); 
	font: 11px verdana, arial, sans-serif; 
	font-weight: bold;
	border: 4px double;
	height: 36px;
    width: 120px;
	}

/* start error messages */
.error { 
    color: #c00; 
	background-color: inherit;
	font-weight: 900; 
}
.great { 
    color: #360; 
	background-color: inherit;
	font-weight: 900; 
}
.highlight { 
    color: #090; 
	background-color: inherit;
	font: 11px "Courier New", Courier, mono, serif;
}