<?php 
/***************************************************************
 WCMS - Web Content Management System (c) 2006 - Thomas Egtvedt
 
 The general footer page
****************************************************************/
?>
<br style="clear:both;" />&nbsp;
<!-- end twocolumns -->
</div>

<div id="legal">
  <h4>Opphavsrett og generelle betingelser</h4>
  <p>Copyright &copy; 1999-<?php echo date('Y') ?> <?php echo $Language["wcms_sitename"]." - ".$Language["wcms_sitedesc"]; ?>.
  Materialet p&aring; denne siden skal ikke publiseres, reproduseres, omskrives, kopieres eller
  redistribueres uten skriftlig tillatelse. Bruk av dette nettstedet forutsetter at brukeren har 
  lest og forst&aring;tt disse vilk&aring;rene.</p>

  <p><?php echo $Language["wcms_sitename"]; ?> bryr seg om tilgjengelighet og kvalitet. Vennligst gi 
  oss beskjed dersom det er feil i tekst eller problemer med visning av enkelte sider. Nettstedet er 
  kodet etter gjeldende standarder definert i W3C.org-validated XHTML 1.1 og CSS 2.0 standards. 
  Vi anbefaler at du oppgraderer din nettleser til siste tilgjengelige versjon 
  (<?php echo $Language["wcms_sitename"]; ?> anbefaler Mozilla Firefox som kan lastes ned gratis p&aring; www.getfirefox.com).
  Design &amp; programmering er utf&oslash;rt av <?php echo WCMS_PUBLISHER; ?>.</p>
<!-- end legal -->
</div>

<div id="closer">
  <p><a onmouseover="window.status='<?php echo $Language["terms"]; ?>';return true" 
  onmouseout="window.status=' ';" href="<?php echo $amrwTerms; ?>"><?php echo $Language["wcms_sitename"]." ".WCMS_COPYRIGHT; ?></a> 
  <a onmouseover="window.status='World Wide Web Consortium';return true" 
  onmouseout="window.status=' ';" 
  href="http://validator.w3.org/check?uri=referer"><acronym 
  title="World Wide Web Consortium"><?php echo $Language["xhtml"]; ?></acronym></a> 
  <a onmouseover="window.status='World Wide Web Consortium';return true" 
  onmouseout="window.status=' ';" 
  href="http://jigsaw.w3.org/css-validator/validator?uri=<?php echo $wcms_root_url ; ?>"><acronym 
  title="World Wide Web Consortium"><?php echo $Language["css"]; ?></acronym></a> 
  <a onmouseover="window.status='<?php echo $Language["pagetitle_contactus"]; ?>';return true" 
  onmouseout="window.status=' ';" 
  href="<?php echo $amrwContact; ?>"><?php echo $Language["pagetitle_contact"]; ?></a> 
  <script type="text/javascript">
  <!-- Begin
  if (document.all) { // Only true for MSIE
  var url="<?php echo $wcms_root_url; ?>";
  var title="<?php echo $Language["wcms_sitename"]; ?>";
  document.write('<a href="javascript:window.ext');
  document.write('ernal.AddFavorite(url,title);" ');
  document.write('onmouseover=" window.status=');
  document.write("'<?php echo $Language["bookmark"]; ?>!'; return true ");
  document.write('"onmouseout=" window.status=');
  document.write("' '; return true ");
  document.write('"><?php echo $Language["bookmark"]; ?>!<\/a>');
  }
  else {
  document.write("<?php echo $Language["bookmark"]; ?> (Ctrl+D)&nbsp;&nbsp;");
  }
  // End -->
  </script>
  <a onmouseover="window.status='<?php echo $Language["backtotop"]; ?>';return true" 
  onmouseout="window.status=' ';" href="#container"><?php echo $Language["backtotop"]; ?></a></p>
<!-- end closer -->
</div>

<div id="stats">
<p>
<?php 
if ($_SERVER['HTTP_HOST'] != "www.thomas.com" && $_SERVER['HTTP_HOST'] != "localhost")
{
	@include ("config/wcms_sysinfo.php");
	echo "Uptime ".uptime()." | Load ".serverload()." | ";
}

if (!empty($strWcmsUrl) && $section_id != 1) 
{
	$originalpage = $wcms_root_url."?choice=".$choice."&".$strWcmsVar."=".$intModuleId."&pagetitle=".$strWcmsUrl;
	$rewritepage = $wcms_root_url.$strWcmsUrl."/".$choice{0}.$intModuleId.".html";
} 
elseif (!empty($strWcmsUrl) && $section_id == 1) {
	$originalpage = $wcms_root_url; 
	$rewritepage = $wcms_root_url;
}
elseif (!empty($action)) {
	$originalpage = $wcms_root_url."?choice=".$choice."&action=".$action;
	$rewritepage = $wcms_root_url.$action."/".$choice.".html";
} else {
	$originalpage = $wcms_root_url."?choice=".$choice;
	$rewritepage = $wcms_root_url.$choice.".html";
}

$classWCMS->pagecounter($originalpage,$rewritepage,$strPageTitle,$choice,$intModuleId);
if ($choice == "article")
{
	$classWCMS->articlecounter($article_id,$originalpage);
}
$query = "SELECT counter FROM ".$wcms_db_prefix."_counter_wcms WHERE original_url='$originalpage'";
$result = mysql_query($query) or die("Query failed: " . mysql_error());
$row = mysql_fetch_array($result);
echo $row['counter']." hits";

/* Stop counting DB queries */
$stop = mysql_query("SHOW STATUS LIKE 'Questions%'");
$row = mysql_fetch_assoc($stop);
$intDBQstop = array_sum($row);
$intDBQpage = ($intDBQstop-$intDBQstart-2);
echo " | ".$intDBQpage." page queries | ".$intDBQstop." total queries | SQL uptime ";

$sqltime = array_sum(mysql_fetch_assoc(mysql_query("SHOW STATUS LIKE 'Uptime%'")));

echo round($sqltime/(3600*24),2)." days | ";

/* Page generation end... */
$time_end = getmicrotime();
$time = $time_end - $time_start;
$time = number_format($time , 4); 

echo $Language["pagegenin"]." ".$time."s"; 
?>
</p>
<!-- end stats -->
</div>

<!-- end container -->
</div>

</body>
</html>
